Please note: This file provides a complete, temporally ordered log of
changes that went into every version of Perl.  If you'd like more
detailed information, please consult the comments in the individual
patches posted to the perl5-porters mailing list.  Patches for each
individual change may also be obtained through ftp and rsync--see
pod/perlhack.pod for the details.

For information on what's new in this release, see pod/perldelta.pod.

[The "CAST AND CREW" list has been moved to AUTHORS.]

NOTE: Each change entry shows the change number; who checked it into the
repository; when; description of the change; which branch the change
happened in; and the affected files.  The file lists have a short symbolic
indicator:

    	    !	    modified
    	    +	    added
    	    -	    deleted
    	    +>	    branched (from elsewhere)
    	    !>	    merged changes (from elsewhere)

The Message-Ids in the change entries refer to the email messages sent
to the perl5-porters mailing list.  You can retrieve the messages for
example from http://www.xray.mpe.mpg.de/mailing-lists/perl5-porters/

--------------
Version v5.7.X		Development release working toward v5.8
--------------
____________________________________________________________________________
[ 17339] By: jhi                                   on 2002/06/21  12:46:59
        Log: Regen stuff.
     Branch: perl
	   ! Configure NetWare/config_H.wc Porting/config.sh
	   ! Porting/config_H pod/perlmodlib.pod pod/perltoc.pod uconfig.h
	   ! vos/config.alpha.h vos/config.ga.h win32/config_H.bc
	   ! win32/config_H.gc win32/config_H.vc win32/config_H.vc64
	   ! wince/config_H.ce
____________________________________________________________________________
[ 17338] By: jhi                                   on 2002/06/21  12:34:31
        Log: Typos-be-gone.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17337] By: jhi                                   on 2002/06/21  12:06:17
        Log: Slight rewording from Stas, paragraph rewrappings.
     Branch: perl
	   ! pod/perliol.pod
____________________________________________________________________________
[ 17336] By: jhi                                   on 2002/06/21  11:56:33
        Log: Integrate perlio:
             
             [ 17330]
             PerlIO Layer implementation future proofing.
             - Inspired by Nick C's suggestion add size of function table to the table
             as a validation check.
             - also optimize pseudo-layer code to avoid malloc/link of something
             destined to be immediately popped & freed.
             - Minor addition to pod/perliol.pod
             
             [ 17335]
             Fix bug in optimized pseudo-layers.
     Branch: perl
	   ! ext/PerlIO/Scalar/Scalar.xs ext/PerlIO/Via/Via.xs
	   ! ext/PerlIO/encoding/encoding.xs perlio.c perliol.h
	   ! pod/perliol.pod win32/win32io.c
____________________________________________________________________________
[ 17335] By: nick                                  on 2002/06/21  08:46:57
        Log: Fix bug in optimized pseudo-layers.
     Branch: perlio
	   ! perlio.c
____________________________________________________________________________
[ 17334] By: jhi                                   on 2002/06/21  00:42:54
        Log: VMS: configure.com updates from Craig Berry.
     Branch: perl
	   ! configure.com
____________________________________________________________________________
[ 17333] By: gsar                                  on 2002/06/21  00:30:52
        Log: tyops
     Branch: perl
	   ! pod/perlrun.pod
____________________________________________________________________________
[ 17332] By: jhi                                   on 2002/06/20  20:41:20
        Log: Retract #17331, something broke (e.g. t/io/utf8.t became unhappy)
     Branch: perl
	   ! ext/PerlIO/Scalar/Scalar.xs ext/PerlIO/Via/Via.xs
	   ! ext/PerlIO/encoding/encoding.xs perlio.c perliol.h
	   ! pod/perliol.pod win32/win32io.c
____________________________________________________________________________
[ 17331] By: jhi                                   on 2002/06/20  20:11:00
        Log: Integrate perlio:
             
             [ 17330]
             PerlIO Layer implementation future proofing.
             - Inspired by Nick C's suggestion add size of function table to the table
             as a validation check.
             - also optimize pseudo-layer code to avoid malloc/link of something
             destined to be immediately popped & freed.
             - Minor addition to pod/perliol.pod
     Branch: perl
	  !> ext/PerlIO/Scalar/Scalar.xs ext/PerlIO/Via/Via.xs
	  !> ext/PerlIO/encoding/encoding.xs perlio.c perliol.h
	  !> pod/perliol.pod win32/win32io.c
____________________________________________________________________________
[ 17330] By: nick                                  on 2002/06/20  20:04:01
        Log: PerlIO Layer implementation future proofing.
             - Inspired by Nick C's suggestion add size of function table to the table
             as a validation check.
             - also optimize pseudo-layer code to avoid malloc/link of something
             destined to be immediately popped & freed.
             - Minor addition to pod/perliol.pod
     Branch: perlio
	   ! ext/PerlIO/Scalar/Scalar.xs ext/PerlIO/Via/Via.xs
	   ! ext/PerlIO/encoding/encoding.xs perlio.c perliol.h
	   ! pod/perliol.pod win32/win32io.c
____________________________________________________________________________
[ 17329] By: jhi                                   on 2002/06/20  18:13:31
        Log: AmigaOS: fork() is available but unimplemented.
     Branch: perl
	   ! hints/amigaos.sh
____________________________________________________________________________
[ 17328] By: jhi                                   on 2002/06/20  17:41:42
        Log: Integrate perlio:
             
             [ 17327]
             Fix segv on IO::File->open("/dev/null").
     Branch: perl
	  !> doio.c perlio.c
____________________________________________________________________________
[ 17327] By: nick                                  on 2002/06/20  16:54:01
        Log: Fix segv on IO::File->open("/dev/null").
     Branch: perlio
	   ! doio.c perlio.c
____________________________________________________________________________
[ 17326] By: jhi                                   on 2002/06/20  16:51:22
        Log: Missing from #17321.
     Branch: perl
	   ! lib/Getopt/Long/CHANGES
____________________________________________________________________________
[ 17325] By: jhi                                   on 2002/06/20  15:27:18
        Log: Subject: [PATCH]RE: mixing FATAL and non-FATAL warnings
             From: "Paul Marquess" <Paul.Marquess@btinternet.com>
             Date: Thu, 20 Jun 2002 17:14:12 +0100
             Message-ID: <AIEAJICLCBDNAAOLLOKLOEJAEOAA.Paul.Marquess@btinternet.com>
     Branch: perl
	   ! lib/warnings.pm pod/perllexwarn.pod t/lib/warnings/7fatal
	   ! warnings.pl
____________________________________________________________________________
[ 17324] By: jhi                                   on 2002/06/20  14:39:41
        Log: Subject: Re: perl v5.8.0 17303 on VMS_VAX V7.2
             From: Hugo van der Sanden <hv@crypt.compulink.co.uk>   
             Date: Thu, 20 Jun 2002 14:51:16 +0100
             Message-Id: <200206201351.g5KDpGI16736@crypt.compulink.co.uk>
     Branch: perl
	   ! numeric.c
____________________________________________________________________________
[ 17323] By: jhi                                   on 2002/06/20  12:36:20
        Log: Subject: [Patch POSIX.pod] "fmod" ne "modf"
             From: "Newton, Philip" <Philip.Newton@datenrevision.de>
             Date: Thu, 20 Jun 2002 14:28:35 +0200
             Message-ID: <C9A98F2128EDD411B0920008C7B337A13DCDA7@hamsem01.de.gedas.vwg>
     Branch: perl
	   ! ext/POSIX/POSIX.pod
____________________________________________________________________________
[ 17322] By: jhi                                   on 2002/06/20  12:29:23
        Log: Subject: Re: [PATCH perl.h] kill the VOIDUSED redefined warning
             From: Stas Bekman <stas@stason.org>
             Date: Thu, 20 Jun 2002 16:50:01 +0800
             Message-ID: <3D119739.4020901@stason.org>
             
             (mod_perl defines might define VOIDUSED)
     Branch: perl
	   ! perl.h
____________________________________________________________________________
[ 17321] By: jhi                                   on 2002/06/20  12:26:12
        Log: (Retract #17316 and) upgrade to Getopt::Long 2.32.
     Branch: perl
	   ! lib/Getopt/Long.pm
____________________________________________________________________________
[ 17320] By: nick                                  on 2002/06/20  06:24:29
        Log: Integrate mainline
     Branch: perlio
	  +> lib/Test/Simple/t/bad_plan.t lib/Test/Simple/t/threads.t
	  !> MANIFEST README.irix README.win32 ext/POSIX/t/posix.t
	  !> ext/POSIX/t/taint.t lib/ExtUtils/Changes
	  !> lib/ExtUtils/MM_Cygwin.pm lib/ExtUtils/MakeMaker.pm
	  !> lib/ExtUtils/t/writemakefile_args.t lib/Getopt/Long.pm
	  !> lib/Test/Builder.pm lib/Test/Harness.pm
	  !> lib/Test/Harness/Changes lib/Test/Harness/Straps.pm
	  !> lib/Test/More.pm lib/Test/Simple.pm lib/Test/Simple/Changes
	  !> lib/Test/Simple/t/Builder.t lib/Test/Simple/t/plan.t
	  !> lib/overload.pm makedef.pl pod/perldelta.pod pod/perlvar.pod
____________________________________________________________________________
[ 17319] By: gsar                                  on 2002/06/20  04:51:48
        Log: mention Win32::GetOSName() nearabouts $^O
     Branch: perl
	   ! pod/perlvar.pod
____________________________________________________________________________
[ 17318] By: jhi                                   on 2002/06/20  03:51:12
        Log: More IRIX compiler lore.
     Branch: perl
	   ! README.irix
____________________________________________________________________________
[ 17317] By: gsar                                  on 2002/06/20  02:33:49
        Log: missing export for PerlIO_pop (used in PerlIO::Via now)
     Branch: perl
	   ! makedef.pl
____________________________________________________________________________
[ 17316] By: jhi                                   on 2002/06/20  00:23:35
        Log: (retracted by #17321) Make Getopt::Long ithread-safe.
     Branch: perl
	   ! lib/Getopt/Long.pm
____________________________________________________________________________
[ 17315] By: jhi                                   on 2002/06/20  00:03:56
        Log: Subject: [PATCH] Test::Simple/More/Builder 0.44 -> 0.45
             From: Michael G Schwern <schwern@pobox.com>
             Date: Wed, 19 Jun 2002 20:11:11 -0400
             Message-id: <20020620001111.GW1232@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   + lib/Test/Simple/t/bad_plan.t lib/Test/Simple/t/threads.t
	   ! MANIFEST lib/Test/Builder.pm lib/Test/More.pm
	   ! lib/Test/Simple.pm lib/Test/Simple/Changes
	   ! lib/Test/Simple/t/Builder.t lib/Test/Simple/t/plan.t
____________________________________________________________________________
[ 17314] By: jhi                                   on 2002/06/19  23:16:37
        Log: Subject: [PATCH] ExtUtils::MakeMaker 6.02 -> 6.03
             From: Michael G Schwern <schwern@pobox.com>
             Date: Wed, 19 Jun 2002 20:13:16 -0400
             Message-id: <20020620001316.GY1232@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   ! lib/ExtUtils/Changes lib/ExtUtils/MM_Cygwin.pm
	   ! lib/ExtUtils/MakeMaker.pm lib/ExtUtils/t/writemakefile_args.t
____________________________________________________________________________
[ 17313] By: jhi                                   on 2002/06/19  23:15:41
        Log: Subject: [PATCH] Test::Harness 2.25 -> 2.26
             From: Michael G Schwern <schwern@pobox.com>
             Date: Wed, 19 Jun 2002 20:12:08 -0400
             Message-id: <20020620001208.GX1232@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   ! lib/Test/Harness.pm lib/Test/Harness/Changes
	   ! lib/Test/Harness/Straps.pm
____________________________________________________________________________
[ 17312] By: jhi                                   on 2002/06/19  21:27:24
        Log: Integrate perlio:
             
             [ 17309]
             "Clean" implementation of binmode(FH)/":raw" identity.
             New function table entry so all layer definitions need tweaking.
             Extra function table entry allows a layer to remain on a binmode stack
             New PerlIOBase_binmode allows easy implementation of default policy.
     Branch: perl
	  !> ext/PerlIO/Scalar/Scalar.xs ext/PerlIO/Via/Via.pm
	  !> ext/PerlIO/Via/Via.xs ext/PerlIO/encoding/encoding.xs
	  !> makedef.pl perlio.c perliol.h pod/perliol.pod win32/win32io.c
____________________________________________________________________________
[ 17311] By: jhi                                   on 2002/06/19  21:16:09
        Log: Subject: RE: [PATCH] POSIX taint tests
             From: "Paul Marquess" <Paul.Marquess@btinternet.com>
             Date: Wed, 19 Jun 2002 23:16:11 +0100
             Message-ID: <AIEAJICLCBDNAAOLLOKLGEHFEOAA.Paul.Marquess@btinternet.com>
     Branch: perl
	   ! ext/POSIX/t/posix.t
____________________________________________________________________________
[ 17310] By: jhi                                   on 2002/06/19  21:14:53
        Log: Fix for 20001101.004, at least for the memleak part.
     Branch: perl
	   ! lib/overload.pm
____________________________________________________________________________
[ 17309] By: nick                                  on 2002/06/19  20:50:54
        Log: "Clean" implementation of binmode(FH)/":raw" identity.
             New function table entry so all layer definitions need tweaking.
             Extra function table entry allows a layer to remain on a binmode stack
             New PerlIOBase_binmode allows easy implementation of default policy.
     Branch: perlio
	   ! ext/PerlIO/Scalar/Scalar.xs ext/PerlIO/Via/Via.pm
	   ! ext/PerlIO/Via/Via.xs ext/PerlIO/encoding/encoding.xs
	   ! makedef.pl perlio.c perliol.h pod/perliol.pod win32/win32io.c
____________________________________________________________________________
[ 17308] By: jhi                                   on 2002/06/19  20:33:16
        Log: Subject: [PATCH] Re: [PATCH] POSIX taint tests
             From: Michael G Schwern <schwern@pobox.com>
             Date: Wed, 19 Jun 2002 16:51:56 -0400
             Message-id: <20020619205156.GH1232@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   ! ext/POSIX/t/posix.t ext/POSIX/t/taint.t
____________________________________________________________________________
[ 17307] By: rgs                                   on 2002/06/19  20:26:24
        Log: Subject: Re: [DOC PATCH] Re: [ID 20020613.003] context incorrectly reported
             From: sthoenna@efn.org (Yitzchak Scott-Thoennes)
             Date: Tue, 18 Jun 2002 15:40:08 -0700
             Message-ID: <Ib7D9gzkgmTG092yn@efn.org>
     Branch: perl
	   ! lib/overload.pm
____________________________________________________________________________
[ 17306] By: jhi                                   on 2002/06/19  18:49:06
        Log: Subject: Re: Mingw32: some tests fail 
             From: Per Einar Ellefsen <per.einar@skynet.be>
             Date: Wed, 19 Jun 2002 19:37:15 +0200
             Message-Id: <5.1.0.14.2.20020619192631.025848a0@pop.skynet.be>
     Branch: perl
	   ! README.win32
____________________________________________________________________________
[ 17305] By: jhi                                   on 2002/06/19  17:40:29
        Log: Subject: [PATCH] Mention Class::Pseudohash in perldelta
             From: Autrijus Tang <autrijus@autrijus.org>
             Date: Thu, 20 Jun 2002 01:36:26 +0800
             Message-ID: <20020619173626.GA2650@not.autrijus.org>
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17304] By: nick                                  on 2002/06/19  15:57:16
        Log: Integrate mainline
     Branch: perlio
	  +> ext/POSIX/t/taint.t
	   - lib/File/Spec/NW5.pm
	  !> Changes MANIFEST lib/File/Spec.pm lib/File/Spec/Win32.pm
	  !> patchlevel.h pod/perltodo.pod utils/perlbug.PL
____________________________________________________________________________
[ 17303] By: jhi                                   on 2002/06/19  14:06:55
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 17302] By: jhi                                   on 2002/06/19  14:00:35
        Log: #17301 was only part of the story.
     Branch: perl
	   ! MANIFEST
____________________________________________________________________________
[ 17301] By: jhi                                   on 2002/06/19  13:53:52
        Log: Make MANIFEST comply with #17297.
     Branch: perl
	   ! MANIFEST
____________________________________________________________________________
[ 17300] By: jhi                                   on 2002/06/19  13:37:45
        Log: Subject: Re: perlbug mail loop? [PATCH]
             From: Richard.Foley@t-online.de
             Date: Wed, 19 Jun 2002 15:29:37 +0200
             Message-ID: <17KgXO-0dYZCiC@fwd08.sul.t-online.com>
     Branch: perl
	   ! utils/perlbug.PL
____________________________________________________________________________
[ 17299] By: jhi                                   on 2002/06/19  13:18:42
        Log: opendir was missing for the list.
     Branch: perl
	   ! pod/perltodo.pod
____________________________________________________________________________
[ 17298] By: jhi                                   on 2002/06/19  13:01:51
        Log: Integrate perlio:
             
             [ 17295]
             Un-deprecate :raw after all - just define what it means
             more precisely. (Pending approval).
     Branch: perl
	  !> lib/PerlIO.pm pod/perldelta.pod pod/perlfunc.pod
	  !> pod/perlrun.pod
____________________________________________________________________________
[ 17297] By: jhi                                   on 2002/06/19  12:33:04
        Log: The only difference between NW5.pm and Win32.pm was that
             NetWare preferred SYS:/temp over C:/temp for tmpdir().
     Branch: perl
	   - lib/File/Spec/NW5.pm
	   ! MANIFEST lib/File/Spec.pm lib/File/Spec/Win32.pm
____________________________________________________________________________
[ 17296] By: jhi                                   on 2002/06/19  12:20:54
        Log: Subject: [PATCH] POSIX taint tests
             From: "Paul Marquess" <Paul.Marquess@btinternet.com>
             Date: Wed, 19 Jun 2002 09:29:22 +0100
             Message-ID: <AIEAJICLCBDNAAOLLOKLMEFJEOAA.Paul.Marquess@btinternet.com>    
     Branch: perl
	   + ext/POSIX/t/taint.t
	   ! MANIFEST
____________________________________________________________________________
[ 17295] By: nick                                  on 2002/06/19  12:14:32
        Log: Un-deprecate :raw after all - just define what it means
             more precisely. (Pending approval).
     Branch: perlio
	   ! lib/PerlIO.pm pod/perldelta.pod pod/perlfunc.pod
	   ! pod/perlrun.pod
____________________________________________________________________________
[ 17294] By: nick                                  on 2002/06/19  06:09:49
        Log: Integrate mainline
     Branch: perlio
	  !> configure.com ext/Digest/MD5/t/files.t lib/PerlIO.pm
	  !> lib/perl5db.pl lib/utf8.pm os2/os2_base.t pod/perldelta.pod
	  !> pod/perlfunc.pod pod/perlipc.pod pod/perlsyn.pod
	  !> pod/perltodo.pod pod/perlunicode.pod pod/perluniintro.pod
	  !> toke.c
____________________________________________________________________________
[ 17293] By: jhi                                   on 2002/06/19  02:00:05
        Log: Subject: [PATCH os2/os2_base.t] Re: Patch 14705 botched. (was Re: os2_base test failed)
             From: Michael G Schwern <schwern@pobox.com>
             Date: Tue, 18 Jun 2002 21:31:43 -0400
             Message-id: <20020619013143.GF3079@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   ! os2/os2_base.t
____________________________________________________________________________
[ 17292] By: jhi                                   on 2002/06/18  21:36:21
        Log: This is probably the reason for the GW failures.
     Branch: perl
	   ! ext/Digest/MD5/t/files.t
____________________________________________________________________________
[ 17291] By: jhi                                   on 2002/06/18  21:28:33
        Log: Debugger tweak from from Peter Scott.
     Branch: perl
	   ! lib/perl5db.pl
____________________________________________________________________________
[ 17290] By: jhi                                   on 2002/06/18  20:31:10
        Log: To mirror #17285.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17289] By: jhi                                   on 2002/06/18  20:29:25
        Log: Subject: [PATCH] configure.com: build Encode sub-extensions once and only once
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Tue, 18 Jun 2002 10:34:51 -0500
             Message-Id: <5.1.1.5.0.20020618103102.01b643e0@exchi01>
     Branch: perl
	   ! configure.com
____________________________________________________________________________
[ 17288] By: jhi                                   on 2002/06/18  20:27:58
        Log: Tiny tweaks.
     Branch: perl
	   ! lib/PerlIO.pm pod/perlfunc.pod
____________________________________________________________________________
[ 17287] By: jhi                                   on 2002/06/18  20:22:56
        Log: Integrate perlio:
             
             [ 17280]
             Slight improvement to :win32 layer
             
             [ 17282]
             More PerlIO doc tweaks - trying to make them document what
             happens in current implementation while leaving way open
             to "fixing" things.
     Branch: perl
	  !> lib/PerlIO.pm pod/perlfunc.pod win32/win32io.c
____________________________________________________________________________
[ 17286] By: jhi                                   on 2002/06/18  20:19:25
        Log: Document the "Unicode in package/sub names" problem;
             a microfix in toke.c towards the final goal (the fix
             removes the need to have quotes around Unicode package
             names when calling a method on them)
     Branch: perl
	   ! lib/utf8.pm pod/perldelta.pod pod/perltodo.pod
	   ! pod/perlunicode.pod pod/perluniintro.pod toke.c
____________________________________________________________________________
[ 17285] By: rgs                                   on 2002/06/18  19:03:52
        Log: Further clarification about safe pipe opens.
     Branch: perl
	   ! pod/perlipc.pod
____________________________________________________________________________
[ 17284] By: rgs                                   on 2002/06/18  18:42:49
        Log: perlsyn.pod tweak suggested by Larry.
     Branch: perl
	   ! pod/perlsyn.pod
____________________________________________________________________________
[ 17283] By: rgs                                   on 2002/06/18  18:25:53
        Log: Subject: [DOC PATCH] perlsyn
             From: Elizabeth Mattijsen <liz@dijkmat.nl>
             Date: Tue, 18 Jun 2002 13:37:30 +0200
             Message-ID: <4.2.0.58.20020618133610.01956d30@mickey.dijkmat.nl>
             
             Subject: Re: [DOC PATCH] perlsyn (2)
             From: Elizabeth Mattijsen <liz@dijkmat.nl>
             Date: Tue, 18 Jun 2002 15:08:17 +0200
             Message-ID: <4.2.0.58.20020618150341.01798100@mickey.dijkmat.nl>
             
             (Plus tweak by Ronald J Kimball)
     Branch: perl
	   ! pod/perlsyn.pod
____________________________________________________________________________
[ 17282] By: nick                                  on 2002/06/18  09:14:25
        Log: More PerlIO doc tweaks - trying to make them document what
             happens in current implementation while leaving way open
             to "fixing" things.
     Branch: perlio
	   ! lib/PerlIO.pm pod/perlfunc.pod
____________________________________________________________________________
[ 17281] By: nick                                  on 2002/06/18  09:12:59
        Log: Integrate mainline
     Branch: perlio
	  !> Changes Configure config_h.SH installperl patchlevel.h
	  !> pod/perldelta.pod pod/perlipc.pod
____________________________________________________________________________
[ 17280] By: nick                                  on 2002/06/18  07:03:08
        Log: Slight improvement to :win32 layer
     Branch: perlio
	   ! win32/win32io.c
____________________________________________________________________________
[ 17279] By: jhi                                   on 2002/06/18  03:10:42
        Log: Do not install XS::{APItest,Typemap}
     Branch: perl
	   ! installperl
____________________________________________________________________________
[ 17278] By: jhi                                   on 2002/06/18  02:46:43
        Log: Subject: Re: Do we want XS::APItest installed?
             From: Andy Dougherty <doughera@lafayette.edu>
             Date: Mon, 17 Jun 2002 16:59:52 -0400 (EDT)
             Message-ID: <Pine.SOL.4.10.10206171658290.12935-100000@maxwell.phys.lafayette.edu>
             
             (rats, forgot to submit the metaconfig change separately)
     Branch: metaconfig/U/perl
	   ! Extensions.U
     Branch: perl
	   ! Configure config_h.SH
____________________________________________________________________________
[ 17277] By: jhi                                   on 2002/06/18  02:31:26
        Log: "Borrow" Rafael's multiarg open descripion to perldelta,
             shuffle the highlights a bit (can't believe the perlio
             mention was missing)
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17276] By: rgs                                   on 2002/06/17  22:46:28
        Log: Document the '-|' open form in perlipc.pod
     Branch: perl
	   ! pod/perlipc.pod
____________________________________________________________________________
[ 17275] By: gsar                                  on 2002/06/17  19:20:06
        Log: avoid AUTOLOAD() clobbering $!
     Branch: maint-5.6/perl
	   ! ext/DB_File/DB_File.pm ext/Fcntl/Fcntl.pm
	   ! ext/File/Glob/Glob.pm ext/GDBM_File/GDBM_File.pm
	   ! ext/Socket/Socket.pm ext/Sys/Syslog/Syslog.pm
	   ! lib/AutoLoader.pm utils/h2xs.PL
____________________________________________________________________________
[ 17274] By: nick                                  on 2002/06/17  14:50:35
        Log: Integrate mainline
     Branch: perlio
	  !> README.vms lib/File/Basename.pm lib/PerlIO.pm lib/open.pm
	  !> pod/perlfunc.pod pod/perlrun.pod
____________________________________________________________________________
[ 17273] By: jhi                                   on 2002/06/17  14:34:17
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 17272] By: jhi                                   on 2002/06/17  14:21:55
        Log: :bytes is not the inverse of :crlf, either (from NI-S) 
     Branch: perl
	   ! lib/PerlIO.pm
____________________________________________________________________________
[ 17271] By: jhi                                   on 2002/06/17  13:56:33
        Log: Further discouraging of :raw.
     Branch: perl
	   ! lib/PerlIO.pm lib/open.pm pod/perlfunc.pod pod/perlrun.pod
____________________________________________________________________________
[ 17270] By: jhi                                   on 2002/06/17  13:27:35
        Log: Integrate perlio:
             
             [ 17267]
             Handle IO error in "slow gets"
     Branch: perl
	  !> sv.c
____________________________________________________________________________
[ 17269] By: jhi                                   on 2002/06/17  12:49:06
        Log: Subject: [PATCH File/Basename.pm] use of undef var
             From: Stas Bekman <stas@stason.org>
             Date: Mon, 17 Jun 2002 16:31:48 +0800
             Message-ID: <3D0D9E74.7000908@stason.org>
             
             (modified)
     Branch: perl
	   ! lib/File/Basename.pm
____________________________________________________________________________
[ 17268] By: jhi                                   on 2002/06/17  12:45:10
        Log: Subject: [PATCH] README.vms -- updated testing instructions
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Mon, 17 Jun 2002 00:31:18 -0500
             Message-Id: <a05111b1cb9332326226f@[172.16.52.1]>
     Branch: perl
	   ! README.vms
____________________________________________________________________________
[ 17267] By: nick                                  on 2002/06/17  12:41:49
        Log: Handle IO error in "slow gets"
     Branch: perlio
	   ! sv.c
____________________________________________________________________________
[ 17266] By: nick                                  on 2002/06/17  07:05:20
        Log: Integrate mainline
     Branch: perlio
	  !> autodoc.pl embed.pl lib/perl5db.pl pod/perldebtut.pod
	  !> pod/perldebug.pod pod/perldelta.pod
____________________________________________________________________________
[ 17265] By: jhi                                   on 2002/06/17  00:53:49
        Log: Subject: Re: [ID 20020614.027] Bad Debugger mojo in RC1
             From: Peter Scott <Peter@PSDT.com>
             Date: Sun, 16 Jun 2002 18:31:31 -0700
             Message-id: <4.3.2.7.2.20020616182012.00b70780@shell2.webquarry.com>  
             
             @file -> source file
     Branch: perl
	   ! lib/perl5db.pl pod/perldebtut.pod pod/perldebug.pod
____________________________________________________________________________
[ 17264] By: jhi                                   on 2002/06/17  00:47:43
        Log: Missing hunk from #15363.
     Branch: perl
	   ! lib/perl5db.pl
____________________________________________________________________________
[ 17263] By: jhi                                   on 2002/06/17  00:36:26
        Log: Advertise MakeMaker.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17262] By: jhi                                   on 2002/06/16  23:16:18
        Log: Subject: Re: [ID 20020212.002] locale test fails for *ISO8859-15 on freebsd 4.5 
             From: parv <parv@pair.com>
             Date: Sun, 16 Jun 2002 20:12:24 -0400
             Message-ID: <20020617001224.GC466@moo.holy.cow>
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17261] By: ams                                   on 2002/06/16  21:40:47
        Log: Subject: PATCH: correct confusing lie in {embed,autodoc}.pl
             From: Robin Houston <robin@kitsite.com>
             Date: Sun, 16 Jun 2002 23:33:50 +0100
             Message-Id: <20020616233350.A9675@robin.kitsite.com>
     Branch: perl
	   ! autodoc.pl embed.pl
____________________________________________________________________________
[ 17260] By: jhi                                   on 2002/06/16  17:06:31
        Log: Deprecate (or at least discourage) :raw.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17259] By: jhi                                   on 2002/06/16  16:54:28
        Log: Integrate perlio:
             
             [ 17258]
             Last minute tinkering with PerlIO abstraction API.
             - PerlIO_importFILE and PerlIO_exportFILE now documented as taking
             const char *mode.
             - Other 'flags' field changed to U32
             - Discouraging words written about ":raw".
     Branch: perl
	  !> perlio.c perlio.h perliol.h pod/perlapio.pod pod/perltoc.pod
____________________________________________________________________________
[ 17258] By: nick                                  on 2002/06/16  16:38:59
        Log: Last minute tinkering with PerlIO abstraction API.
             - PerlIO_importFILE and PerlIO_exportFILE now documented as taking
             const char *mode.
             - Other 'flags' field changed to U32
             - Discouraging words written about ":raw".
     Branch: perlio
	   ! perlio.c perlio.h perliol.h pod/perlapio.pod pod/perltoc.pod
____________________________________________________________________________
[ 17257] By: nick                                  on 2002/06/16  15:16:46
        Log: Integrate mainline
     Branch: perlio
	  !> (integrate 32 files)
____________________________________________________________________________
[ 17256] By: ams                                   on 2002/06/16  09:00:51
        Log: Subject: [PATCH] Sync MakeMaker 6.01 -> 6.02
             From: Michael G Schwern <schwern@pobox.com>
             Date: Sun, 16 Jun 2002 03:49:27 -0400
             Message-Id: <20020616074927.GD7403@ool-18b93024.dyn.optonline.net>
             
             Subject: [PATCH] Test::Harness 2.24 -> 2.25
             From: Michael G Schwern <schwern@pobox.com>
             Date: Sun, 16 Jun 2002 03:58:40 -0400
             Message-Id: <20020616075840.GE7403@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   ! lib/ExtUtils/Changes lib/ExtUtils/Command.pm
	   ! lib/ExtUtils/Installed.pm lib/ExtUtils/MM_MacOS.pm
	   ! lib/ExtUtils/MM_Unix.pm lib/ExtUtils/MakeMaker.pm
	   ! lib/ExtUtils/t/00setup_dummy.t lib/ExtUtils/t/Command.t
	   ! lib/ExtUtils/t/Installed.t lib/ExtUtils/t/writemakefile_args.t
	   ! lib/Test/Harness.pm lib/Test/Harness/Changes
	   ! lib/Test/Harness/Straps.pm lib/Test/Harness/t/callback.t
	   ! lib/Test/Harness/t/strap-analyze.t
	   ! lib/Test/Harness/t/test-harness.t
	   ! t/lib/MakeMaker/Test/Utils.pm
____________________________________________________________________________
[ 17255] By: jhi                                   on 2002/06/16  03:29:09
        Log: Subject: [PATCH] pp.c:pp_pow() -- quit when you're done
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Sat, 15 Jun 2002 18:56:12 -0500
             Message-Id: <a05111b15b93181a27d6d@[172.16.52.1]>
     Branch: perl
	   ! pp.c
____________________________________________________________________________
[ 17254] By: jhi                                   on 2002/06/15  20:09:47
        Log: Collect the known AmigaOS wisdom.
     Branch: perl
	   ! README.amiga hints/amigaos.sh
____________________________________________________________________________
[ 17253] By: jhi                                   on 2002/06/15  18:08:06
        Log: Subject: [PATCH] README.vms, Multinet fix update
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Sat, 15 Jun 2002 14:02:50 -0500
             Message-Id: <a05111b12b9313d818599@[172.16.52.1]>
     Branch: perl
	   ! README.vms
____________________________________________________________________________
[ 17252] By: jhi                                   on 2002/06/15  17:22:56
        Log: Regenerate Changes; most importantly automassage the
             "Integrate perlio" entries to be more informative.
     Branch: perl
	   ! Changes
____________________________________________________________________________
[ 17251] By: jhi                                   on 2002/06/15  15:39:09
        Log: Spurious empty statements.
     Branch: perl
	   ! op.c perl.c perlio.c sv.c
____________________________________________________________________________
[ 17250] By: jhi                                   on 2002/06/15  15:34:51
        Log: Possible cure for
             
             Subject: Re: Thread bug in 5.8RC1 Win32
             From: Alessandro Forghieri <alf@orion.it>
             Date: Sat, 15 Jun 2002 12:56:35 +0200
             Message-ID: <20020615125635.A25110@alpha.orion.it>
     Branch: perl
	   ! perl.c
____________________________________________________________________________
[ 17249] By: jhi                                   on 2002/06/14  23:14:44
        Log: findrfuncs: small tweaks.
     Branch: perl
	   ! Porting/findrfuncs
____________________________________________________________________________
[ 17248] By: jhi                                   on 2002/06/14  22:34:27
        Log: Group the debugger changes in one place.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17247] By: jhi                                   on 2002/06/14  19:26:15
        Log: Detypo.
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 17246] By: jhi                                   on 2002/06/14  19:18:44
        Log: Plug potential confusion.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17245] By: jhi                                   on 2002/06/14  19:13:16
        Log: Attribute::Handlers has been adopted by Arthur.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17244] By: jhi                                   on 2002/06/14  19:04:53
        Log: README.irix update.
     Branch: perl
	   ! README.irix
____________________________________________________________________________
[ 17243] By: jhi                                   on 2002/06/14  19:00:08
        Log: README.tru64 update.
     Branch: perl
	   ! README.tru64
____________________________________________________________________________
[ 17242] By: jhi                                   on 2002/06/14  18:48:33
        Log: Not that urgent a fix since inside #if 0, but still...
     Branch: perl
	   ! perlsfio.h
____________________________________________________________________________
[ 17241] By: nick                                  on 2002/06/14  17:15:38
        Log: Integrate mainline
     Branch: perlio
	  !> Changes Configure NetWare/config.wc NetWare/config_H.wc
	  !> Porting/Glossary Porting/config.sh Porting/config_H
	  !> config_h.SH ext/Socket/socketpair.t lib/ExtUtils/t/Constant.t
	  !> lib/Pod/t/basic.t lib/Term/Cap.t patchlevel.h
	  !> pod/perldelta.pod pod/perltoc.pod pp_sys.c
____________________________________________________________________________
[ 17240] By: jhi                                   on 2002/06/14  14:25:38
        Log: OS/2 status from John Poltorak.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17239] By: jhi                                   on 2002/06/14  14:05:37
        Log: Regen Configure; regen perltoc.
     Branch: perl
	   ! Configure Porting/Glossary Porting/config.sh Porting/config_H
	   ! config_h.SH pod/perltoc.pod
____________________________________________________________________________
[ 17238] By: jhi                                   on 2002/06/14  13:40:23
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 17237] By: jhi                                   on 2002/06/14  13:32:22
        Log: NetWare diff for XS::APItest.
     Branch: perl
	   ! NetWare/config.wc NetWare/config_H.wc
____________________________________________________________________________
[ 17236] By: jhi                                   on 2002/06/14  11:16:57
        Log: Subject: [PATCH] Constant.t for EBCDIC platforms       
             From: "Roca Carrio, Ignasi (PO EP)" <Ignasi.Roca@fujitsu-siemens.com>
             Date: Fri, 14 Jun 2002 10:39:54 +0200
             Message-ID: <318B95F90D8BD41194A5009027FD5FFBD7A438@madrid14.mad.fsc.net> 
     Branch: perl
	   ! lib/ExtUtils/t/Constant.t
____________________________________________________________________________
[ 17235] By: jhi                                   on 2002/06/14  11:09:07
        Log: Subject: [PATCH] getpwent() & POSIX-BC/BS2000 problem
             From: "Roca Carrio, Ignasi (PO EP)" <Ignasi.Roca@fujitsu-siemens.com>
             Date: Fri, 14 Jun 2002 10:07:28 +0200
             Message-ID: <318B95F90D8BD41194A5009027FD5FFBD7A3D8@madrid14.mad.fsc.net>
     Branch: perl
	   ! pp_sys.c
____________________________________________________________________________
[ 17234] By: jhi                                   on 2002/06/14  11:08:34
        Log: Subject: [PATCH] basic.t for EBCDIC platforms
             From: "Roca Carrio, Ignasi (PO EP)" <Ignasi.Roca@fujitsu-siemens.com>
             Date: Fri, 14 Jun 2002 09:58:49 +0200
             Message-ID: <318B95F90D8BD41194A5009027FD5FFBD7A3BF@madrid14.mad.fsc.net>
     Branch: perl
	   ! lib/Pod/t/basic.t
____________________________________________________________________________
[ 17233] By: jhi                                   on 2002/06/14  11:07:23
        Log: Subject: [PATCH] Cap.t for EBCDIC platforms
             From: "Roca Carrio, Ignasi (PO EP)" <Ignasi.Roca@fujitsu-siemens.com>
             Date: Fri, 14 Jun 2002 09:53:36 +0200
             Message-ID: <318B95F90D8BD41194A5009027FD5FFBD7A3B1@madrid14.mad.fsc.net>       
             (why this has been working in z/OS?)
     Branch: perl
	   ! lib/Term/Cap.t
____________________________________________________________________________
[ 17232] By: jhi                                   on 2002/06/14  10:58:01
        Log: Mention Solaris x86 use64bitint troubles.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17231] By: jhi                                   on 2002/06/14  10:45:16
        Log: All UNICOS test failures should be gone now.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17230] By: jhi                                   on 2002/06/14  10:39:04
        Log: UNICOS and UNICOS/mk are broken only on one test.
     Branch: perl
	   ! ext/Socket/socketpair.t
____________________________________________________________________________
[ 17229] By: nick                                  on 2002/06/14  08:36:40
        Log: Integrate mainline
     Branch: perlio
	  !> (integrate 32 files)
____________________________________________________________________________
[ 17228] By: jhi                                   on 2002/06/14  01:36:12
        Log: Upgrade to Switch 2.09 (the debugging statement
             was already removed in blead)
     Branch: perl
	   ! lib/Switch.pm lib/Switch/Changes lib/Switch/README
____________________________________________________________________________
[ 17227] By: ams                                   on 2002/06/14  00:39:15
        Log: Subject: [PATCH perl@17206] assorted help for older VMS systems
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Thu, 13 Jun 2002 19:55:25 -0500
             Message-Id: <a05111b05b92ec91d165b@[172.16.52.1]>
     Branch: perl
	   ! configure.com pod/perldelta.pod pp_pack.c vms/vms.c
____________________________________________________________________________
[ 17226] By: jhi                                   on 2002/06/13  22:07:24
        Log: Thread doc tweaks.
     Branch: perl
	   ! ext/threads/shared/shared.pm ext/threads/threads.pm
	   ! pod/perlthrtut.pod
____________________________________________________________________________
[ 17225] By: jhi                                   on 2002/06/13  21:59:07
        Log: Don't assume too much about how print will scale
             your fp numbers; be explicit and use printf instead--
             the assumption broke in UNICOS (from Mark Lutz)
             (Use %.0f instead of %d because in 32-bit systems
             the %d may end producing -1 or something else odd.)
     Branch: perl
	   ! t/lib/warnings/toke
____________________________________________________________________________
[ 17224] By: jhi                                   on 2002/06/13  19:22:12
        Log: Tell what version of PDL will be fine with 5.8.0,
             according to TimJ.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17223] By: jhi                                   on 2002/06/13  16:44:12
        Log: Subject: test failure: lib/ExtUtils/t/Installed.t
             From: Hugo van der Sanden <hv@crypt.compulink.co.uk>
             Date: Thu, 13 Jun 2002 15:44:24 +0100
             Message-Id: <200206131444.g5DEiOo22204@crypt.compulink.co.uk>
     Branch: perl
	   ! lib/ExtUtils/t/Installed.t
____________________________________________________________________________
[ 17222] By: jhi                                   on 2002/06/13  16:39:35
        Log: Subject: Re: linux + usemorebits: gcc error?
             From: Hugo van der Sanden <hv@crypt.compulink.co.uk>
             Date: Thu, 13 Jun 2002 15:03:28 +0100
             Message-Id: <200206131403.g5DE3Sk21964@crypt.compulink.co.uk>
             
             (go U32 based on NI-S since it's a flags field)
     Branch: perl
	   ! perliol.h
____________________________________________________________________________
[ 17221] By: jhi                                   on 2002/06/13  13:55:08
        Log: Document the tied/magical/shared array/hash non-autovivifying bug.
     Branch: perl
	   ! ext/threads/shared/shared.pm pod/perldelta.pod
____________________________________________________________________________
[ 17220] By: jhi                                   on 2002/06/13  12:51:14
        Log: Also perlsub needs to be slightly more upbeat about attributes. 
     Branch: perl
	   ! pod/perlsub.pod
____________________________________________________________________________
[ 17219] By: jhi                                   on 2002/06/13  12:40:36
        Log: One more pass on the TYPE/ATTRS issues.
     Branch: perl
	   ! lib/attributes.pm pod/perlfunc.pod
____________________________________________________________________________
[ 17218] By: jhi                                   on 2002/06/13  12:24:53
        Log: Subject: Re: [ PATCH ] AIX 5 + 17206
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Thu, 13 Jun 2002 09:18:27 +0200
             Message-Id: <20020613091118.2BAF.H.M.BRAND@hccnet.nl>
     Branch: perl
	   ! hints/aix.sh
____________________________________________________________________________
[ 17217] By: jhi                                   on 2002/06/13  12:24:22
        Log: Subject: [ PATCH ] mymalloc on HP-UX
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Thu, 13 Jun 2002 09:58:30 +0200
             Message-Id: <20020613095503.2BB2.H.M.BRAND@hccnet.nl>
     Branch: perl
	   ! hints/hpux.sh
____________________________________________________________________________
[ 17216] By: ams                                   on 2002/06/13  10:08:38
        Log: <pudge> crab, can you integrate 17215 ?
     Branch: perl
	  !> ext/XS/APItest/t/printf.t
____________________________________________________________________________
[ 17215] By: pudge                                 on 2002/06/13  09:51:36
        Log: Building XS::APItest as shared lib
     Branch: macperl
	   ! ext/XS/APItest/t/printf.t
____________________________________________________________________________
[ 17214] By: pudge                                 on 2002/06/13  09:50:25
        Log: Update tests, makefile, config
     Branch: macperl
	   ! macos/MacPerlTests.cmd macos/Makefile.mk macos/config.sh
____________________________________________________________________________
[ 17213] By: pudge                                 on 2002/06/13  09:49:11
        Log: Integrate perl
     Branch: macperl
	  +> README.freebsd README.irix ext/IO/hints/sco.pl
	  +> ext/Thread/README.threads ext/XS/APItest/APItest.pm
	  +> ext/XS/APItest/APItest.xs ext/XS/APItest/MANIFEST
	  +> ext/XS/APItest/Makefile.PL ext/XS/APItest/README
	  +> ext/XS/APItest/t/printf.t lib/Math/BigInt/t/upgradef.t
	  +> lib/Net/Ping/Changes
	   - README.threads lib/Net/Ping/CHANGES
	   ! NetWare/bat/SetCodeWar.bat
	  !> (integrate 168 files)
____________________________________________________________________________
[ 17212] By: ams                                   on 2002/06/13  09:29:13
        Log: Subject: [PATCH] APItest.xs OUTPUT (was: perl@17206)
             From: Chris Nandor <pudge@pobox.com>
             Date: Thu, 13 Jun 2002 00:16:26 -0400
             Message-Id: <pudge-95528D.00162613062002@onion.valueclick.com>
     Branch: perl
	   ! ext/XS/APItest/APItest.xs
____________________________________________________________________________
[ 17211] By: jhi                                   on 2002/06/12  23:05:29
        Log: Subject: [PATCH: perl@17206] add skipping of threads and threads::shared on default builds
             From: PPrymmer@factset.com
             Date: Wed, 12 Jun 2002 18:58:50 -0400
             Message-ID: <OF3EE94CDE.1E9C1D28-ON85256BD6.007CC091@55.25.11>
     Branch: perl
	   ! utils/perlivp.PL
____________________________________________________________________________
[ 17210] By: jhi                                   on 2002/06/12  22:57:47
        Log: The scalar behaviour of sort is undefined.
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 17209] By: jhi                                   on 2002/06/12  22:56:24
        Log: Mention I/O layers in perlopentut.
     Branch: perl
	   ! pod/perlopentut.pod
____________________________________________________________________________
[ 17208] By: jhi                                   on 2002/06/12  22:36:15
        Log: Document the my/our TYPE and ATTRIBUTES (Use the Camel Mk 3, Luke).
     Branch: perl
	   ! lib/attributes.pm pod/perlfunc.pod
____________________________________________________________________________
[ 17207] By: jhi                                   on 2002/06/12  14:15:32
        Log: As noticed by Philip Newton, XS::APItest is not meant to be installed.
     Branch: perl
	   ! ext/XS/APItest/README
____________________________________________________________________________
[ 17206] By: jhi                                   on 2002/06/12  13:25:30
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 17205] By: jhi                                   on 2002/06/12  13:16:32
        Log: Regen toc.
     Branch: perl
	   ! pod/perltoc.pod
____________________________________________________________________________
[ 17204] By: jhi                                   on 2002/06/12  13:05:28
        Log: This should be gone now.
     Branch: perl
	   ! INSTALL
____________________________________________________________________________
[ 17203] By: jhi                                   on 2002/06/12  12:58:54
        Log: NetWare doc tweak.
     Branch: perl
	   ! README.netware
____________________________________________________________________________
[ 17202] By: jhi                                   on 2002/06/12  12:33:33
        Log: Subject: [PATCH pod/perlfunc.pod] Re: Change sort in scalar context behavior. 
             From: Abigail <abigail@foad.org>
             Date: Wed, 12 Jun 2002 02:46:01 -0700
             Message-ID: <20020612024601.A8524@ucan.foad.org>
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 17201] By: jhi                                   on 2002/06/12  12:31:19
        Log: Subject: [PATCH] Re: linux + usemorebits: gcc error?
             From: Rafael Garcia-Suarez <raphel.garcia-suarez@hexaflux.com>
             Date: Wed, 12 Jun 2002 13:50:59 +0200
             Message-ID: <3D0735A3.4020701@hexaflux.com>
     Branch: perl
	   ! ext/Time/HiRes/HiRes.xs
____________________________________________________________________________
[ 17200] By: jhi                                   on 2002/06/12  12:17:02
        Log: Synchronize config.bc and config_H.bc; add SCNfldbl;
             go back to disabling long doubles from MinGW because
             MSVCRT doesn't do long double printfing even when gcc
             would know how to handle them.
     Branch: perl
	   ! win32/config.bc win32/config_H.bc win32/config_H.gc
____________________________________________________________________________
[ 17199] By: nick                                  on 2002/06/12  11:13:16
        Log: Integrate mainline
     Branch: perlio
	  !> configure.com ext/XS/APItest/APItest.xs lib/Math/Trig.t perl.c
	  !> pod/perldiag.pod pod/perlmodlib.PL pod/perlmodlib.pod
	  !> win32/config_H.bc win32/config_H.gc
____________________________________________________________________________
[ 17198] By: jhi                                   on 2002/06/12  03:01:37
        Log: Subject: [PATCH @17190] configure.com: join the sPRI... party
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Tue, 11 Jun 2002 22:44:31 -0500
             Message-Id: <a05111b00b92c6bda8b47@[172.16.52.1]>
     Branch: perl
	   ! configure.com
____________________________________________________________________________
[ 17197] By: jhi                                   on 2002/06/12  01:52:32
        Log: Test relying on undefined behaviour of atan2(0, 0)
             (valiantly debugged by Mark Lutz).
     Branch: perl
	   ! lib/Math/Trig.t
____________________________________________________________________________
[ 17196] By: jhi                                   on 2002/06/12  01:41:05
        Log: Regen perlmodlib.
     Branch: perl
	   ! pod/perlmodlib.pod
____________________________________________________________________________
[ 17195] By: jhi                                   on 2002/06/12  01:39:18
        Log: Subject: [PATCH] perlmodlib.pod missing Config & Errno
             From: sthoenna@efn.org (Yitzchak Scott-Thoennes)
             Date: Tue, 11 Jun 2002 15:12:15 -0700
             Message-ID: </WnB9gzkgC5S092yn@efn.org>
     Branch: perl
	   ! pod/perlmodlib.PL
____________________________________________________________________________
[ 17194] By: jhi                                   on 2002/06/12  01:35:57
        Log: Subject: [PATCH] Re: RC1 on Playstation2
             From: Tim Jenness <t.jenness@jach.hawaii.edu>
             Date: Tue, 11 Jun 2002 11:55:40 -1000 (HST)
             Message-ID: <Pine.LNX.4.44.0206111135130.31715-100000@lapaki>
     Branch: perl
	   ! perl.c
____________________________________________________________________________
[ 17193] By: jhi                                   on 2002/06/11  19:57:23
        Log: Not that I know anything about Windows compilers
             but Google leads me into believing that while Borland and
             GCC support the ANSI way of printing long doubles (%L),
             Visual C really doesn't support printing them.
     Branch: perl
	   ! ext/XS/APItest/APItest.xs win32/config_H.bc win32/config_H.gc
____________________________________________________________________________
[ 17192] By: rgs                                   on 2002/06/11  19:00:37
        Log: Fix a cut-n-paste error.
     Branch: perl
	   ! pod/perldiag.pod
____________________________________________________________________________
[ 17191] By: nick                                  on 2002/06/11  16:07:14
        Log: Integrate mainline
     Branch: perlio
	  !> Changes INSTALL ext/XS/APItest/APItest.pm
	  !> ext/XS/APItest/APItest.xs ext/XS/APItest/t/printf.t
	  !> patchlevel.h
____________________________________________________________________________
[ 17190] By: jhi                                   on 2002/06/11  14:09:14
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 17189] By: jhi                                   on 2002/06/11  13:55:12
        Log: Trying to printf Perl-specific datatypes using printf
             (with perlio or stdio) is folly, says Hugo.
     Branch: perl
	   ! ext/XS/APItest/APItest.pm ext/XS/APItest/APItest.xs
	   ! ext/XS/APItest/t/printf.t
____________________________________________________________________________
[ 17188] By: jhi                                   on 2002/06/11  13:54:31
        Log: Be more specific.
     Branch: perl
	   ! INSTALL
____________________________________________________________________________
[ 17187] By: jhi                                   on 2002/06/11  13:03:13
        Log: Subject: [PATCH INSTALL] warn about gcc 3.1 + usemorebits
             From: Rafael Garcia-Suarez <raphel.garcia-suarez@hexaflux.com>      
             Date: Tue, 11 Jun 2002 12:21:01 +0200
             Message-ID: <3D05CF0D.9060409@hexaflux.com>    
     Branch: perl
	   ! INSTALL
____________________________________________________________________________
[ 17186] By: nick                                  on 2002/06/11  10:44:04
        Log: Integrate mainline
     Branch: perlio
	  +> ext/XS/APItest/APItest.pm ext/XS/APItest/APItest.xs
	  +> ext/XS/APItest/MANIFEST ext/XS/APItest/Makefile.PL
	  +> ext/XS/APItest/README ext/XS/APItest/t/printf.t
	  +> lib/Math/BigInt/t/upgradef.t
	  !> MANIFEST NetWare/Makefile Porting/repository.pod
	  !> djgpp/config.over ext/Digest/MD5/t/files.t ext/Encode/t/CJKT.t
	  !> ext/Encode/t/guess.t ext/PerlIO/t/fallback.t
	  !> ext/Storable/t/malice.t lib/Math/BigFloat.pm
	  !> lib/Math/BigInt.pm lib/Math/BigInt/Calc.pm
	  !> lib/Math/BigInt/t/bare_mbi.t lib/Math/BigInt/t/bigintpm.inc
	  !> lib/Math/BigInt/t/bigintpm.t lib/Math/BigInt/t/mbi_rand.t
	  !> lib/Math/BigInt/t/sub_mbi.t locale.c perl.h pod/perldelta.pod
	  !> pod/perlfunc.pod pod/perlhack.pod pod/perluniintro.pod
	  !> win32/Makefile
____________________________________________________________________________
[ 17185] By: gsar                                  on 2002/06/11  05:02:43
        Log: sanity-check the windows section in perldelta and add some missing
             entries
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17184] By: jhi                                   on 2002/06/11  03:45:44
        Log: Obviously time to get some sleep.
     Branch: perl
	   ! ext/XS/APItest/t/printf.t
____________________________________________________________________________
[ 17183] By: jhi                                   on 2002/06/11  03:41:35
        Log: #17179 wasn't quite right.
     Branch: perl
	   ! ext/XS/APItest/t/printf.t
____________________________________________________________________________
[ 17182] By: gsar                                  on 2002/06/11  03:27:41
        Log: fix outdated info about how the patches in the APC are generated;
             mention the perlbrowse repository gateway; add a pointer to
             perlhack.pod in repository.pod
     Branch: perl
	   ! Porting/repository.pod pod/perlhack.pod
____________________________________________________________________________
[ 17181] By: jhi                                   on 2002/06/11  03:27:24
        Log: Subject: Detype locale.c comment
             From: Philip Newton <Philip.Newton@gmx.net>
             Date: Tue, 11 Jun 2002 06:28:08 +0200
             Message-ID: <b0vagu8197d5jn2c5pt8al97loreugl9e5@4ax.com>
     Branch: perl
	   ! locale.c
____________________________________________________________________________
[ 17180] By: jhi                                   on 2002/06/11  03:21:53
        Log: Make UTF-8 locales effective only if PerlIO has been
             defined (ignore UTF-8 locales silently if no PerlIO).
     Branch: perl
	   ! locale.c pod/perldelta.pod pod/perluniintro.pod
____________________________________________________________________________
[ 17179] By: jhi                                   on 2002/06/11  02:53:34
        Log: Can't printf Perl specific datatypes without perlio
             (in other words, stdio doesn't do the %V...)
     Branch: perl
	   ! ext/XS/APItest/t/printf.t
____________________________________________________________________________
[ 17178] By: jhi                                   on 2002/06/11  01:54:05
        Log: Document XS::APItest.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17177] By: jhi                                   on 2002/06/11  01:49:38
        Log: Add XS::APItest to Win32/DJGPP/NetWare.
     Branch: perl
	   ! NetWare/Makefile djgpp/config.over win32/Makefile
____________________________________________________________________________
[ 17176] By: jhi                                   on 2002/06/11  01:37:39
        Log: Add XS::APItest 0.01 from Tim Jenness.
             
             The perl.h change is needed by non-gcc (non-__attribute__)
             compilers: without it non-gccs won't have printf() mapped
             to PerlIO_stdoutf (when perlio, of course).  This means that
             non-gccs would not be able to print the Perl specific datatypes.
     Branch: perl
	   + ext/XS/APItest/APItest.pm ext/XS/APItest/APItest.xs
	   + ext/XS/APItest/MANIFEST ext/XS/APItest/Makefile.PL
	   + ext/XS/APItest/README ext/XS/APItest/t/printf.t
	   ! MANIFEST perl.h
____________________________________________________________________________
[ 17175] By: jhi                                   on 2002/06/10  23:24:42
        Log: Now that binmode(FH) does implicit ":bytes" revisit
             the failing tests.  The worrisome one is the Digest::MD5
             test-- how will it fare in CRLF lands now?
     Branch: perl
	   ! ext/Digest/MD5/t/files.t ext/Encode/t/CJKT.t
	   ! ext/Encode/t/guess.t ext/PerlIO/t/fallback.t
	   ! ext/Storable/t/malice.t
____________________________________________________________________________
[ 17174] By: jhi                                   on 2002/06/10  20:55:00
        Log: Upgrade to Math::BigInt 1.59.
     Branch: perl
	   + lib/Math/BigInt/t/upgradef.t
	   ! MANIFEST lib/Math/BigFloat.pm lib/Math/BigInt.pm
	   ! lib/Math/BigInt/Calc.pm lib/Math/BigInt/t/bare_mbi.t
	   ! lib/Math/BigInt/t/bigintpm.inc lib/Math/BigInt/t/bigintpm.t
	   ! lib/Math/BigInt/t/mbi_rand.t lib/Math/BigInt/t/sub_mbi.t
____________________________________________________________________________
[ 17173] By: jhi                                   on 2002/06/10  20:16:30
        Log: Document the implicit :bytes of binmode(FH).
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 17172] By: jhi                                   on 2002/06/10  19:27:23
        Log: Integrate perlio:
             
             [ 17171]
             binmode(FH); to act like binmode(FH,":bytes") as well as
             turning off CRLF features.
     Branch: perl
	  !> perlio.c t/io/utf8.t
____________________________________________________________________________
[ 17171] By: nick                                  on 2002/06/10  18:40:22
        Log: binmode(FH); to act like binmode(FH,":bytes") as well as
             turning off CRLF features.
     Branch: perlio
	   ! perlio.c t/io/utf8.t
____________________________________________________________________________
[ 17170] By: nick                                  on 2002/06/10  17:04:28
        Log: Integrate mainline
     Branch: perlio
	  !> Changes ext/Encode/t/CJKT.t ext/Encode/t/guess.t
	  !> ext/threads/shared/queue.pm ext/threads/shared/shared.xs
	  !> locale.c patchlevel.h perl.c pod/perldebtut.pod
	  !> pod/perldelta.pod sv.c
____________________________________________________________________________
[ 17169] By: jhi                                   on 2002/06/10  14:47:28
        Log: Subject: [DOC PATCH] perldebtut
             From: Elizabeth Mattijsen <liz@dijkmat.nl>
             Date: Mon, 10 Jun 2002 17:47:14 +0200
             Message-Id: <4.2.0.58.20020610174710.05123760@mickey.dijkmat.nl>
     Branch: perl
	   ! pod/perldebtut.pod
____________________________________________________________________________
[ 17168] By: jhi                                   on 2002/06/10  14:04:31
        Log: Document the UTF-8 env issue.  Now NI-S just needs
             to fix binmode() to comply with the documentation...
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17167] By: jhi                                   on 2002/06/10  13:47:21
        Log: Subject: Re: Change 17108: Document the do BAREWORD change, from Rafael.
             From: Philip Newton <Philip.Newton@gmx.net>
             Date: Mon, 10 Jun 2002 07:56:41 +0200
             Message-ID: <anf8gugjm2v70ckgmkjm12paa00atimik4@4ax.com>
             
             Subject: Re: Change 17110: Add deprecations.
             From: Philip Newton <Philip.Newton@gmx.net>
             Date: Mon, 10 Jun 2002 07:56:22 +0200
             Message-ID: <bpf8gu0v332thjkpv39uirardul58aa7b3@4ax.com>
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17166] By: jhi                                   on 2002/06/10  13:44:49
        Log: NI-S doesn't need these comments :-) but I'm commenting anyway.
     Branch: perl
	   ! locale.c perl.c
____________________________________________________________________________
[ 17165] By: jhi                                   on 2002/06/10  13:07:57
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 17164] By: jhi                                   on 2002/06/10  13:01:17
        Log: Further patch on #17163 for Tru64.
     Branch: perl
	   ! sv.c
____________________________________________________________________________
[ 17163] By: jhi                                   on 2002/06/10  12:40:16
        Log: Patch from Hugo for the 'printf' problem:
             - for SV-style calling, we can only get NV
             - for C-style calling, we assume %f is double;
             - for simplicity we allow any of %Lf, %llf, %qf for long double
     Branch: perl
	   ! sv.c
____________________________________________________________________________
[ 17162] By: jhi                                   on 2002/06/10  12:31:32
        Log: Integrate perlio:
             
             [ 17159]
             Tune test to run in UTF-8 locales
             - test file must be opened as :bytes or high-bit octets
             will be UTF-8 encoded on write in such locales, so
             will not read as expected.
     Branch: perl
	  !> ext/PerlIO/t/fallback.t
____________________________________________________________________________
[ 17161] By: jhi                                   on 2002/06/10  12:21:39
        Log: #17150 didn't expect -Uuseperlio.
     Branch: perl
	   ! ext/Encode/t/CJKT.t ext/Encode/t/guess.t
____________________________________________________________________________
[ 17160] By: sky                                   on 2002/06/10  09:53:42
        Log: Subject: [PATCH] queue.pm
             From: Benjamin Goldberg <goldbb2@earthlink.net>
             Date: tis jun 04, 2002  02:03:53  Europe/Stockholm
             Message-Id: <3CFC03E8.A1EF9886@earthlink.net>
             Applied manually
     Branch: perl
	   ! ext/threads/shared/queue.pm ext/threads/shared/shared.xs
____________________________________________________________________________
[ 17159] By: nick                                  on 2002/06/10  09:51:16
        Log: Tune test to run in UTF-8 locales
             - test file must be opened as :bytes or high-bit octets
             will be UTF-8 encoded on write in such locales, so
             will not read as expected.
     Branch: perlio
	   ! ext/PerlIO/t/fallback.t
____________________________________________________________________________
[ 17158] By: nick                                  on 2002/06/10  09:49:32
        Log: Integrate mainline
     Branch: perlio
	  +> lib/Net/Ping/Changes
	   - lib/Net/Ping/CHANGES
	  !> (integrate 37 files)
____________________________________________________________________________
[ 17157] By: jhi                                   on 2002/06/10  03:30:19
        Log: metaconfig tweak for #17156.
     Branch: metaconfig
	   ! U/mkglossary
____________________________________________________________________________
[ 17156] By: jhi                                   on 2002/06/10  03:30:06
        Log: Glossary tweaks.
     Branch: perl
	   ! Configure Porting/Glossary Porting/config.sh Porting/config_H
____________________________________________________________________________
[ 17155] By: jhi                                   on 2002/06/10  02:12:09
        Log: Upgrade to Net::Ping 2.19.
     Branch: perl
	   + lib/Net/Ping/Changes
	   - lib/Net/Ping/CHANGES
	   ! MANIFEST lib/Net/Ping.pm lib/Net/Ping/README
____________________________________________________________________________
[ 17154] By: jhi                                   on 2002/06/09  23:25:48
        Log: Subject: [patch] ptr_table_store
             From: Doug MacEachern <dougm@covalent.net>
             Date: Sun, 9 Jun 2002 17:07:11 -0700 (PDT)
             Message-ID: <Pine.LNX.4.33.0206091700110.26891-100000@mako.covalent.net>
     Branch: perl
	   ! sv.c
____________________________________________________________________________
[ 17153] By: jhi                                   on 2002/06/09  23:25:04
        Log: Subject: Re: unique attribute?
             From: Doug MacEachern <dougm@covalent.net>
             Date: Sun, 9 Jun 2002 16:49:25 -0700 (PDT)
             Message-ID: <Pine.LNX.4.33.0206091645330.26891-100000@mako.covalent.net>
     Branch: perl
	   ! embed.fnc embed.h proto.h sv.c sv.h
____________________________________________________________________________
[ 17152] By: jhi                                   on 2002/06/09  23:21:35
        Log: Update hint comments.
     Branch: perl
	   ! hints/irix_6.sh
____________________________________________________________________________
[ 17151] By: jhi                                   on 2002/06/09  22:59:54
        Log: One missing bit of Math::BigInt 1.58.
     Branch: perl
	   ! t/lib/Math/BigInt/BareCalc.pm
____________________________________________________________________________
[ 17150] By: jhi                                   on 2002/06/09  21:47:51
        Log: Subject: [ID 20020609.007] Not OK: perl v5.8.0 +DEVEL17060 on i686-linux 2.4.18-4smp (UNINSTALLED)
             From: Radu Greab <radu@netsoft.ro>
             Date: Mon, 10 Jun 2002 00:40:34 +0300
             Message-Id: <200206092140.g59LeYn15745@ix.netsoft.ro>
             
             Fixes for en_US.UTF-8 failures, all but ext/PerlIO/t/fallback.t
             ones which I cannot figure out.
     Branch: perl
	   ! ext/Digest/MD5/t/files.t ext/Encode/t/CJKT.t
	   ! ext/Encode/t/guess.t ext/Storable/t/malice.t
____________________________________________________________________________
[ 17149] By: jhi                                   on 2002/06/09  21:08:02
        Log: :unique nitpicking continues.
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 17148] By: jhi                                   on 2002/06/09  21:01:57
        Log: "thread failed to start: " is better than "Died:".
     Branch: perl
	   ! ext/threads/threads.xs pod/perldiag.pod
____________________________________________________________________________
[ 17147] By: jhi                                   on 2002/06/09  20:47:53
        Log: :unique saga continues.
     Branch: perl
	   ! pod/perldelta.pod pod/perlfunc.pod
____________________________________________________________________________
[ 17146] By: jhi                                   on 2002/06/09  20:44:38
        Log: Subject: Re: unique attribute?
             From: Doug MacEachern <dougm@covalent.net>
             Date: Sun, 9 Jun 2002 14:00:39 -0700 (PDT)
             Message-ID: <Pine.LNX.4.33.0206091356210.26891-100000@mako.covalent.net>
     Branch: perl
	   ! sv.c
____________________________________________________________________________
[ 17145] By: jhi                                   on 2002/06/09  20:09:03
        Log: Subject: Math::BigInt 1.58 released
             From: Tels <perl_dummy@bloodgate.com>
             Date: Sun, 09 Jun 2002 22:39:35 +0200 (CEST)
             Message-Id: <200206092036.g59KaGPZ1308701@tiku.hut.fi>
             
             Subject: [PATCH] RE: Math::BigInt 1.58 released
             From: Tels <perl_dummy@bloodgate.com>
             Date: Sun, 09 Jun 2002 22:45:51 +0200 (CEST)
             Message-Id: <200206092042.g59KgXPZ1223212@tiku.hut.fi>
     Branch: perl
	   ! lib/Math/BigFloat.pm lib/Math/BigInt.pm
	   ! lib/Math/BigInt/Calc.pm lib/Math/BigInt/t/bare_mbf.t
	   ! lib/Math/BigInt/t/bare_mbi.t lib/Math/BigInt/t/bigfltpm.inc
	   ! lib/Math/BigInt/t/bigfltpm.t lib/Math/BigInt/t/bigintpm.inc
	   ! lib/Math/BigInt/t/bigintpm.t lib/Math/BigInt/t/calling.t
	   ! lib/Math/BigInt/t/constant.t lib/Math/BigInt/t/mbi_rand.t
	   ! lib/Math/BigInt/t/sub_mbf.t lib/Math/BigInt/t/sub_mbi.t
	   ! lib/Math/BigInt/t/with_sub.t
____________________________________________________________________________
[ 17144] By: nick                                  on 2002/06/09  17:50:14
        Log: Integrate mainline
     Branch: perlio
	  +> README.freebsd README.irix
	  !> (integrate 43 files)
____________________________________________________________________________
[ 17143] By: jhi                                   on 2002/06/09  17:45:50
        Log: Subject: cleanup's
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Sun, 09 Jun 2002 13:55:21 +0200
             Message-Id: <20020609102200.DEE5.H.M.BRAND@hccnet.nl>
     Branch: perl
	   ! ext/PerlIO/t/encoding.t
____________________________________________________________________________
[ 17142] By: jhi                                   on 2002/06/09  17:37:45
        Log: open "list form" clarification.
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 17141] By: jhi                                   on 2002/06/09  17:24:22
        Log: Better wording from Sarathy.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17140] By: jhi                                   on 2002/06/09  16:58:47
        Log: Closer to the truth.
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 17139] By: jhi                                   on 2002/06/09  16:49:49
        Log: Subject: Re: [PATCH #2] Re: [PATCH] numeric.c:S_mulexp10 -- quit when you can
             From: Hugo van der Sanden <hv@crypt.compulink.co.uk>
             Date: Sun, 09 Jun 2002 14:52:07 +0100
             Message-Id: <200206091352.g59Dq7Z28403@crypt.compulink.co.uk>  
     Branch: perl
	   ! numeric.c
____________________________________________________________________________
[ 17138] By: jhi                                   on 2002/06/09  16:13:44
        Log: Clarify that the :unique makes the target readonly
             when the first interpreter cloning takes place.
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 17137] By: gsar                                  on 2002/06/09  16:05:22
        Log: update perlfork.pod for status as of 5.8.0
     Branch: perl
	   ! pod/perlfork.pod
____________________________________________________________________________
[ 17136] By: jhi                                   on 2002/06/09  16:01:50
        Log: Subject: possible band-aid for cygwin build of perl@17061
             From: PPrymmer@factset.com
             Date: Sat, 8 Jun 2002 20:57:05 -0400
             Message-ID: <OF846EEF0D.EE48F625-ON85256BD3.0002CB12@55.25.11>
     Branch: perl
	   ! Makefile.SH README.cygwin
____________________________________________________________________________
[ 17135] By: sky                                   on 2002/06/09  15:44:37
        Log: Follow up on changing keyword to special subroutine.
     Branch: perl
	   ! pod/perlmod.pod
____________________________________________________________________________
[ 17134] By: jhi                                   on 2002/06/09  15:40:52
        Log: CLONE doc tweaks.
     Branch: perl
	   ! pod/perldelta.pod pod/perlmod.pod
____________________________________________________________________________
[ 17133] By: jhi                                   on 2002/06/09  15:34:20
        Log: syswrite() is old news.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17132] By: jhi                                   on 2002/06/09  15:14:20
        Log: Subject: One-argument syswrite
             From: Johan Vromans <jvromans@squirrel.nl>
             Date: Sun, 9 Jun 2002 13:20:36 +0200
             Message-ID: <15619.14852.462515.162801@phoenix.squirrel.nl>
             
             (It's really two-argument.)
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17131] By: jhi                                   on 2002/06/09  15:11:13
        Log: Subject: [Patch] $^N issues
             From: Johan Vromans <jvromans@squirrel.nl>
             Date: Sun, 9 Jun 2002 13:12:43 +0200
             Message-ID: <15619.14379.888034.910020@phoenix.squirrel.nl>    
     Branch: perl
	   ! lib/English.pm pod/perlre.pod
____________________________________________________________________________
[ 17130] By: jhi                                   on 2002/06/09  15:10:18
        Log: Subject: [Patch] "#0" format in perlform
             From: Johan Vromans <jvromans@squirrel.nl>
             Date: Sun, 9 Jun 2002 12:53:01 +0200
             Message-ID: <15619.13197.892587.565630@phoenix.squirrel.nl>    
     Branch: perl
	   ! pod/perlform.pod
____________________________________________________________________________
[ 17129] By: jhi                                   on 2002/06/09  15:08:20
        Log: Subject: [Patch] CLONE is not in perldelta
             From: Johan Vromans <jvromans@squirrel.nl>
             Date: Sun, 9 Jun 2002 12:41:18 +0200
             Message-ID: <15619.12494.713591.282001@phoenix.squirrel.nl>    
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17128] By: jhi                                   on 2002/06/09  03:02:38
        Log: Subject: [PATCH] fix stuck MD5 compile on VAX
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Sat, 8 Jun 2002 23:01:11 -0500
             Message-Id: <a05111b05b92881c6c8c4@[172.16.52.1]>
     Branch: perl
	   ! ext/Digest/MD5/Makefile.PL
____________________________________________________________________________
[ 17127] By: jhi                                   on 2002/06/08  22:50:43
        Log: ... and more.
     Branch: perl
	   ! win32/makefile.mk
____________________________________________________________________________
[ 17126] By: jhi                                   on 2002/06/08  22:49:43
        Log: More spots for perl$OS.
     Branch: perl
	   ! NetWare/Makefile win32/Makefile
____________________________________________________________________________
[ 17125] By: jhi                                   on 2002/06/08  22:46:17
        Log: One more spot to list perlfreebsd and perlirix.
     Branch: perl
	   ! plan9/mkfile
____________________________________________________________________________
[ 17124] By: jhi                                   on 2002/06/08  22:22:05
        Log: BSD/OS worked for 5.6.0; PowerUX for 5.7.3; Unixware for 5.6.1.
     Branch: perl
	   ! pod/perlport.pod
____________________________________________________________________________
[ 17123] By: jhi                                   on 2002/06/08  22:15:31
        Log: Cygwin duplicated (noticed by Schwern).
     Branch: perl
	   ! pod/perlport.pod
____________________________________________________________________________
[ 17122] By: jhi                                   on 2002/06/08  22:03:15
        Log: s/Plan9/Plan 9/g; (and one remaning MacOS)
     Branch: perl
	   ! INSTALL README.jp pod/perlfaq3.pod pod/perlopentut.pod
	   ! pod/perlport.pod pod/perlrun.pod
____________________________________________________________________________
[ 17121] By: jhi                                   on 2002/06/08  21:36:00
        Log: Make the =heads a little bit more descriptive; regen toc.
     Branch: perl
	   ! README.freebsd README.irix pod/perltoc.pod
____________________________________________________________________________
[ 17120] By: jhi                                   on 2002/06/08  21:02:27
        Log: I wonder what a 64-bot is?
     Branch: perl
	   ! README.irix
____________________________________________________________________________
[ 17119] By: jhi                                   on 2002/06/08  21:01:45
        Log: Regen toc.
     Branch: perl
	   ! pod/perltoc.pod
____________________________________________________________________________
[ 17118] By: jhi                                   on 2002/06/08  21:00:18
        Log: Add README.irix/perlirix.
     Branch: perl
	   + README.irix
	   ! INSTALL MANIFEST pod/buildtoc.PL pod/perl.pod
	   ! pod/perldelta.pod pod/perlport.pod
____________________________________________________________________________
[ 17117] By: jhi                                   on 2002/06/08  20:48:16
        Log: Add perlfreebsd.
     Branch: perl
	   ! pod/buildtoc.PL pod/perl.pod pod/perldelta.pod
	   ! pod/perlport.pod
____________________________________________________________________________
[ 17116] By: jhi                                   on 2002/06/08  20:45:25
        Log: Mention the FreeBSD Perl policy change.
     Branch: perl
	   ! README.freebsd
____________________________________________________________________________
[ 17115] By: jhi                                   on 2002/06/08  20:34:59
        Log: Mention the FreeBSD readdir_r bug in perldelta.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17114] By: jhi                                   on 2002/06/08  20:31:18
        Log: Subject: [PATCH] Re: perl Makfile.PL for DBI give Segmentation fault (core dumped)    (was: perl@17014)
             From: Nicholas Clark <nick@unfortu.net>
             Date: Sat, 8 Jun 2002 22:23:15 +0100
             Message-ID: <20020608212315.GE302@Bagpuss.unfortu.net>
     Branch: perl
	   + README.freebsd
	   ! MANIFEST
____________________________________________________________________________
[ 17113] By: sky                                   on 2002/06/08  20:19:28
        Log: Preparing A::H for CPAN release, upped version to 0.77
             Documented changes.
             Last tweak to test case.
     Branch: perl
	   ! lib/Attribute/Handlers.pm lib/Attribute/Handlers/Changes
	   ! lib/Attribute/Handlers/README lib/Attribute/Handlers/t/multi.t
____________________________________________________________________________
[ 17112] By: sky                                   on 2002/06/08  19:42:33
        Log: Prepare CPAN release of Attribute::Handlers
             Make the test case know about the changes in attributes
             in 5.8 (lexical) and also turn off some warnings.
     Branch: perl
	   ! lib/Attribute/Handlers.pm lib/Attribute/Handlers/t/multi.t
____________________________________________________________________________
[ 17111] By: jhi                                   on 2002/06/08  19:11:49
        Log: Because of #17097.
     Branch: perl
	   ! configpm
____________________________________________________________________________
[ 17110] By: jhi                                   on 2002/06/08  19:06:31
        Log: Add deprecations.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17109] By: sky                                   on 2002/06/08  19:02:19
        Log: Remove leftover dummy and cleanup the test case.
     Branch: perl
	   ! ext/threads/shared/shared.pm ext/threads/shared/t/hv_refs.t
	   ! ext/threads/shared/t/hv_simple.t
____________________________________________________________________________
[ 17108] By: jhi                                   on 2002/06/08  18:55:23
        Log: Document the do BAREWORD change, from Rafael.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17107] By: jhi                                   on 2002/06/08  18:32:50
        Log: Remove the newly added makedepend .depending "token directory"
             when cleaning up.
     Branch: perl
	   ! Makefile.SH
____________________________________________________________________________
[ 17106] By: jhi                                   on 2002/06/08  18:24:08
        Log: perldelta tweaks.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17105] By: jhi                                   on 2002/06/08  18:19:40
        Log: I assume the Perl fork() emulation is still experimental.
     Branch: perl
	   ! pod/perlfork.pod
____________________________________________________________________________
[ 17104] By: jhi                                   on 2002/06/08  18:17:10
        Log: Subject: [PATCH] VMS doc patch (was Re: VMS changes?)
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Sat, 8 Jun 2002 14:10:41 -0500
             Message-Id: <a05111b03b92805d6bc97@[172.16.52.1]>
     Branch: perl
	   ! README.vms pod/perldelta.pod
____________________________________________________________________________
[ 17103] By: jhi                                   on 2002/06/08  18:04:37
        Log: Slight tweaks from Lupe Christoph.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17102] By: jhi                                   on 2002/06/08  17:04:24
        Log: Workaround for broken symlink traversal.
     Branch: perl
	   ! installperl
____________________________________________________________________________
[ 17101] By: jhi                                   on 2002/06/08  16:16:46
        Log: h2ph: Explain why parts of asm/*.h are skipped in Linux.
     Branch: perl
	   ! utils/h2ph.PL
____________________________________________________________________________
[ 17100] By: nick                                  on 2002/06/08  15:54:19
        Log: Integrate mainline
     Branch: perlio
	  !> Makefile.SH ext/Storable/ChangeLog ext/Storable/Storable.pm
	  !> ext/Storable/Storable.xs ext/Storable/t/recurse.t
	  !> ext/threads/threads.xs lib/Thread.pm lib/Thread/Queue.pm
	  !> lib/Thread/Semaphore.pm lib/Win32.pod numeric.c
	  !> pod/perldelta.pod pod/perlport.pod pod/perlvar.pod
	  !> utils/h2ph.PL utils/perldoc.PL utils/perlivp.PL win32/win32.c
____________________________________________________________________________
[ 17099] By: jhi                                   on 2002/06/08  15:53:16
        Log: Try to avoid a looping makedepend that sometimes
             happens when timestamps are out of sync.
     Branch: perl
	   ! makedepend.SH
____________________________________________________________________________
[ 17098] By: jhi                                   on 2002/06/08  15:35:06
        Log: metaconfig tweaks from Robin Barker to go with #17097;
             update Glossary.patch and mkglossary.
     Branch: metaconfig
	   ! U/Glossary.patch U/mkglossary dist-3.0at70b/jmake/bindex.SH
	   ! dist-3.0at70b/mcon/U/make.U dist-3.0at70b/mcon/makegloss.SH
____________________________________________________________________________
[ 17097] By: jhi                                   on 2002/06/08  15:34:09
        Log: Various Configure tweaks.
     Branch: perl
	   ! Configure Porting/Glossary Porting/config.sh Porting/config_H
____________________________________________________________________________
[ 17096] By: jhi                                   on 2002/06/08  15:05:46
        Log: Fix Glossary formatting bugs when creating Config.pm,
             from Robin Barker.
     Branch: perl
	   ! configpm
____________________________________________________________________________
[ 17095] By: jhi                                   on 2002/06/08  15:00:39
        Log: perlivp: Too Much Information. 
     Branch: perl
	   ! utils/perlivp.PL
____________________________________________________________________________
[ 17094] By: jhi                                   on 2002/06/08  14:58:43
        Log: h2ph: workarounds for too large hexadecimal constants.
             Now 'perlivp' passes without a whimper in Solaris 8 and
             Tru64 4.0F (Debian 2.2 Linux/x86 doesn't but my header
             installation is weird; e.g. float.h is not in /usr/include...
             (cd /usr/include; h2ph -l -r .)
     Branch: perl
	   ! utils/h2ph.PL
____________________________________________________________________________
[ 17093] By: jhi                                   on 2002/06/08  14:22:10
        Log: h2ph: handle function pointer constants.
     Branch: perl
	   ! utils/h2ph.PL
____________________________________________________________________________
[ 17092] By: jhi                                   on 2002/06/08  13:54:17
        Log: Put back the [561+] markers (except for the New Tests
             section where the comparison is meaningless);
             note that perl561delta is really the changes both
             from 5.005_03 and 5.6.0.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17091] By: jhi                                   on 2002/06/08  13:25:04
        Log: Mention the dynamicness of Socket in VMS in another spot.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17090] By: jhi                                   on 2002/06/08  13:16:27
        Log: Address most of the issues found by Lupe Cristoph
             (only leave the VMS changes to the VMS people);
             move the VOS section to its right place;
             talk more about userlevel threads;
             eradicate end-of-line spaces.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17089] By: jhi                                   on 2002/06/08  12:59:45
        Log: Subject: Re: [ID 20020601.005] Storable: STORABLE_freeze mechanism leaks memory (unfreed SVs)
             From: Radu Greab <radu@netsoft.ro>
             Date: Sat, 8 Jun 2002 16:59:56 +0300
             Message-ID: <15618.3548.55951.66902@ix.netsoft.ro>
             
             A test for #17082.
     Branch: perl
	   ! ext/Storable/t/recurse.t
____________________________________________________________________________
[ 17088] By: jhi                                   on 2002/06/08  12:35:46
        Log: Explain at the top the situation in a nutshell;
             remove the [561+] tags as redundant;
             AmigaOS wasn't broken in 5.6.1, and still good in 5.7.2.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17087] By: jhi                                   on 2002/06/08  12:25:15
        Log: Subject: [Patch] perldelta for 5.8.0 RC1
             From: lupe@lupe-christoph.de (Lupe Christoph)
             Date: Sat, 8 Jun 2002 14:08:16 +0200
             Message-ID: <20020608120816.GP14630@lupe-christoph.de>
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17086] By: jhi                                   on 2002/06/08  12:14:48
        Log: Advertise the upcoming Win32::GetOSName().
     Branch: perl
	   ! pod/perlport.pod
____________________________________________________________________________
[ 17085] By: jhi                                   on 2002/06/08  12:11:27
        Log: The lib/Win32.pod part of
             
             Subject: [DOC PATCH] Re: platform check (CODE PATCH : libwin32 )     
             From: "Yves Orton" <demerphq@hotmail.com>
             Date: Sat, 08 Jun 2002 00:27:25 +0200
             Message-ID: <F209R6rPlHkg6WMaScm00017481@hotmail.com>
             
             (manually applied and tweaked) 
     Branch: perl
	   ! lib/Win32.pod
____________________________________________________________________________
[ 17084] By: jhi                                   on 2002/06/08  11:46:36
        Log: Subject: Doc patches: assorted minor nits
             From: Philip Newton <Philip.Newton@gmx.net>
             Date: Sat, 08 Jun 2002 11:08:12 +0200
             Message-ID: <k7i3gu8g2tga411pc6mcfvsp9rql27m8kq@4ax.com>
     Branch: perl
	   ! pod/perldelta.pod pod/perlport.pod pod/perlvar.pod
____________________________________________________________________________
[ 17083] By: jhi                                   on 2002/06/08  11:44:59
        Log: Subject: Re: doc bug in perldoc
             From: Philip Newton <Philip.Newton@gmx.net>
             Date: Sat, 08 Jun 2002 11:05:09 +0200
             Message-ID: <c3i3guod7ps1u5iujokk509p43ob76815k@4ax.com>
     Branch: perl
	   ! utils/perldoc.PL
____________________________________________________________________________
[ 17082] By: jhi                                   on 2002/06/08  11:37:56
        Log: Subject: Re: [ID 20020601.005] Storable: STORABLE_freeze mechanism leaks memory (unfreed SVs)
             From: Radu Greab <radu@netsoft.ro>
             Date: Sat, 8 Jun 2002 08:28:58 +0300
             Message-ID: <15617.38426.603787.918922@ix.netsoft.ro>
     Branch: perl
	   ! ext/Storable/Storable.xs
____________________________________________________________________________
[ 17081] By: jhi                                   on 2002/06/08  11:36:29
        Log: Subject: [PATCH #2] Re: [PATCH] numeric.c:S_mulexp10 -- quit when you can
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Fri, 7 Jun 2002 22:55:34 -0500
             Message-Id: <a05111b02b92724737054@[172.16.52.1]>
             
             Handle also underflow on non-IEEE.
     Branch: perl
	   ! numeric.c
____________________________________________________________________________
[ 17080] By: sky                                   on 2002/06/08  10:06:05
        Log: Fix for bug [ID 20020602.007].
             Don't decrement the active flag until AFTER we have run perl_destruct
     Branch: perl
	   ! ext/threads/threads.xs
____________________________________________________________________________
[ 17079] By: jhi                                   on 2002/06/08  01:38:50
        Log: h2ph: evil linux/byteorder/pdp_endian.h
     Branch: perl
	   ! utils/h2ph.PL
____________________________________________________________________________
[ 17078] By: jhi                                   on 2002/06/08  01:14:45
        Log: h2ph: more evilness in the form of Linux inline assembler.
     Branch: perl
	   ! utils/h2ph.PL
____________________________________________________________________________
[ 17077] By: jhi                                   on 2002/06/07  23:14:10
        Log: h2ph: Solaris has LDBL_EPSILON 1.0842021724855044340075E-19L
             (note the final L) for ia32 and ia64 long doubles.
     Branch: perl
	   ! utils/h2ph.PL
____________________________________________________________________________
[ 17076] By: jhi                                   on 2002/06/07  23:06:22
        Log: perlivp: more header matching.
     Branch: perl
	   ! utils/perlivp.PL
____________________________________________________________________________
[ 17075] By: jhi                                   on 2002/06/07  22:43:37
        Log: Subject: Re: Major bug in Storable 2.03 with 5.6.1 (freeze & thaw hooks)
             From: Nicholas Clark <nick@unfortu.net>
             Date: Sat, 8 Jun 2002 00:39:22 +0100
             Message-ID: <20020607233921.GE307@Bagpuss.unfortu.net>
     Branch: perl
	   ! ext/Storable/ChangeLog ext/Storable/Storable.pm
____________________________________________________________________________
[ 17074] By: jhi                                   on 2002/06/07  22:33:29
        Log: Subject: [PATCH] numeric.c:S_mulexp10 -- quit when you can
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Fri, 7 Jun 2002 18:29:31 -0500
             Message-Id: <a05111b01b926db404884@[172.16.52.1]>
     Branch: perl
	   ! numeric.c
____________________________________________________________________________
[ 17073] By: jhi                                   on 2002/06/07  21:34:07
        Log: Reunite the first .PHONY targets (based on Garry Williams'
             reading of the GNU make manual).
     Branch: perl
	   ! Makefile.SH
____________________________________________________________________________
[ 17072] By: jhi                                   on 2002/06/07  20:59:14
        Log: Subject: Re: [DOCPATCH] Thread.pm
             From: Elizabeth Mattijsen <liz@dijkmat.nl>
             Date: Fri, 07 Jun 2002 23:57:01 +0200
             Message-Id: <4.2.0.58.20020607235418.02e23680@mickey.dijkmat.nl>
     Branch: perl
	   ! lib/Thread.pm lib/Thread/Queue.pm lib/Thread/Semaphore.pm
____________________________________________________________________________
[ 17071] By: jhi                                   on 2002/06/07  20:51:15
        Log: Subject: Re: Major bug in Storable 2.03 with 5.6.1 (freeze & thaw hooks)
             From: Radu Greab <radu@netsoft.ro>
             Date: Sat, 8 Jun 2002 00:49:02 +0300
             Message-ID: <15617.10830.557640.430565@ix.netsoft.ro>
     Branch: perl
	   ! ext/Storable/t/recurse.t
____________________________________________________________________________
[ 17070] By: jhi                                   on 2002/06/07  19:36:16
        Log: h2ph: the fp exponent does need to have an explicit sign.
     Branch: perl
	   ! utils/h2ph.PL
____________________________________________________________________________
[ 17069] By: jhi                                   on 2002/06/07  19:28:52
        Log: perlivp: tell what went wrong.
     Branch: perl
	   ! utils/perlivp.PL
____________________________________________________________________________
[ 17068] By: jhi                                   on 2002/06/07  19:22:23
        Log: perlivp: sometimes headers and symbols don't quite match.
     Branch: perl
	   ! utils/perlivp.PL
____________________________________________________________________________
[ 17067] By: jhi                                   on 2002/06/07  19:21:39
        Log: h2ph: One more usage example.
     Branch: perl
	   ! utils/h2ph.PL
____________________________________________________________________________
[ 17066] By: jhi                                   on 2002/06/07  19:05:22
        Log: h2ph: Tru64 disassembler.h evilness: mixed C and Pascal.
     Branch: perl
	   ! utils/h2ph.PL
____________________________________________________________________________
[ 17065] By: nick                                  on 2002/06/07  18:21:36
        Log: Integrate mainline
     Branch: perlio
	  +> ext/IO/hints/sco.pl
	  !> (integrate 27 files)
____________________________________________________________________________
[ 17064] By: gsar                                  on 2002/06/07  18:04:39
        Log: uname() was returning "unknown" on IA64; handle other missing
             cases as well, and make any future unknown ones show up as
             unknown(0x123).
     Branch: perl
	   ! win32/win32.c
____________________________________________________________________________
[ 17063] By: jhi                                   on 2002/06/07  16:12:20
        Log: There are many ways to skin a Win32 (from Sarathy).
     Branch: perl
	   ! pod/perlport.pod
____________________________________________________________________________
[ 17062] By: jhi                                   on 2002/06/07  14:39:05
        Log: Typos spotted by Vadim.
     Branch: perl
	   ! pod/perlport.pod
____________________________________________________________________________
[ 17061] By: jhi                                   on 2002/06/07  14:05:16
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 17060] By: jhi                                   on 2002/06/07  13:26:52
        Log: Subject: Re: [PATCH] Small nit in perlxs.pod
             From: lupe@lupe-christoph.de (Lupe Christoph)
             Date: Fri, 7 Jun 2002 13:38:24 +0200
             Message-ID: <20020607113824.GD24159@lupe-christoph.de>
     Branch: perl
	   ! pod/perlxs.pod
____________________________________________________________________________
[ 17059] By: jhi                                   on 2002/06/07  13:25:35
        Log: Subject: [PATCH] README.win32 and win32/makefile.mk differ
             From: lupe@lupe-christoph.de (Lupe Christoph)
             Date: Fri, 7 Jun 2002 13:36:51 +0200
             Message-ID: <20020607113651.GC24159@lupe-christoph.de>
     Branch: perl
	   ! README.win32
____________________________________________________________________________
[ 17058] By: jhi                                   on 2002/06/07  13:22:38
        Log: gcc -Wall nit noticed by NI-S.
     Branch: perl
	   ! pp.c
____________________________________________________________________________
[ 17057] By: jhi                                   on 2002/06/07  13:20:05
        Log: Subject: Modification to Perl 5.6.1 source: ext/IO needs a hint
             From: Andrew Hamm <AHamm@civica.com.au>
             Date: Fri, 7 Jun 2002 17:11:24 +1000
             Message-ID: <3BA45F696FAAD3118A520090276AD99C0135BE03@sansydnt01.sanderson.net.au>
     Branch: perl
	   + ext/IO/hints/sco.pl
	   ! MANIFEST
____________________________________________________________________________
[ 17056] By: jhi                                   on 2002/06/07  13:14:44
        Log: Integrate perlio:
             
             [ 17053]
             Don't discard read data on flush if seek fails.
     Branch: perl
	  !> perlio.c
____________________________________________________________________________
[ 17055] By: jhi                                   on 2002/06/07  13:01:19
        Log: s/MacOS/Mac OS/g; # (when the name of the os, not when $^O) Pudge
     Branch: perl
	   ! pod/perl561delta.pod pod/perl570delta.pod pod/perl571delta.pod
	   ! pod/perl572delta.pod pod/perldelta.pod pod/perlfaq3.pod
	   ! pod/perlfunc.pod pod/perlintro.pod pod/perlpodspec.pod
	   ! pod/perlport.pod pod/perltoot.pod
____________________________________________________________________________
[ 17054] By: jhi                                   on 2002/06/07  12:38:09
        Log: More Winlore from Vadim.
     Branch: perl
	   ! pod/perlport.pod
____________________________________________________________________________
[ 17053] By: nick                                  on 2002/06/07  10:11:51
        Log: Don't discard read data on flush if seek fails.
     Branch: perlio
	   ! perlio.c
____________________________________________________________________________
[ 17052] By: jhi                                   on 2002/06/07  01:34:48
        Log: Subject: Re: Major bug in Storable 2.03 with 5.6.1 (freeze & thaw hooks)
             From: Radu Greab <radu@netsoft.ro>
             Date: Fri, 7 Jun 2002 05:17:58 +0300
             Message-ID: <15616.6102.89472.9852@ix.netsoft.ro>
     Branch: perl
	   ! ext/Storable/Storable.xs
____________________________________________________________________________
[ 17051] By: jhi                                   on 2002/06/07  01:31:56
        Log: Split in two the .PHONY target so that makes without .PHONY
             when invoked as "make" won't wander off into the targets "compile
             translator utilities" and instead stay in the "all" target.
             Diagnosed by Garry Williams.
     Branch: perl
	   ! Makefile.SH
____________________________________________________________________________
[ 17050] By: jhi                                   on 2002/06/06  20:57:11
        Log: Retract #16892 now that we have #17022.
     Branch: perl
	   ! lib/Cwd.pm
____________________________________________________________________________
[ 17049] By: jhi                                   on 2002/06/06  20:27:02
        Log: Update the SUPER-UX situation.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17048] By: jhi                                   on 2002/06/06  20:13:53
        Log: More Windows wisdom from Sarathy;
             remove old UTS entry; add SUPER-UX.
     Branch: perl
	   ! pod/perlport.pod
____________________________________________________________________________
[ 17047] By: jhi                                   on 2002/06/06  20:10:14
        Log: Windows wisdom from Sarathy.
     Branch: perl
	   ! pod/perlvar.pod
____________________________________________________________________________
[ 17046] By: rgs                                   on 2002/06/06  19:33:23
        Log: The perlio warnings are not mandatory.
     Branch: perl
	   ! pod/perldiag.pod
____________________________________________________________________________
[ 17045] By: jhi                                   on 2002/06/06  19:09:52
        Log: Typolice.
     Branch: perl
	   ! utils/c2ph.PL x2p/s2p.PL
____________________________________________________________________________
[ 17044] By: jhi                                   on 2002/06/06  18:57:39
        Log: Document that $^O in Win32 is a bit lacking in details.
     Branch: perl
	   ! pod/perlvar.pod
____________________________________________________________________________
[ 17043] By: nick                                  on 2002/06/06  18:51:48
        Log: Integrate mainline
     Branch: perlio
	  !> NetWare/Makefile NetWare/NWUtil.c NetWare/bat/Buildtype.bat
	  !> NetWare/bat/SetCodeWar.bat NetWare/bat/SetNWBld.bat
	  !> NetWare/bat/Setnlmsdk.bat NetWare/bat/ToggleD2.bat
	  !> NetWare/t/NWScripts.pl lib/Thread.pm pod/perldelta.pod
	  !> pod/perldiag.pod pod/perlguts.pod pod/perlthrtut.pod
	  !> utils/c2ph.PL x2p/a2p.h x2p/s2p.PL
____________________________________________________________________________
[ 17042] By: jhi                                   on 2002/06/06  18:49:22
        Log: Win32 is not an OS.
     Branch: perl
	   ! pod/perlport.pod
____________________________________________________________________________
[ 17041] By: jhi                                   on 2002/06/06  18:18:11
        Log: The Makefile.SH part of
             
             Subject: [PATCH] corrections to Config.pm
             From: Robin Barker <rmb1@cise.npl.co.uk>
             Date: Thu, 6 Jun 2002 18:05:17 +0100 (BST)
             Message-Id: <200206061705.SAA12213@tempest.npl.co.uk>
             
             and regen Configure.
     Branch: perl
	   ! Configure Makefile.SH Porting/config.sh Porting/config_H
____________________________________________________________________________
[ 17040] By: jhi                                   on 2002/06/06  17:46:20
        Log: Supported platforms tweaks.
     Branch: perl
	   ! pod/perlport.pod
____________________________________________________________________________
[ 17039] By: jhi                                   on 2002/06/06  16:13:15
        Log: Update the 5.005-threads failure list.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17038] By: jhi                                   on 2002/06/06  16:10:24
        Log: Make pstruct and psed appear also on platforms with
             $Config{d_link} but filesystems without link() (like FAT).
             Should deal with [ID 20020602.003] and
             "RC1 for MSWin32-x86-multi-thread build bug report".
             Diagnosis by Sarathy.
     Branch: perl
	   ! utils/c2ph.PL x2p/s2p.PL
____________________________________________________________________________
[ 17037] By: jhi                                   on 2002/06/06  15:20:14
        Log: Subject: [PATCH] Thread.pm
             From: Elizabeth Mattijsen <liz@dijkmat.nl>
             Date: Thu, 06 Jun 2002 10:47:36 +0200
             Message-Id: <4.2.0.58.20020606104435.01858590@mickey.dijkmat.nl>
     Branch: perl
	   ! lib/Thread.pm
____________________________________________________________________________
[ 17036] By: jhi                                   on 2002/06/06  15:07:32
        Log: Rafael noticed a bug in the explanation of #17035.
     Branch: perl
	   ! pod/perldiag.pod
____________________________________________________________________________
[ 17035] By: jhi                                   on 2002/06/06  13:18:20
        Log: Give more detailed explanation of open(FH, ">:foobar") failure.
     Branch: perl
	   ! pod/perldiag.pod
____________________________________________________________________________
[ 17034] By: jhi                                   on 2002/06/06  12:59:19
        Log: Subject: [DOCPATCH] perlthtut.pod
             From: Elizabeth Mattijsen <liz@dijkmat.nl>
             Date: Thu, 06 Jun 2002 10:40:02 +0200
             Message-Id: <4.2.0.58.20020606103854.0191b320@mickey.dijkmat.nl>
     Branch: perl
	   ! pod/perlthrtut.pod
____________________________________________________________________________
[ 17033] By: jhi                                   on 2002/06/06  12:56:57
        Log: NetWare update from Ananth Kesari.
     Branch: perl
	   ! NetWare/Makefile NetWare/NWUtil.c NetWare/bat/Buildtype.bat
	   ! NetWare/bat/SetCodeWar.bat NetWare/bat/SetNWBld.bat
	   ! NetWare/bat/Setnlmsdk.bat NetWare/bat/ToggleD2.bat
	   ! NetWare/t/NWScripts.pl x2p/a2p.h
____________________________________________________________________________
[ 17032] By: jhi                                   on 2002/06/06  12:47:34
        Log: Integrate perlio:
             
             [ 17030]
             doio.c tweaks
             - see SV passed to dup type open "looks_like__number"
             - apply layers to pipe opens.
     Branch: perl
	  !> doio.c
____________________________________________________________________________
[ 17031] By: ams                                   on 2002/06/06  11:49:13
        Log: Subject: [PATCH] perlguts.pod
             From: Nicholas Clark <nick@ccl4.org>
             Date: Thu, 6 Jun 2002 11:29:19 +0100
             Message-Id: <20020606112919.P22873@plum.flirble.org>
     Branch: perl
	   ! pod/perlguts.pod
____________________________________________________________________________
[ 17030] By: nick                                  on 2002/06/06  07:26:11
        Log: doio.c tweaks
             - see SV passed to dup type open "looks_like__number"
             - apply layers to pipe opens.
     Branch: perlio
	   ! doio.c
____________________________________________________________________________
[ 17029] By: nick                                  on 2002/06/06  06:32:35
        Log: Integrate mainline
     Branch: perlio
	  !> AUTHORS Changes README.beos doio.c ext/DB_File/t/db-btree.t
	  !> ext/DB_File/t/db-recno.t lib/Pod/Html.pm
	  !> lib/Tie/File/t/16_handle.t patchlevel.h perl.c
	  !> pod/perldelta.pod pod/perlfunc.pod pod/perlport.pod pp.c
	  !> t/op/arith.t t/op/tie.t utils/perldoc.PL
____________________________________________________________________________
[ 17028] By: jhi                                   on 2002/06/06  02:40:12
        Log: With -Ud_stdstdio perl -v and perl -h didn't flush their
             output buffers because they exited with PerlProc_exit()
             instead of my_exit() (from Andy Dougherty)
     Branch: perl
	   ! perl.c
____________________________________________________________________________
[ 17027] By: jhi                                   on 2002/06/06  01:38:50
        Log: BeOS status update; all platforms status update.
     Branch: perl
	   ! README.beos pod/perlport.pod
____________________________________________________________________________
[ 17026] By: jhi                                   on 2002/06/06  01:25:13
        Log: Subject: [PATCH lib/Pod/Html.pm] anchors fix
             From: Stas Bekman <stas@stason.org>
             Date: Wed, 05 Jun 2002 15:26:02 +0800
             Message-ID: <3CFDBD0A.8090505@stason.org>      
     Branch: perl
	   ! lib/Pod/Html.pm
____________________________________________________________________________
[ 17025] By: jhi                                   on 2002/06/05  23:48:28
        Log: Subject: [PATCH perl@17014] t/op/arith.t -- don't test infinity if it doesn't exist
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Wed, 05 Jun 2002 17:31:18 -0500
             Message-Id: <5.1.1.5.0.20020605171901.021cb8b8@exchi01>
     Branch: perl
	   ! t/op/arith.t
____________________________________________________________________________
[ 17024] By: jhi                                   on 2002/06/05  23:47:14
        Log: MacOS X 10.1.5 still failing the DB tests.
     Branch: perl
	   ! ext/DB_File/t/db-btree.t ext/DB_File/t/db-recno.t
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17023] By: jhi                                   on 2002/06/05  21:57:09
        Log: Address the second half of
             
             Subject: [ID 20020604.006] Pipe opens do not support I/O layers
             From: jv@squirrel.nl (Johan Vromans)
             Date: Tue,  4 Jun 2002 23:01:44 +0200 (CEST)
             Message-Id: <20020604210144.3A87A8B6B3@phoenix.squirrel.nl>
             
             so that multiarg piped opens only accept optional whitespace
             after the "|-".  If and when perlio discipline awareness added
             to |-, the now added code branch will grow.
             
             No test case because hard to think of anything even remotely
             portable.
     Branch: perl
	   ! doio.c
____________________________________________________________________________
[ 17022] By: jhi                                   on 2002/06/05  20:48:18
        Log: Subject: Re: local tied hash slices & stray keys (was Re: Cwd breakage)
             From: Doug MacEachern <dougm@covalent.net>
             Date: Mon, 3 Jun 2002 08:27:56 -0700 (PDT)
             Message-ID: <Pine.LNX.4.33.0206030822330.2695-100000@mako.covalent.net>
             
             (plus a test expanded from Schwern's [ID 20020602.006])
     Branch: perl
	   ! pp.c t/op/tie.t
____________________________________________________________________________
[ 17021] By: jhi                                   on 2002/06/05  19:56:33
        Log: Subject: doc bug in perldoc
             From: Tim Jenness <t.jenness@jach.hawaii.edu>
             Date: Wed, 5 Jun 2002 09:47:31 -1000 (HST)
             Message-ID: <Pine.LNX.4.44.0206050941191.29367-100000@lapaki>
     Branch: perl
	   ! utils/perldoc.PL
____________________________________________________________________________
[ 17020] By: jhi                                   on 2002/06/05  19:55:00
        Log: AUTHORS updates; perldelta blame^Wfame additions.
     Branch: perl
	   ! AUTHORS pod/perldelta.pod
____________________________________________________________________________
[ 17019] By: jhi                                   on 2002/06/05  19:08:00
        Log: Mention Carp enhancements.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17018] By: sky                                   on 2002/06/05  18:49:10
        Log: Update text slightly and update links to threads.pm instead of Thread.pm
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 17017] By: rgs                                   on 2002/06/05  18:32:11
        Log: Remove a comma and a few whitespaces.
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 17016] By: rgs                                   on 2002/06/05  18:28:50
        Log: $^O is 'beos' on BeOS
     Branch: perl
	   ! lib/Tie/File/t/16_handle.t
____________________________________________________________________________
[ 17015] By: nick                                  on 2002/06/05  15:11:00
        Log: Integrate mainline (for Configure)
     Branch: perlio
	  !> Configure Porting/Glossary Porting/config.sh Porting/config_H
	  !> ext/Encode/lib/Encode/Alias.pm ext/PerlIO/t/encoding.t
	  !> hints/linux.sh myconfig.SH pod/perldelta.pod
____________________________________________________________________________
[ 17014] By: jhi                                   on 2002/06/05  13:53:51
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 17013] By: jhi                                   on 2002/06/05  13:41:02
        Log: Mention the flakiness of AIX' make.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 17012] By: jhi                                   on 2002/06/05  13:40:45
        Log: metaconfig unit change for #17011.
     Branch: metaconfig
	   ! U/installdirs/inc_version_list.U
____________________________________________________________________________
[ 17011] By: jhi                                   on 2002/06/05  13:23:59
        Log: Subject: [ID 20020604.009] [jason@openinformatics.com (Jason E. Stewart)] RC1 buglet in Configure
             From: jason@openinformatics.com (Jason E. Stewart)
             Date: 04 Jun 2002 16:42:32 -0600
             Message-Id: <87d6v6wtrb.fsf@openinformatics.com>
             
             Unexpanded $prefix.
     Branch: perl
	   ! Configure
____________________________________________________________________________
[ 17010] By: jhi                                   on 2002/06/05  13:16:49
        Log: glibc version is more a library issue than a compiler issue.
     Branch: perl
	   ! myconfig.SH
____________________________________________________________________________
[ 17009] By: jhi                                   on 2002/06/05  13:07:01
        Log: Subject: [Encode PATCH] spurious warning
             From: Nicholas Clark <nick@unfortu.net>
             Date: Sun, 2 Jun 2002 20:26:22 +0100
             Message-ID: <20020602192619.GA320@Bagpuss.unfortu.net>
     Branch: perl
	   ! ext/Encode/lib/Encode/Alias.pm ext/PerlIO/t/encoding.t
____________________________________________________________________________
[ 17008] By: jhi                                   on 2002/06/05  13:03:19
        Log: Show gnulibc_version in myconfig. 
     Branch: perl
	   ! myconfig.SH
____________________________________________________________________________
[ 17007] By: jhi                                   on 2002/06/05  12:59:31
        Log: Regen Glossary for #16991.
     Branch: perl
	   ! Porting/Glossary Porting/config.sh Porting/config_H
____________________________________________________________________________
[ 17006] By: jhi                                   on 2002/06/05  12:44:45
        Log: More for #16991.
     Branch: perl
	   ! hints/linux.sh
____________________________________________________________________________
[ 17005] By: nick                                  on 2002/06/05  07:23:22
        Log: Integrate mainline
     Branch: perlio
	  +> ext/Thread/README.threads
	   - README.threads
	  !> (integrate 81 files)
____________________________________________________________________________
[ 17004] By: jhi                                   on 2002/06/05  03:35:24
        Log: FAQ sync.
     Branch: perl
	   ! pod/perlfaq6.pod
____________________________________________________________________________
[ 17003] By: jhi                                   on 2002/06/05  01:56:00
        Log: Subject: [ID 20020602.004] threads::shared::queue new nit
             From: Elizabeth Mattijsen <liz@dijkmat.nl>
             Date: Sun, 02 Jun 2002 21:36:05 +0200
             Message-Id: <4.2.0.58.20020602213520.027cf9d0@mickey.dijkmat.nl>
     Branch: perl
	   ! ext/threads/shared/queue.pm
____________________________________________________________________________
[ 17002] By: jhi                                   on 2002/06/05  01:47:02
        Log: Subject: [ID 20020603.010] One more failed test on BeOS 5
             From: "Daniel Berger" <djberg96@attbi.com>
             Date: Mon, 03 Jun 2002 19:18:38 GMT
             Message-Id: <20020604001258.MELY2751.rwcrmhc52.attbi.com@tiberius.mn.ipsvc.net>
     Branch: perl
	   ! README.beos
____________________________________________________________________________
[ 17001] By: jhi                                   on 2002/06/05  01:44:40
        Log: Subject: One more sorry for Oracle
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Tue, 04 Jun 2002 10:02:17 +0200
             Message-Id: <20020604100132.159C.H.M.BRAND@hccnet.nl>
             
             (modified)
     Branch: perl
	   ! README.hpux
____________________________________________________________________________
[ 17000] By: jhi                                   on 2002/06/05  01:42:58
        Log: metaconfig unit change for #16999.
     Branch: metaconfig
	   ! U/threads/usethreads.U
____________________________________________________________________________
[ 16999] By: jhi                                   on 2002/06/05  01:42:44
        Log: Disable the combination of ithreads but not perlio.
     Branch: perl
	   ! Configure INSTALL
____________________________________________________________________________
[ 16998] By: jhi                                   on 2002/06/05  00:58:43
        Log: perlthrtut links.
     Branch: perl
	   ! ext/threads/shared/shared.pm ext/threads/threads.pm
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16997] By: jhi                                   on 2002/06/05  00:55:08
        Log: Unmatchings.
     Branch: perl
	   ! README.netware README.win32
____________________________________________________________________________
[ 16996] By: jhi                                   on 2002/06/05  00:50:08
        Log: Subject: Re: 2nd draft of announcement
             From: "John P. Linderman" <jpl@research.att.com>
             Date: Mon, 03 Jun 2002 08:57:49 -0400
             Message-Id: <200206031257.IAA12388@raptor.research.att.com>
             
             Let's not forget the mystery IRIX failure.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16995] By: jhi                                   on 2002/06/05  00:45:34
        Log: Move the obsolete README.threads out of sight to ext/Threads;
             save one part of the IRIX knowledge in INSTALL (though IRIX
             6.2 is quite old...)
     Branch: perl
	   + ext/Thread/README.threads
	   - README.threads
	   ! INSTALL MANIFEST
____________________________________________________________________________
[ 16994] By: jhi                                   on 2002/06/05  00:27:47
        Log: Upgrade to Math::BigRat 0.07.
     Branch: perl
	   ! lib/Math/BigRat.pm lib/Math/BigRat/t/bigfltpm.inc
	   ! lib/Math/BigRat/t/bigfltrt.t lib/Math/BigRat/t/bigrat.t
	   ! lib/Math/BigRat/t/bigratpm.inc lib/Math/BigRat/t/bigratpm.t
____________________________________________________________________________
[ 16993] By: jhi                                   on 2002/06/05  00:27:08
        Log: metaconfig unit change #16991.
     Branch: metaconfig
	   ! U/compline/d_gnulibc.U U/compline/d_stdstdio.U
____________________________________________________________________________
[ 16992] By: jhi                                   on 2002/06/05  00:26:45
        Log: Forgot from #16991.
     Branch: perl
	   ! config_h.SH
____________________________________________________________________________
[ 16991] By: jhi                                   on 2002/06/05  00:16:28
        Log: Subject: Re: hints/linux.sh & stdio
             From: Andy Dougherty <doughera@lafayette.edu>
             Date: Mon, 3 Jun 2002 13:57:17 -0400 (EDT)
             Message-ID: <Pine.SOL.4.10.10206031349430.4034-100000@maxwell.phys.lafayette.edu>
     Branch: perl
	   ! Configure
____________________________________________________________________________
[ 16990] By: jhi                                   on 2002/06/05  00:08:57
        Log: Integrate maintperl change #16988;
             
             make IO::Pipe work on windows
     Branch: perl
	  !> ext/IO/lib/IO/Pipe.pm
____________________________________________________________________________
[ 16989] By: jhi                                   on 2002/06/05  00:07:15
        Log: Integrate macperl changes #16974 and #16975;
             
             nativize() isn't happy with absolute Mac paths
             
             Test::Harness test fixes, attempt #3 :-)
     Branch: perl
	  !> ext/DynaLoader/DynaLoader_pm.PL lib/ExtUtils/MM_MacOS.pm
	  !> lib/Test/Harness/t/callback.t
	  !> lib/Test/Harness/t/strap-analyze.t
	  !> lib/Test/Harness/t/test-harness.t lib/lib_pm.PL
____________________________________________________________________________
[ 16988] By: gsar                                  on 2002/06/04  23:14:56
        Log: make IO::Pipe work on windows
     Branch: maint-5.6/perl
	   ! ext/IO/lib/IO/Pipe.pm
____________________________________________________________________________
[ 16987] By: rgs                                   on 2002/06/04  21:37:23
        Log: s/modperl/mod_perl/g
     Branch: perl
	   ! README.aix pod/perldelta.pod
____________________________________________________________________________
[ 16986] By: rgs                                   on 2002/06/04  21:32:19
        Log: Subject: [DOC PATCH] perldelta.pod
             From: Philip Newton <Philip.Newton@gmx.net>
             Date: Tue, 04 Jun 2002 06:52:55 +0200
             Message-ID: <g9hofuk5egps80m15k59loidv60506n4nb@4ax.com>
             
             (with one nit, s/modperl/mod_perl/)
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16985] By: rgs                                   on 2002/06/04  20:30:00
        Log: perlfunc/lock() nits by Philip Newton and Johan Vromans.
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 16984] By: ams                                   on 2002/06/04  01:05:49
        Log: Subject: [PATCH] Re: Some bugs in RC1
             From: Michael G Schwern <schwern@pobox.com>
             Date: Mon, 03 Jun 2002 19:59:21 -0400
             Message-Id: <20020603235921.GN31617@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   ! lib/perl5db.pl
____________________________________________________________________________
[ 16983] By: pudge                                 on 2002/06/04  00:22:12
        Log: Update Errno slightly to latest version
     Branch: macperl
	   ! macos/lib/Errno.pm
____________________________________________________________________________
[ 16982] By: rgs                                   on 2002/06/03  19:15:26
        Log: Protect against localizing an %ENV slice.
     Branch: perl
	   ! lib/Cwd.pm
____________________________________________________________________________
[ 16981] By: rgs                                   on 2002/06/03  18:59:19
        Log: Document that lock() is a "weak keyword".
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 16980] By: ams                                   on 2002/06/03  18:38:26
        Log: Subject: [PATCH Switch.pm] Minor typo
             From: Philip Newton <Philip.Newton@gmx.net>
             Date: Mon, 03 Jun 2002 21:35:55 +0200
             Message-Id: <q7hnfu8rttv0bro03si2e42avpqoe50op9@4ax.com>
     Branch: perl
	   ! lib/Switch.pm
____________________________________________________________________________
[ 16979] By: ams                                   on 2002/06/03  17:06:03
        Log: Remove all occurrences of occurence, except for one (in the
             Changelog) that is preserved for historical reasons.
     Branch: perl
	   ! ext/File/Glob/bsd_glob.c hints/ultrix_4.sh lib/Pod/Checker.pm
	   ! lib/Pod/Find.pm pod/perltoc.pod t/pod/poderrs.t
	   ! t/pod/poderrs.xr util.c wince/comp.pl x2p/find2perl.PL
____________________________________________________________________________
[ 16978] By: pudge                                 on 2002/06/02  17:22:43
        Log: Update Changes
     Branch: macperl
	   ! macos/Changes
____________________________________________________________________________
[ 16977] By: pudge                                 on 2002/06/02  17:21:45
        Log: Update Help menu for 5.8
     Branch: macperl
	   ! macos/macperl/MacPerl.podhelp
____________________________________________________________________________
[ 16976] By: pudge                                 on 2002/06/02  17:21:28
        Log: Bump versions
     Branch: macperl
	   ! macos/MPVersion.r macos/config.h macos/config.sh
____________________________________________________________________________
[ 16975] By: pudge                                 on 2002/06/02  17:19:29
        Log: Test::Harness test fixes, attempt #3 :-)
     Branch: macperl
	   ! lib/Test/Harness/t/callback.t
	   ! lib/Test/Harness/t/strap-analyze.t
	   ! lib/Test/Harness/t/test-harness.t
____________________________________________________________________________
[ 16974] By: pudge                                 on 2002/06/02  17:18:48
        Log: nativize() isn't happy with absolute Mac paths
     Branch: macperl
	   ! ext/DynaLoader/DynaLoader_pm.PL lib/ExtUtils/MM_MacOS.pm
	   ! lib/lib_pm.PL
____________________________________________________________________________
[ 16973] By: jhi                                   on 2002/06/01  21:19:50
        Log: Integrate #16971 from maint-5.6;
             
             IO::Poll wasn't working on windows since poll.c wasn't using the
             same abstractions as perl; for test case, see:
             http://bugs.activestate.com/show_bug.cgi?id=19624
     Branch: perl
	  !> XSUB.h ext/IO/poll.c
____________________________________________________________________________
[ 16972] By: jhi                                   on 2002/06/01  21:14:39
        Log: A few links.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16971] By: gsar                                  on 2002/06/01  20:39:08
        Log: IO::Poll wasn't working on windows since poll.c wasn't using the
             same abstractions as perl; for test case, see:
             http://bugs.activestate.com/show_bug.cgi?id=19624
     Branch: maint-5.6/perl
	   ! XSUB.h ext/IO/poll.c
____________________________________________________________________________
[ 16970] By: jhi                                   on 2002/06/01  20:27:03
        Log: Various perldelta tweaks.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16969] By: jhi                                   on 2002/06/01  19:52:15
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16968] By: pudge                                 on 2002/06/01  18:55:49
        Log: Integrate perl for 5.8.0 RC1
     Branch: macperl
	  !> (integrate 77 files)
____________________________________________________________________________
[ 16967] By: jhi                                   on 2002/06/01  17:46:42
        Log: Two obsolete files.
     Branch: perl
	   ! Porting/makerel
____________________________________________________________________________
[ 16966] By: jhi                                   on 2002/06/01  17:42:45
        Log: This is Perl 5.8.0 RC 1.
     Branch: perl
	   ! patchlevel.h
____________________________________________________________________________
[ 16965] By: jhi                                   on 2002/06/01  17:39:39
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16964] By: jhi                                   on 2002/06/01  17:25:31
        Log: Subject: [Encode] 1.75 Released
             From: Dan Kogai <dankogai@dan.co.jp>
             Date: Sun, 2 Jun 2002 03:19:19 +0900
             Message-Id: <16B7B98D-758C-11D6-AE74-0003939A104C@dan.co.jp>
     Branch: perl
	   ! ext/Encode/Changes ext/Encode/Encode.pm ext/Encode/TW/TW.pm
	   ! ext/Encode/bin/enc2xs ext/Encode/bin/piconv
	   ! ext/Encode/lib/Encode/Alias.pm
	   ! ext/Encode/lib/Encode/Supported.pod ext/Encode/t/Aliases.t
	   ! ext/Encode/ucm/ctrl.ucm ext/Encode/ucm/null.ucm
____________________________________________________________________________
[ 16963] By: jhi                                   on 2002/06/01  16:15:24
        Log: Paranoia regen_headers; no changes but at least
             the timestamps are now fine.
     Branch: perl
	   ! embed.h embedvar.h ext/B/B/Asmdata.pm ext/ByteLoader/byterun.c
	   ! ext/ByteLoader/byterun.h global.sym keywords.h lib/warnings.pm
	   ! opcode.h opnames.h perlapi.c perlapi.h pod/perlapi.pod
	   ! pod/perlintern.pod pp.sym pp_proto.h proto.h regnodes.h
	   ! warnings.h
____________________________________________________________________________
[ 16962] By: jhi                                   on 2002/06/01  16:13:17
        Log: Subject: Oracle / 5.8.0 / HP-UX / gcc / 64bit: Sorry
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Sat, 01 Jun 2002 11:35:22 +0200
             Message-Id: <20020601103313.BF75.H.M.BRAND@hccnet.nl>
     Branch: perl
	   ! README.hpux
____________________________________________________________________________
[ 16961] By: jhi                                   on 2002/06/01  15:57:04
        Log: Garbage character in perldelta; Cygwin tip from Vadim; regen toc.
     Branch: perl
	   ! pod/perldelta.pod pod/perltoc.pod
____________________________________________________________________________
[ 16960] By: jhi                                   on 2002/06/01  15:30:10
        Log: Regen Configure + perlmodlib + perltoc, FAQ sync.
     Branch: perl
	   ! Configure Porting/config.sh Porting/config_H pod/perlfaq4.pod
	   ! pod/perlfaq5.pod pod/perlmodlib.pod pod/perltoc.pod
____________________________________________________________________________
[ 16959] By: jhi                                   on 2002/06/01  15:03:57
        Log: Even more VMSifying (this time more like de-MacOSifying).
     Branch: perl
	   ! lib/Test/Harness/t/test-harness.t
____________________________________________________________________________
[ 16958] By: jhi                                   on 2002/06/01  14:58:39
        Log: VMSifying from Craig Berry.
     Branch: perl
	   ! lib/Test/Harness/t/callback.t
	   ! lib/Test/Harness/t/strap-analyze.t
	   ! lib/Test/Harness/t/test-harness.t
____________________________________________________________________________
[ 16957] By: jhi                                   on 2002/06/01  14:52:34
        Log: Mention the CJK docs.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16956] By: jhi                                   on 2002/06/01  14:36:15
        Log: Subject: [PATCH] another Storable test
             From: Nicholas Clark <nick@unfortu.net>
             Date: Sat, 1 Jun 2002 14:07:01 +0100
             Message-ID: <20020601130700.GB301@Bagpuss.unfortu.net>
     Branch: perl
	   ! ext/Storable/t/interwork56.t
____________________________________________________________________________
[ 16955] By: nick                                  on 2002/06/01  09:02:48
        Log: Integrate mainline
     Branch: perlio
	   - t/lib/sample-tests/skip_all t/lib/sample-tests/skip_no_msg
	  !> (integrate 62 files)
____________________________________________________________________________
[ 16954] By: jhi                                   on 2002/06/01  04:05:35
        Log: Make the changes MacOS-specific.
     Branch: perl
	   ! lib/Test/Harness/t/callback.t
	   ! lib/Test/Harness/t/strap-analyze.t
	   ! lib/Test/Harness/t/test-harness.t
____________________________________________________________________________
[ 16953] By: ams                                   on 2002/06/01  03:20:52
        Log: Remove $Id$ lines.
     Branch: perl
	   ! ext/Storable/Makefile.PL ext/Storable/Storable.pm
	   ! ext/Storable/Storable.xs ext/Storable/t/blessed.t
	   ! ext/Storable/t/canonical.t ext/Storable/t/compat06.t
	   ! ext/Storable/t/dclone.t ext/Storable/t/downgrade.t
	   ! ext/Storable/t/forgive.t ext/Storable/t/freeze.t
	   ! ext/Storable/t/integer.t ext/Storable/t/interwork56.t
	   ! ext/Storable/t/lock.t ext/Storable/t/malice.t
	   ! ext/Storable/t/overload.t ext/Storable/t/recurse.t
	   ! ext/Storable/t/restrict.t ext/Storable/t/retrieve.t
	   ! ext/Storable/t/st-dump.pl ext/Storable/t/store.t
	   ! ext/Storable/t/tied.t ext/Storable/t/tied_hook.t
	   ! ext/Storable/t/tied_items.t ext/Storable/t/utf8.t
	   ! ext/Storable/t/utf8hash.t
____________________________________________________________________________
[ 16952] By: jhi                                   on 2002/06/01  03:09:47
        Log: Perl Labs dead, Smokers live.
     Branch: perl
	   ! pod/perlhack.pod
____________________________________________________________________________
[ 16951] By: ams                                   on 2002/06/01  03:08:02
        Log: Nitpick at ChangeLog until it is consistently formatted.
     Branch: perl
	   ! ext/Storable/ChangeLog
____________________________________________________________________________
[ 16950] By: jhi                                   on 2002/06/01  02:46:48
        Log: strictify lib.pm.
     Branch: perl
	   ! lib/lib_pm.PL
____________________________________________________________________________
[ 16949] By: jhi                                   on 2002/06/01  02:33:27
        Log: s/invcer/incver/
     Branch: perl
	   ! lib/lib_pm.PL
____________________________________________________________________________
[ 16948] By: jhi                                   on 2002/06/01  02:03:27
        Log: Subject: Re: perl@16925
             From: sthoenna@efn.org (Yitzchak Scott-Thoennes)
             Date: Fri, 31 May 2002 19:56:39 -0700
             Message-ID: <nfD+8gzkgGHH092yn@efn.org>
             
             Self-tie clarifications.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16947] By: jhi                                   on 2002/06/01  01:17:45
        Log: Be exact of what happens.
     Branch: perl
	   ! README.cygwin
____________________________________________________________________________
[ 16946] By: jhi                                   on 2002/06/01  01:16:59
        Log: Subject: [Patch] Inplace editing on Cygwin and others?
             From: "Gerrit P. Haase" <gp@familiehaase.de>
             Date: Sat, 1 Jun 2002 04:14:43 +0200
             Message-ID: <199100765833.20020601041443@familiehaase.de>
     Branch: perl
	   ! README.cygwin doio.c perl.c
____________________________________________________________________________
[ 16945] By: jhi                                   on 2002/05/31  23:03:23
        Log: MacOS test glitch.
     Branch: perl
	   ! ext/Digest/MD5/t/files.t
____________________________________________________________________________
[ 16944] By: jhi                                   on 2002/05/31  22:13:31
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16943] By: jhi                                   on 2002/05/31  22:08:03
        Log: Subject: lib/Math/BigInt/t/bigintc.t + VMS + perl@16925
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Fri, 31 May 2002 17:20:11 -0500
             Message-Id: <a05111b01b91da6015790@[172.16.52.1]>
             
             Avoid redef warning.
     Branch: perl
	   ! lib/Math/BigInt/Calc.pm
____________________________________________________________________________
[ 16942] By: jhi                                   on 2002/05/31  21:42:12
        Log: Integrate macperl patches #16926 and #16938;
             
             Big MacPerl Testing Patch No. 2
             
             Big MacPerl Testing Patch No. 3
     Branch: perl
	  !> ext/DynaLoader/DynaLoader_pm.PL lib/Devel/SelfStubber.pm
	  !> lib/Devel/SelfStubber.t lib/English.t lib/ExtUtils/MM_MacOS.pm
	  !> lib/ExtUtils/t/00setup_dummy.t lib/ExtUtils/t/Command.t
	  !> lib/File/DosGlob.t lib/File/Path.t lib/File/Spec/t/Spec.t
	  !> lib/File/Temp.pm lib/FindBin.t lib/Test/Harness/Straps.pm
	  !> lib/Test/Harness/t/callback.t
	  !> lib/Test/Harness/t/strap-analyze.t
	  !> lib/Test/Harness/t/test-harness.t lib/Tie/File/t/09_gen_rs.t
	  !> lib/diagnostics.t lib/lib.t lib/lib_pm.PL t/comp/use.t
	  !> t/lib/MakeMaker/Test/Utils.pm utils/dprofpp.PL utils/splain.PL
____________________________________________________________________________
[ 16941] By: pudge                                 on 2002/05/31  20:49:56
        Log: Configuration / test updates
     Branch: macperl
	   ! macos/MacPerlTests.cmd macos/MacPerlTests.plx
	   ! macos/Makefile.mk
____________________________________________________________________________
[ 16940] By: pudge                                 on 2002/05/31  20:49:19
        Log: Fix various Makefile.PL for string/array conflicts
     Branch: macperl
	   ! macos/ext/Mac/Controls/Makefile.PL
	   ! macos/ext/Mac/Dialogs/Makefile.PL
	   ! macos/ext/Mac/Events/Makefile.PL
	   ! macos/ext/Mac/Files/Makefile.PL
	   ! macos/ext/Mac/Fonts/Makefile.PL
	   ! macos/ext/Mac/Lists/Makefile.PL
	   ! macos/ext/Mac/Menus/Makefile.PL
	   ! macos/ext/Mac/MoreFiles/Makefile.PL
	   ! macos/ext/Mac/Movies/Makefile.PL
	   ! macos/ext/Mac/Navigation/Makefile.PL
	   ! macos/ext/Mac/Notification/Makefile.PL
	   ! macos/ext/Mac/OSA/Makefile.PL
	   ! macos/ext/Mac/QDOffscreen/Makefile.PL
	   ! macos/ext/Mac/QuickTimeVR/Makefile.PL
	   ! macos/ext/Mac/SAT/Makefile.PL macos/ext/Mac/Sound/Makefile.PL
	   ! macos/ext/Mac/StandardFile/Makefile.PL
	   ! macos/ext/Mac/TextEdit/Makefile.PL
	   ! macos/ext/Mac/Windows/Makefile.PL
	   ! macos/ext/MacPerl/Makefile.PL
____________________________________________________________________________
[ 16939] By: pudge                                 on 2002/05/31  20:48:09
        Log: Integrate perl
     Branch: macperl
	   - t/lib/sample-tests/skip_all t/lib/sample-tests/skip_no_msg
	  !> MANIFEST hints/hpux.sh lib/Math/BigInt/t/mbi_rand.t
	  !> pod/perldelta.pod pod/perlhist.pod pod/perlport.pod
	  !> pod/perlvar.pod
____________________________________________________________________________
[ 16938] By: pudge                                 on 2002/05/31  20:46:07
        Log: Big MacPerl Testing Patch No. 3
     Branch: macperl
	   ! lib/ExtUtils/MM_MacOS.pm lib/File/DosGlob.t
	   ! lib/File/Spec/t/Spec.t lib/Test/Harness/Straps.pm
	   ! lib/Test/Harness/t/callback.t
	   ! lib/Test/Harness/t/strap-analyze.t
	   ! lib/Test/Harness/t/test-harness.t lib/lib_pm.PL t/comp/use.t
	   ! utils/dprofpp.PL utils/splain.PL
____________________________________________________________________________
[ 16937] By: jhi                                   on 2002/05/31  20:14:45
        Log: Update the LWP status.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16936] By: nick                                  on 2002/05/31  20:07:40
        Log: Integrate mainline
     Branch: perlio
	  +> NetWare/bat/SetCodeWar.bat lib/ExtUtils/t/MM_NW5.t
	  +> lib/File/Spec/NW5.pm
	   - NetWare/bat/BldNWExt-Exist.bat NetWare/bat/BldNWExt.bat
	   - NetWare/bat/CWbuild.bat NetWare/bat/MPKBuild.bat
	   - NetWare/bat/SetNWDef.bat NetWare/bat/Setcw.bat
	   - NetWare/bat/Setmpksdk.bat NetWare/bat/ToggleXDC.bat
	  !> Changes MANIFEST NetWare/Makefile NetWare/Nwmain.c
	  !> NetWare/nw5.c README.netware ext/DynaLoader/DynaLoader_pm.PL
	  !> hints/hpux.sh lib/English.t lib/ExtUtils/MM_NW5.pm makedef.pl
	  !> patchlevel.h pod/perldelta.pod pod/perlport.pod
	  !> pod/perlvar.pod toke.c
____________________________________________________________________________
[ 16935] By: jhi                                   on 2002/05/31  19:27:50
        Log: Freudian slip :-)
     Branch: perl
	   ! pod/perlhist.pod
____________________________________________________________________________
[ 16934] By: jhi                                   on 2002/05/31  18:58:21
        Log: perlhist update.
     Branch: perl
	   ! pod/perlhist.pod
____________________________________________________________________________
[ 16933] By: jhi                                   on 2002/05/31  18:52:26
        Log: Subject: RE: [doughera@lafayette.edu: [PATCH] Math/BigInt/t/mbi_rand.t pr
             From: Andy Dougherty <doughera@lafayette.edu>
             Date: Fri, 31 May 2002 15:52:34 -0400 (EDT)
             Message-ID: Pine.SOL.4.10.10205311550480.19295-100000@maxwell.phys.lafayette.edu>
     Branch: perl
	   ! lib/Math/BigInt/t/mbi_rand.t
____________________________________________________________________________
[ 16932] By: jhi                                   on 2002/05/31  18:46:54
        Log: From: Michael G Schwern <schwern@pobox.com>
             Date: Fri, 31 May 2002 15:18:02 -0400
             Message-id: <20020531191802.GB23567@ool-18b93024.dyn.optonline.net>
             To: perl5-porters@perl.org
     Branch: perl
	   - t/lib/sample-tests/skip_all t/lib/sample-tests/skip_no_msg
	   ! MANIFEST
____________________________________________________________________________
[ 16931] By: jhi                                   on 2002/05/31  17:52:24
        Log: More datapoints on gcc/alpha.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16930] By: jhi                                   on 2002/05/31  17:07:14
        Log: Document that old gccs on Alpha are no good.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16929] By: pudge                                 on 2002/05/31  16:27:30
        Log: Integrate perl
     Branch: macperl
	  +> NetWare/bat/SetCodeWar.bat ext/Storable/t/interwork56.t
	  +> ext/Storable/t/make_56_interwork.pl lib/ExtUtils/t/MM_NW5.t
	  +> lib/ExtUtils/t/writemakefile_args.t lib/File/Spec/NW5.pm
	  +> t/lib/sample-tests/skip_nomsg t/lib/sample-tests/skipall
	  +> t/lib/sample-tests/skipall_nomsg
	   - NetWare/bat/BldNWExt-Exist.bat NetWare/bat/BldNWExt.bat
	   - NetWare/bat/CWbuild.bat NetWare/bat/MPKBuild.bat
	   - NetWare/bat/SetNWDef.bat NetWare/bat/Setcw.bat
	   - NetWare/bat/Setmpksdk.bat NetWare/bat/Setwatcom.bat
	   - NetWare/bat/ToggleXDC.bat
	  !> (integrate 86 files)
____________________________________________________________________________
[ 16928] By: jhi                                   on 2002/05/31  16:20:02
        Log: Subject: [PATCH perl@16923] archname glitch on HP-UX/IA64
             From: Colin Watson <colinw@zeus.com>
             Date: Fri, 31 May 2002 17:34:06 +0100
             Message-ID: <20020531163406.GA10401@zeus.com>
     Branch: perl
	   ! hints/hpux.sh
____________________________________________________________________________
[ 16927] By: jhi                                   on 2002/05/31  16:17:29
        Log: Subject: [PATCH] Adjust executable suffix checks for VMS
             From: Paul_GreenVOS@vos.stratus.com
             Date: Fri, 31 May 02 12:23 edt
             Message-Id: <200205311622.MAA21673@mailhub2.stratus.com>
     Branch: perl
	   ! pod/perlport.pod pod/perlvar.pod
____________________________________________________________________________
[ 16926] By: pudge                                 on 2002/05/31  16:07:35
        Log: Big MacPerl Testing Patch No. 2
             There might be more soon, but this is almost all of it for now
     Branch: macperl
	   ! ext/DynaLoader/DynaLoader_pm.PL lib/Devel/SelfStubber.pm
	   ! lib/Devel/SelfStubber.t lib/English.t
	   ! lib/ExtUtils/t/00setup_dummy.t lib/ExtUtils/t/Command.t
	   ! lib/File/Path.t lib/File/Temp.pm lib/FindBin.t
	   ! lib/Tie/File/t/09_gen_rs.t lib/diagnostics.t lib/lib.t
	   ! lib/lib_pm.PL t/lib/MakeMaker/Test/Utils.pm
____________________________________________________________________________
[ 16925] By: jhi                                   on 2002/05/31  14:52:22
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16924] By: jhi                                   on 2002/05/31  14:34:23
        Log: Missing MANIFESTations.
     Branch: perl
	   ! MANIFEST
____________________________________________________________________________
[ 16923] By: jhi                                   on 2002/05/31  13:21:13
        Log: DJGPP tweaks from Laszlo.
     Branch: perl
	   ! lib/English.t
____________________________________________________________________________
[ 16922] By: jhi                                   on 2002/05/31  13:12:51
        Log: NetWare update from Ananth Kesari.
     Branch: perl
	   + NetWare/bat/SetCodeWar.bat lib/ExtUtils/t/MM_NW5.t
	   + lib/File/Spec/NW5.pm
	   - NetWare/bat/BldNWExt-Exist.bat NetWare/bat/BldNWExt.bat
	   - NetWare/bat/CWbuild.bat NetWare/bat/MPKBuild.bat
	   - NetWare/bat/SetNWDef.bat NetWare/bat/Setcw.bat
	   - NetWare/bat/Setmpksdk.bat NetWare/bat/ToggleXDC.bat
	   ! MANIFEST NetWare/Makefile NetWare/Nwmain.c NetWare/nw5.c
	   ! README.netware ext/DynaLoader/DynaLoader_pm.PL
	   ! lib/ExtUtils/MM_NW5.pm makedef.pl toke.c
____________________________________________________________________________
[ 16921] By: jhi                                   on 2002/05/31  12:39:48
        Log: Integrate perlio:
             
             [ 16920]
             Use File::Spec for blib expectance tests - skating round
             existing MacOS and VMS hacks.
     Branch: perl
	  !> lib/blib.t
____________________________________________________________________________
[ 16920] By: nick                                  on 2002/05/31  08:48:40
        Log: Use File::Spec for blib expectance tests - skating round
             existing MacOS and VMS hacks.
     Branch: perlio
	   ! lib/blib.t
____________________________________________________________________________
[ 16919] By: nick                                  on 2002/05/31  08:39:37
        Log: Integrate mainline
     Branch: perlio
	  +> ext/Storable/t/interwork56.t
	  +> ext/Storable/t/make_56_interwork.pl
	  +> lib/ExtUtils/t/writemakefile_args.t
	  +> t/lib/sample-tests/skip_nomsg t/lib/sample-tests/skipall
	  +> t/lib/sample-tests/skipall_nomsg
	   - NetWare/bat/Setwatcom.bat
	  !> (integrate 62 files)
____________________________________________________________________________
[ 16918] By: jhi                                   on 2002/05/31  03:12:15
        Log: Regen toc.
     Branch: perl
	   ! pod/perltoc.pod
____________________________________________________________________________
[ 16917] By: jhi                                   on 2002/05/31  02:13:06
        Log: Subject: [PATCH] t/test.pl, which_perl, VMS
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Thu, 30 May 2002 22:14:15 -0500
             Message-Id: <a0511170ab91c997b6866@[172.16.52.1]>
     Branch: perl
	   ! t/test.pl
____________________________________________________________________________
[ 16916] By: jhi                                   on 2002/05/31  02:05:11
        Log: Missing from #16914.
     Branch: perl
	   ! MANIFEST
____________________________________________________________________________
[ 16915] By: jhi                                   on 2002/05/31  02:01:07
        Log: BeOS status update.
     Branch: perl
	   ! AUTHORS README.beos pod/perldelta.pod
____________________________________________________________________________
[ 16914] By: jhi                                   on 2002/05/31  01:54:38
        Log: Upgrade to Test::Harness 2.24.
     Branch: perl
	   + t/lib/sample-tests/skip_nomsg t/lib/sample-tests/skipall
	   + t/lib/sample-tests/skipall_nomsg
	   ! lib/Test/Harness.pm lib/Test/Harness/Changes
	   ! lib/Test/Harness/Straps.pm lib/Test/Harness/t/callback.t
	   ! lib/Test/Harness/t/strap-analyze.t
	   ! lib/Test/Harness/t/test-harness.t t/lib/sample-tests/die
____________________________________________________________________________
[ 16913] By: jhi                                   on 2002/05/31  01:24:32
        Log: metaconfig unit change for #16912.
     Branch: metaconfig/U/perl
	   ! perlpath.U
____________________________________________________________________________
[ 16912] By: jhi                                   on 2002/05/31  01:24:16
        Log: Subject: Improved $^X patch
             From: Paul_GreenVOS@vos.stratus.com
             Date: Thu, 30 May 02 17:32 edt
             Message-Id: <200205302132.RAA18437@mailhub1.stratus.com>
     Branch: perl
	   ! Configure Porting/Glossary Porting/config.sh Porting/config_H
	   ! pod/perlport.pod pod/perlvar.pod
____________________________________________________________________________
[ 16911] By: jhi                                   on 2002/05/31  01:12:21
        Log: Subject: [PATCH configure.com] _ext -> _exe
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Thu, 30 May 2002 18:32:43 -0500
             Message-Id: <a05111705b91c5d0f3f25@[172.16.52.1]>
     Branch: perl
	   ! configure.com
____________________________________________________________________________
[ 16910] By: jhi                                   on 2002/05/31  01:10:08
        Log: Because of #16909 MANIFEST changes.
     Branch: perl
	   ! t/TEST t/harness
____________________________________________________________________________
[ 16909] By: jhi                                   on 2002/05/31  01:09:36
        Log: Subject: [PATCH] Storable compatibility with 64 bit 5.6.x
             From: Nicholas Clark <nick@unfortu.net>
             Date: Fri, 31 May 2002 00:02:22 +0100
             Message-ID: <20020530230221.GC296@Bagpuss.unfortu.net>
     Branch: perl
	   + ext/Storable/t/interwork56.t
	   + ext/Storable/t/make_56_interwork.pl
	   ! MANIFEST ext/Storable/ChangeLog ext/Storable/MANIFEST
	   ! ext/Storable/Makefile.PL ext/Storable/Storable.pm
	   ! ext/Storable/Storable.xs ext/Storable/t/malice.t
____________________________________________________________________________
[ 16908] By: jhi                                   on 2002/05/30  20:49:34
        Log: Integrate perlio:
             
             [ 16895]
             Play safe and avoid writes to stdio's buffer (for glibc2.3)
     Branch: perl
	  !> perlio.c
____________________________________________________________________________
[ 16907] By: jhi                                   on 2002/05/30  20:42:42
        Log: Upgrade to Math::BigRat 0.06.
     Branch: perl
	   ! lib/Math/BigRat.pm lib/Math/BigRat/t/bigrat.t
____________________________________________________________________________
[ 16906] By: jhi                                   on 2002/05/30  20:39:30
        Log: Upgrade to Math::BigInt 1.57.
     Branch: perl
	   ! lib/Math/BigFloat.pm lib/Math/BigInt.pm
	   ! lib/Math/BigInt/Calc.pm lib/Math/BigInt/t/bare_mbf.t
	   ! lib/Math/BigInt/t/bigfltpm.inc lib/Math/BigInt/t/bigintpm.inc
	   ! lib/Math/BigInt/t/calling.t lib/Math/BigInt/t/mbi_rand.t
	   ! lib/Math/BigInt/t/mbimbf.inc lib/Math/BigInt/t/upgrade.inc
____________________________________________________________________________
[ 16905] By: jhi                                   on 2002/05/30  20:26:32
        Log: Subject: [PATCH perl@16893] lib/blib.t tweak for VMS
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Thu, 30 May 2002 16:22:40 -0500
             Message-Id: <a05111703b91c44a6865f@[172.16.52.1]>
     Branch: perl
	   ! lib/blib.t
____________________________________________________________________________
[ 16904] By: jhi                                   on 2002/05/30  20:24:10
        Log: Upgrade to ExtUtils::MakeMaker 6.01.
     Branch: perl
	   + lib/ExtUtils/t/writemakefile_args.t
	   ! MANIFEST lib/ExtUtils/Changes lib/ExtUtils/Command.pm
	   ! lib/ExtUtils/Liblist/Kid.pm lib/ExtUtils/MM_BeOS.pm
	   ! lib/ExtUtils/MM_Cygwin.pm lib/ExtUtils/MM_MacOS.pm
	   ! lib/ExtUtils/MM_NW5.pm lib/ExtUtils/MM_OS2.pm
	   ! lib/ExtUtils/MM_Unix.pm lib/ExtUtils/MM_VMS.pm
	   ! lib/ExtUtils/MM_Win32.pm lib/ExtUtils/MakeMaker.pm
	   ! lib/ExtUtils/Manifest.pm lib/ExtUtils/Mkbootstrap.pm
	   ! lib/ExtUtils/Mksymlists.pm lib/ExtUtils/testlib.pm
____________________________________________________________________________
[ 16903] By: dougm                                 on 2002/05/30  20:05:47
        Log: prevent attempts to load extension libraries more than once on darwin.
             avoiding fatal errors in the form of: "multiple definitions of symbol _XS_foo"
     Branch: perl
	   ! ext/DynaLoader/DynaLoader_pm.PL ext/DynaLoader/XSLoader_pm.PL
____________________________________________________________________________
[ 16902] By: jhi                                   on 2002/05/30  20:01:10
        Log: Obsolete file.
     Branch: perl
	   - NetWare/bat/Setwatcom.bat
	   ! MANIFEST
____________________________________________________________________________
[ 16901] By: jhi                                   on 2002/05/30  19:49:57
        Log: Update Andy.
     Branch: perl
	   ! hints/linux.sh
____________________________________________________________________________
[ 16900] By: jhi                                   on 2002/05/30  19:40:14
        Log: INT2PTR/PTR2IV defined twice.
     Branch: perl
	   ! ext/Devel/PPPort/PPPort.pm
____________________________________________________________________________
[ 16899] By: jhi                                   on 2002/05/30  19:26:11
        Log: Subject: Re: [PATCH: perl@16826] small updates to DCL portions of perl kit
             From: PPrymmer@factset.com
             Date: Thu, 30 May 2002 13:57:31 -0400
             Message-ID: <OF5D13E5C1.A33F30A2-ON85256BC9.0061EF06@55.25.11>
             
             Multinet matters with s/might the/mind the/
     Branch: perl
	   ! README.vms
____________________________________________________________________________
[ 16898] By: nick                                  on 2002/05/30  15:55:46
        Log: Integrate mainline
     Branch: perlio
	  !> Changes lib/charnames.pm lib/charnames.t patchlevel.h
	  !> pod/perldelta.pod pod/perlfunc.pod pod/perlvar.pod
____________________________________________________________________________
[ 16897] By: jhi                                   on 2002/05/30  15:46:52
        Log: Document the glibc 2.2.5 long long bug.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16896] By: jhi                                   on 2002/05/30  15:43:56
        Log: Subject: [PATCH pod/perlfunc.pod]  Not having an unimport is no longer fatal.
             From: Abigail <abigail@foad.org>
             Date: Thu, 30 May 2002 09:33:51 -0700
             Message-ID: <20020530093351.A18225@ucan.foad.org>
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 16895] By: nick                                  on 2002/05/30  14:40:11
        Log: Play safe and avoid writes to stdio's buffer (for glibc2.3)
     Branch: perlio
	   ! perlio.c
____________________________________________________________________________
[ 16894] By: nick                                  on 2002/05/30  14:39:19
        Log: Integrate mainline
     Branch: perlio
	  !> (integrate 50 files)
____________________________________________________________________________
[ 16893] By: jhi                                   on 2002/05/30  14:24:29
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16892] By: jhi                                   on 2002/05/30  14:17:43
        Log: Subject: RE: [PATCH pod/perlvar.pod] $^X
             From: "Green, Paul" <Paul.Green@stratus.com>
             Date: Thu, 30 May 2002 11:11:35 -0400
             Message-ID: <A2A34F15EE916148BC4C4748223E67A4027C25E4@EXNA4.stratus.com>  
     Branch: perl
	   ! pod/perlvar.pod
____________________________________________________________________________
[ 16891] By: jhi                                   on 2002/05/30  14:07:30
        Log: charnames patch from Thomas Wegner.
     Branch: perl
	   ! lib/charnames.pm lib/charnames.t
____________________________________________________________________________
[ 16890] By: jhi                                   on 2002/05/30  14:03:24
        Log: Subject: [Patch perl@16861] charnames::vianame tweak
             From: SADAHIRO Tomoyuki <bqw10602@nifty.com>
             Date: Thu, 30 May 2002 23:56:51 +0900
             Message-Id: <20020530235541.D722.BQW10602@nifty.com>
     Branch: perl
	   ! lib/charnames.pm
____________________________________________________________________________
[ 16889] By: jhi                                   on 2002/05/30  14:02:02
        Log: Chart the self-tying minefield.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16888] By: jhi                                   on 2002/05/30  13:58:53
        Log: Ignasi Roca convinced me, so #16855 is back in.
     Branch: perl
	   ! utfebcdic.h
____________________________________________________________________________
[ 16887] By: jhi                                   on 2002/05/30  13:51:29
        Log: Subject: [PATCH] Re: Linux glibc 2.2.90 issue; likely from readonly stdio mmap
             From: Andy Dougherty <doughera@lafayette.edu>
             Date: Thu, 30 May 2002 10:50:18 -0400 (EDT)
             Message-ID: <Pine.SOL.4.10.10205301008040.22885-100000@maxwell.phys.lafayette.edu>
     Branch: perl
	   ! hints/linux.sh
____________________________________________________________________________
[ 16886] By: gbarr                                 on 2002/05/30  13:49:11
        Log: Sync with libnet-1.12
     Branch: perl
	   ! lib/Net/ChangeLog.libnet lib/Net/FTP.pm lib/Net/SMTP.pm
____________________________________________________________________________
[ 16885] By: jhi                                   on 2002/05/30  13:43:28
        Log: Subject: Re: perl@16861
             From: sthoenna@efn.org (Yitzchak Scott-Thoennes)
             Date: Wed, 29 May 2002 15:27:18 -0700
             Message-ID: <GXV98gzkgW7Y092yn@efn.org>
             
             Yitzchak won't give up on self-ties.
     Branch: perl
	   ! pp_sys.c t/op/tie.t
____________________________________________________________________________
[ 16884] By: ams                                   on 2002/05/30  13:32:52
        Log: Ronald Kimball pointed out that there was a run-on sentence in the
             last patch by Stas Bekman, and I fixed it, and while I was at it, I
             fixed the wording of the last phrase as well, and then I re-wrapped
             the paragraph.
     Branch: perl
	   ! pod/perlvar.pod
____________________________________________________________________________
[ 16883] By: jhi                                   on 2002/05/30  13:30:52
        Log: Integrate macperl change #16875.
     Branch: perl
	  !> ext/Cwd/t/cwd.t ext/Digest/MD5/t/files.t lib/blib.t
	  !> t/lib/warnings/op
____________________________________________________________________________
[ 16882] By: jhi                                   on 2002/05/30  13:29:13
        Log: Integrate macperl patch #16868.
     Branch: perl
	  !> (integrate 36 files)
____________________________________________________________________________
[ 16881] By: jhi                                   on 2002/05/30  12:50:14
        Log: Subject: Re: [ PATCH ] module test fest
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Thu, 30 May 2002 13:52:18 +0200
             Message-Id: <20020530135047.0B46.H.M.BRAND@hccnet.nl>
             
             HP-UX Oracle wisdom (with some tweaks)
     Branch: perl
	   ! README.hpux
____________________________________________________________________________
[ 16880] By: jhi                                   on 2002/05/30  12:48:09
        Log: metaconfig unit change for #16879.
     Branch: metaconfig
	   ! U/modified/Options.U
____________________________________________________________________________
[ 16879] By: jhi                                   on 2002/05/30  12:47:34
        Log: Configure -A should not mangle spaces, from H.Merijn B.
     Branch: perl
	   ! Configure
____________________________________________________________________________
[ 16878] By: jhi                                   on 2002/05/30  12:40:42
        Log: OS/2: found the _fd_flags() prototype.
     Branch: perl
	   ! os2/os2ish.h
____________________________________________________________________________
[ 16877] By: jhi                                   on 2002/05/30  12:33:05
        Log: Fix up the signal handler reinstallation lore.
     Branch: perl
	   ! pod/perlipc.pod
____________________________________________________________________________
[ 16876] By: jhi                                   on 2002/05/30  12:29:09
        Log: Subject: [PATCH pod/perlipc.pod] Handling the SIGHUP Signal in Daemons
             From: Stas Bekman <stas@stason.org>
             Date: Thu, 30 May 2002 15:29:02 +0800
             Message-ID: <3CF5D4BE.4000500@stason.org>
     Branch: perl
	   ! pod/perlipc.pod
____________________________________________________________________________
[ 16875] By: pudge                                 on 2002/05/30  11:48:05
        Log: Fixes for fixes
     Branch: macperl
	   ! ext/Cwd/t/cwd.t ext/Digest/MD5/t/files.t lib/blib.t
	   ! t/lib/warnings/op
____________________________________________________________________________
[ 16874] By: ams                                   on 2002/05/30  07:41:30
        Log: Fix typo in #16866.
     Branch: perl
	   ! lib/File/stat.t
____________________________________________________________________________
[ 16873] By: ams                                   on 2002/05/30  07:39:24
        Log: Subject: [PATCH lib/File/Spec/Unix.pm] catpath()'s pod part
             From: Stas Bekman <stas@stason.org>
             Date: Thu, 30 May 2002 16:14:55 +0800
             Message-Id: <3CF5DF7F.1060700@stason.org>
     Branch: perl
	   ! lib/File/Spec/Unix.pm
____________________________________________________________________________
[ 16872] By: ams                                   on 2002/05/30  07:38:34
        Log: Subject: [PATCH pod/perlvar.pod] $^X
             From: Stas Bekman <stas@stason.org>
             Date: Thu, 30 May 2002 15:59:48 +0800
             Message-Id: <3CF5DBF4.7080500@stason.org>
     Branch: perl
	   ! pod/perlvar.pod
____________________________________________________________________________
[ 16871] By: nick                                  on 2002/05/30  06:45:56
        Log: Integrate all but lib/File/stat.t which seems broken.
     Branch: perlio
	  !> Changes Porting/patching.pod cygwin/perlld.in
	  !> epoc/createpkg.pl ext/Devel/PPPort/PPPort.pm
	  !> ext/Encode/bin/enc2xs ext/Encode/bin/piconv
	  !> lib/ExtUtils/MM_NW5.pm os2/os2ish.h patchlevel.h perl.h
	  !> pp_pack.c sv.c t/base/num.t t/harness t/op/tie.t
	  !> t/run/fresh_perl.t utfebcdic.h
____________________________________________________________________________
[ 16870] By: pudge                                 on 2002/05/30  06:06:34
        Log: Integrate perl
     Branch: macperl
	  +> NetWare/bat/SetNWDef.bat NetWare/bat/Setcw.bat NetWare/sv_nw.c
	  +> ext/Encode/ucm/ctrl.ucm ext/Encode/ucm/null.ucm
	  !> (integrate 137 files)
____________________________________________________________________________
[ 16869] By: pudge                                 on 2002/05/30  05:41:50
        Log: Makefile / config / test updates for MacPerl
     Branch: macperl
	   + macos/MacPerlMakeTests.plx
	   ! macos/MacPerlTests.cmd macos/MacPerlTests.plx
	   ! macos/Makefile.mk macos/bundled_ext/Digest/MD5/Makefile.mk
	   ! macos/config.h macos/config.sh macos/macperl/Makefile.mk
____________________________________________________________________________
[ 16868] By: pudge                                 on 2002/05/30  05:39:51
        Log: Big MacPerl Testing Patch No. 1
             If you like this, stay tuned, there's more to come!
     Branch: macperl
	   ! ext/B/B/Concise.pm ext/B/t/deparse.t ext/B/t/terse.t
	   ! ext/Cwd/t/cwd.t ext/Digest/MD5/t/files.t
	   ! ext/DynaLoader/DynaLoader_pm.PL ext/IO/lib/IO/t/io_dup.t
	   ! ext/POSIX/t/sigaction.t ext/PerlIO/t/encoding.t
	   ! ext/PerlIO/t/fallback.t ext/Socket/Socket.t
	   ! ext/Storable/t/utf8hash.t lib/AutoSplit.t
	   ! lib/Net/Ping/t/110_icmp_inst.t lib/Net/hostent.t
	   ! lib/Pod/t/Usage.t lib/Pod/t/pod2html-lib.pl
	   ! lib/Test/Harness/Straps.pm lib/Test/Harness/t/callback.t
	   ! lib/Test/Harness/t/strap-analyze.t
	   ! lib/Test/Harness/t/test-harness.t lib/Test/Simple/t/exit.t
	   ! lib/Unicode/Collate.pm lib/Unicode/UCD.t lib/blib.pm
	   ! lib/blib.t lib/open.t lib/strict.t lib/subs.t lib/warnings.t
	   ! perl.c t/lib/filter-util.pl t/lib/warnings/doio
	   ! t/lib/warnings/mg t/lib/warnings/op t/x2p/s2p.t
____________________________________________________________________________
[ 16867] By: jhi                                   on 2002/05/29  23:25:09
        Log: Attachments are okay.
     Branch: perl
	   ! Porting/patching.pod
____________________________________________________________________________
[ 16866] By: jhi                                   on 2002/05/29  19:46:49
        Log: OS/2: ENOINO.
     Branch: perl
	   ! lib/File/stat.t
____________________________________________________________________________
[ 16865] By: jhi                                   on 2002/05/29  19:41:53
        Log: OS/2: provide prototype.
     Branch: perl
	   ! os2/os2ish.h
____________________________________________________________________________
[ 16864] By: jhi                                   on 2002/05/29  19:29:17
        Log: OS/2: fp stringification fudge.
             (After this the whole suite passes 98.30%)
     Branch: perl
	   ! t/base/num.t
____________________________________________________________________________
[ 16863] By: jhi                                   on 2002/05/29  17:35:04
        Log: harness wasn't running x2p/s2p.t.
     Branch: perl
	   ! t/harness
____________________________________________________________________________
[ 16862] By: nick                                  on 2002/05/29  14:12:41
        Log: Integrate mainline
     Branch: perlio
	  +> ext/Encode/ucm/ctrl.ucm ext/Encode/ucm/null.ucm
	  !> (integrate 100 files)
____________________________________________________________________________
[ 16861] By: jhi                                   on 2002/05/29  13:41:01
        Log: Subject: [PATCH] pack 'w' should be using NV, not double
             From: Nicholas Clark <nick@ccl4.org>
             Date: Wed, 29 May 2002 15:38:41 +0100
             Message-ID: <20020529153840.L53388@plum.flirble.org>
     Branch: perl
	   ! pp_pack.c
____________________________________________________________________________
[ 16860] By: jhi                                   on 2002/05/29  13:31:35
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16859] By: jhi                                   on 2002/05/29  13:25:31
        Log: Spelling bee.
     Branch: perl
	   ! t/op/tie.t
____________________________________________________________________________
[ 16858] By: jhi                                   on 2002/05/29  13:21:58
        Log: Recover some of the #16845.
     Branch: perl
	   ! sv.c t/op/tie.t t/run/fresh_perl.t
____________________________________________________________________________
[ 16857] By: jhi                                   on 2002/05/29  12:47:02
        Log: Retract #16855 until settled.
     Branch: perl
	   ! utfebcdic.h
____________________________________________________________________________
[ 16856] By: jhi                                   on 2002/05/29  12:31:35
        Log: OS/2: more missing definitions.
     Branch: perl
	   ! os2/os2ish.h
____________________________________________________________________________
[ 16855] By: jhi                                   on 2002/05/29  12:28:17
        Log: Subject: UTF-EBCDIC for POSIX-BC (Malformed UTF-8 character)
             From: "Roca Carrio, Ignasi (PO EP)" <Ignasi.Roca@fujitsu-siemens.com>
             Date: Wed, 29 May 2002 13:16:16 +0200
             Message-ID: <318B95F90D8BD41194A5009027FD5FFBCE6CED@madrid14.mad.fsc.net>
     Branch: perl
	   ! utfebcdic.h
____________________________________________________________________________
[ 16854] By: jhi                                   on 2002/05/29  12:16:08
        Log: PPPort: fix up SvPVbyte if in 5.6.1 (borrowed from Digest::MD5)
     Branch: perl
	   ! ext/Devel/PPPort/PPPort.pm
____________________________________________________________________________
[ 16853] By: jhi                                   on 2002/05/29  11:58:43
        Log: Subject: Re: [PATCHES] Re: libwin32 on Cygwin?
             From: "Gerrit P. Haase" <gp@familiehaase.de>
             Date: Wed, 29 May 2002 08:06:43 +0200
             Message-ID: <1881715214417.20020529080643@familiehaase.de>
     Branch: perl
	   ! perl.h
____________________________________________________________________________
[ 16852] By: jhi                                   on 2002/05/29  11:53:12
        Log: OS/2: more missing headers from John Poltorak.
     Branch: perl
	   ! os2/os2ish.h
____________________________________________________________________________
[ 16851] By: jhi                                   on 2002/05/29  11:48:35
        Log: Subject: Re: forewarning: usedevel and versiononly
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Wed, 29 May 2002 09:41:23 +0200
             Message-Id: <20020529081515.D570.H.M.BRAND@hccnet.nl>
             
             More 5.7.3 -> 5.8.0.
     Branch: perl
	   ! cygwin/perlld.in epoc/createpkg.pl ext/Encode/bin/enc2xs
	   ! ext/Encode/bin/piconv lib/ExtUtils/MM_NW5.pm
____________________________________________________________________________
[ 16850] By: ams                                   on 2002/05/29  06:48:19
        Log: Lots of spring cleaning. (No functional changes.)
     Branch: perl
	   ! ext/Storable/ChangeLog ext/Storable/Makefile.PL
	   ! ext/Storable/README ext/Storable/Storable.pm
	   ! ext/Storable/Storable.xs ext/Storable/t/blessed.t
	   ! ext/Storable/t/canonical.t ext/Storable/t/compat06.t
	   ! ext/Storable/t/dclone.t ext/Storable/t/downgrade.t
	   ! ext/Storable/t/forgive.t ext/Storable/t/freeze.t
	   ! ext/Storable/t/lock.t ext/Storable/t/overload.t
	   ! ext/Storable/t/recurse.t ext/Storable/t/restrict.t
	   ! ext/Storable/t/retrieve.t ext/Storable/t/st-dump.pl
	   ! ext/Storable/t/store.t ext/Storable/t/tied.t
	   ! ext/Storable/t/tied_hook.t ext/Storable/t/tied_items.t
	   ! ext/Storable/t/utf8.t ext/Storable/t/utf8hash.t
____________________________________________________________________________
[ 16849] By: jhi                                   on 2002/05/29  01:16:23
        Log: pod cleanups.
     Branch: perl
	   ! README.aix README.cygwin README.jp README.ko README.macos
	   ! README.tw pod/perl561delta.pod pod/perldelta.pod
	   ! pod/perlfaq4.pod pod/perlfaq5.pod pod/perlfunc.pod
	   ! pod/perlhack.pod pod/perlipc.pod pod/perlsub.pod
	   ! pod/perlthrtut.pod pod/perlunicode.pod pod/perluniintro.pod
____________________________________________________________________________
[ 16848] By: jhi                                   on 2002/05/29  00:44:59
        Log: Regen perltoc.
     Branch: perl
	   ! pod/perltoc.pod
____________________________________________________________________________
[ 16847] By: jhi                                   on 2002/05/28  22:15:44
        Log: Subject: [PATCH] cross-compilation support for WinCE for non-core extensions
             From: "Vadim Konovalov" <vkonovalov@peterstar.ru>
             Date: Wed, 29 May 2002 02:48:15 +0400
             Message-ID: <000701c20699$c3684a30$c25cc3d9@vad>
     Branch: perl
	   ! wince/Makefile.ce
____________________________________________________________________________
[ 16846] By: jhi                                   on 2002/05/28  22:10:51
        Log: Subject: [PATCH: perl@16826] small updates to DCL portions of perl kit
             From: PPrymmer@factset.com
             Date: Tue, 28 May 2002 18:34:55 -0400
             Message-ID: <OF23EAAE54.E5DCAD53-ON85256BC7.007B1EA5@55.25.11>
     Branch: perl
	   ! configure.com vms/genopt.com
____________________________________________________________________________
[ 16845] By: jhi                                   on 2002/05/28  22:05:55
        Log: Retract #16820, #16819, #16810, #16669, #16531, #16530, #16501
             to restore some level of sanity in the tied scalars can of worms.
     Branch: perl
	   ! mg.c pp_sys.c sv.c t/op/tie.t t/run/fresh_perl.t
____________________________________________________________________________
[ 16844] By: gsar                                  on 2002/05/28  22:05:38
        Log: extension of change#16332: isolate signal diddling to the main
             interpreter (fixes signal-related races, e.g. when multiple
             threads run system())
     Branch: maint-5.6/perl
	   ! util.c
____________________________________________________________________________
[ 16843] By: jhi                                   on 2002/05/28  20:35:59
        Log: Bump the version numbers to five-eight-oh.
     Branch: perl
	   ! Configure NetWare/Makefile NetWare/config_H.wc
	   ! Porting/config.sh Porting/config_H README.tru64 epoc/config.sh
	   ! patchlevel.h t/op/ver.t uconfig.h uconfig.sh utils/h2xs.PL
	   ! vos/config.alpha.h vos/config.ga.h win32/Makefile
	   ! win32/config_H.bc win32/config_H.gc win32/config_H.vc
	   ! win32/config_H.vc64 win32/makefile.mk wince/Makefile.ce
	   ! wince/config_H.ce
____________________________________________________________________________
[ 16842] By: ams                                   on 2002/05/28  19:34:27
        Log: Subject: Minor INSTALL patch
             From: Andy Dougherty <doughera@lafayette.edu>
             Date: Tue, 28 May 2002 16:08:30 -0400 (EDT)
             Message-Id: <Pine.SOL.4.10.10205281607001.17663-100000@maxwell.phys.lafayette.edu>
     Branch: perl
	   ! INSTALL
____________________________________________________________________________
[ 16841] By: ams                                   on 2002/05/28  19:01:22
        Log: Add integer.t to MANIFEST.
     Branch: perl
	   ! ext/Storable/MANIFEST
____________________________________________________________________________
[ 16840] By: jhi                                   on 2002/05/28  17:49:08
        Log: Subject: [Encode] 1.74 released -- final for 5.8.0-RC1
             From: Dan Kogai <dankogai@dan.co.jp>
             Date: Wed, 29 May 2002 03:43:57 +0900
             Message-Id: <DE163EDE-726A-11D6-B9CB-0003939A104C@dan.co.jp>
     Branch: perl
	   + ext/Encode/ucm/ctrl.ucm ext/Encode/ucm/null.ucm
	   ! MANIFEST ext/Encode/AUTHORS ext/Encode/Byte/Makefile.PL
	   ! ext/Encode/CN/Makefile.PL ext/Encode/Changes
	   ! ext/Encode/EBCDIC/Makefile.PL ext/Encode/Encode.pm
	   ! ext/Encode/Encode.xs ext/Encode/Encode/Makefile_PL.e2x
	   ! ext/Encode/JP/Makefile.PL ext/Encode/KR/Makefile.PL
	   ! ext/Encode/MANIFEST ext/Encode/Makefile.PL
	   ! ext/Encode/Symbol/Makefile.PL ext/Encode/TW/Makefile.PL
	   ! ext/Encode/bin/enc2xs ext/Encode/lib/Encode/Supported.pod
	   ! ext/Encode/t/mime-header.t
____________________________________________________________________________
[ 16839] By: jhi                                   on 2002/05/28  17:18:28
        Log: OS/2: bug found by John Poltorak.
     Branch: perl
	   ! lib/ExtUtils/MM_OS2.pm
____________________________________________________________________________
[ 16838] By: gsar                                  on 2002/05/28  14:14:29
        Log: makefiles should not clobber lib/Thread directory (some Thread
             files seem to live there rather than in ext, for some reason)
     Branch: perl
	   ! win32/Makefile win32/makefile.mk
____________________________________________________________________________
[ 16837] By: jhi                                   on 2002/05/28  14:06:42
        Log: Subject: [PATCH] Bug fix for charnames::vianame
             From: SADAHIRO Tomoyuki <bqw10602@nifty.com>
             Date: Tue, 28 May 2002 23:53:39 +0900
             Message-Id: <20020528234907.310A.BQW10602@nifty.com>
     Branch: perl
	   ! lib/charnames.pm lib/charnames.t
____________________________________________________________________________
[ 16836] By: jhi                                   on 2002/05/28  13:43:39
        Log: Test output tweak.
     Branch: perl
	   ! lib/ExtUtils/t/Embed.t
____________________________________________________________________________
[ 16835] By: jhi                                   on 2002/05/28  13:32:46
        Log: More charnames tweaks.
     Branch: perl
	   ! lib/charnames.pm lib/charnames.t
____________________________________________________________________________
[ 16834] By: jhi                                   on 2002/05/28  13:24:16
        Log: Subject: [PATCH] Doc fix for charnames::vianame
             From: SADAHIRO Tomoyuki <bqw10602@nifty.com>
             Date: Tue, 28 May 2002 22:46:41 +0900
             Message-Id: <20020528223607.9EBF.BQW10602@nifty.com>
     Branch: perl
	   ! lib/charnames.pm
____________________________________________________________________________
[ 16833] By: jhi                                   on 2002/05/28  13:23:03
        Log: Subject: [PATCH 5.7.3 TEST] Embed.t fails on Win32
             From: "Yves Orton" <demerphq@hotmail.com>
             Date: Tue, 28 May 2002 15:43:12 +0200
             Message-ID: <F170zgYLowspDKicUbv0000b23d@hotmail.com>
     Branch: perl
	   ! lib/ExtUtils/t/Embed.t
____________________________________________________________________________
[ 16832] By: jhi                                   on 2002/05/28  13:14:21
        Log: metaconfig unit change for #16831.
     Branch: metaconfig/U/perl
	   ! gccvers.U
____________________________________________________________________________
[ 16831] By: jhi                                   on 2002/05/28  13:14:02
        Log: gcc 3 defensiveness from H. Merijn B and Rafael.
     Branch: perl
	   ! Configure
____________________________________________________________________________
[ 16830] By: jhi                                   on 2002/05/28  12:55:29
        Log: Retract the Straps part of #16829 for now since
             the subtest 44 of t/strap.t started failing.
     Branch: perl
	   ! lib/Test/Harness/Straps.pm
____________________________________________________________________________
[ 16829] By: jhi                                   on 2002/05/28  12:26:34
        Log: Subject: [PATCH bleadperl] Test::Harness and skiping tests functionality
             From: Nikola Knezevic <indy@tesla.rcub.bg.ac.yu>
             Date: Tue, 28 May 2002 08:17:53 +0200
             Message-ID: <40949173.20020528081753@tesla.rcub.bg.ac.yu>
     Branch: perl
	   ! ext/POSIX/t/waitpid.t lib/Test/Harness.pm
	   ! lib/Test/Harness/Straps.pm t/op/64bitint.t t/test.pl
____________________________________________________________________________
[ 16828] By: nick                                  on 2002/05/28  08:00:28
        Log: Integrate mainline
     Branch: perlio
	  !> Changes Makefile.micro README.netware README.tru64
	  !> ext/Devel/Peek/Peek.pm ext/Errno/Errno_pm.PL
	  !> ext/IO/lib/IO/Dir.pm ext/IO/lib/IO/Handle.pm
	  !> ext/IO/lib/IO/Seekable.pm ext/IO/lib/IO/Socket/UNIX.pm
	  !> ext/IPC/SysV/Msg.pm ext/IPC/SysV/Semaphore.pm
	  !> ext/IPC/SysV/SysV.pm ext/List/Util/lib/List/Util.pm
	  !> ext/Time/HiRes/HiRes.pm lib/Tie/RefHash.pm lib/attributes.pm
	  !> mg.c patchlevel.h pod/perltodo.pod sv.c t/lib/warnings/pp_hot
	  !> uconfig.h util.c
____________________________________________________________________________
[ 16827] By: jhi                                   on 2002/05/28  00:46:23
        Log: Tru64: sockatmark trouble.
     Branch: perl
	   ! README.tru64
____________________________________________________________________________
[ 16826] By: jhi                                   on 2002/05/27  23:48:31
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16825] By: pudge                                 on 2002/05/27  22:55:07
        Log: Integrate perl
     Branch: macperl
	  +> ext/Storable/t/integer.t
	   ! macos/MPVersion.r macos/config.sh
	  !> (integrate 60 files)
____________________________________________________________________________
[ 16824] By: jhi                                   on 2002/05/27  20:58:48
        Log: Todo update.
     Branch: perl
	   ! pod/perltodo.pod
____________________________________________________________________________
[ 16823] By: jhi                                   on 2002/05/27  20:55:45
        Log: Don't assume sh and true.
     Branch: perl
	   ! Makefile.micro uconfig.h
____________________________________________________________________________
[ 16822] By: jhi                                   on 2002/05/27  20:42:47
        Log: Subject: Re: [PATCH] Version tango
             From: sthoenna@efn.org (Yitzchak Scott-Thoennes)
             Date: Mon, 27 May 2002 13:20:56 -0700
             Message-ID: <oUp88gzkgy+T092yn@efn.org>
     Branch: perl
	   ! ext/Devel/Peek/Peek.pm ext/Errno/Errno_pm.PL
	   ! ext/IO/lib/IO/Dir.pm ext/IO/lib/IO/Handle.pm
	   ! ext/IO/lib/IO/Seekable.pm ext/IO/lib/IO/Socket/UNIX.pm
	   ! ext/IPC/SysV/Msg.pm ext/IPC/SysV/Semaphore.pm
	   ! ext/IPC/SysV/SysV.pm ext/List/Util/lib/List/Util.pm
	   ! ext/Time/HiRes/HiRes.pm lib/Tie/RefHash.pm lib/attributes.pm
____________________________________________________________________________
[ 16821] By: rgs                                   on 2002/05/27  20:25:30
        Log: Fix a warning bug in Perl_report_evil_fh (didn't report
             stashes correctly.) Partial info is better than wrong info.
     Branch: perl
	   ! t/lib/warnings/pp_hot util.c
____________________________________________________________________________
[ 16820] By: jhi                                   on 2002/05/27  20:09:27
        Log: A shot in the dark.
     Branch: perl
	   ! mg.c
____________________________________________________________________________
[ 16819] By: jhi                                   on 2002/05/27  19:10:14
        Log: Comment nit from Yitzchak.
     Branch: perl
	   ! sv.c
____________________________________________________________________________
[ 16818] By: nick                                  on 2002/05/27  18:47:58
        Log: Integrate mainline
     Branch: perlio
	  +> NetWare/bat/SetNWDef.bat NetWare/bat/Setcw.bat NetWare/sv_nw.c
	  !> Changes MANIFEST NetWare/bat/Setwatcom.bat README.cygwin
	  !> README.netware ext/B/B/Deparse.pm ext/B/B/Lint.pm
	  !> ext/B/t/lint.t ext/Storable/ChangeLog ext/Storable/Storable.pm
	  !> ext/Storable/Storable.xs ext/Storable/t/downgrade.t
	  !> hints/darwin.sh hints/hpux.sh lib/ExtUtils/MM_NW5.pm
	  !> patchlevel.h pod/perldelta.pod pod/perlfaq5.pod
	  !> pod/perlfaq6.pod pod/perlfunc.pod pod/perlipc.pod
	  !> pod/perlsub.pod
____________________________________________________________________________
[ 16817] By: jhi                                   on 2002/05/27  18:15:32
        Log: POD cleanup and rewrapping.
     Branch: perl
	   ! README.netware
____________________________________________________________________________
[ 16816] By: jhi                                   on 2002/05/27  16:55:53
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16815] By: jhi                                   on 2002/05/27  16:49:06
        Log: More NetWare.
     Branch: perl
	   ! README.netware
____________________________________________________________________________
[ 16814] By: jhi                                   on 2002/05/27  16:36:08
        Log: Subject: [ PATCH ] Re: Smoke 16789 /pro/3gl/CPAN/perl-current
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Mon, 27 May 2002 19:26:27 +0200
             Message-Id: <20020527190443.2164.H.M.BRAND@hccnet.nl>
     Branch: perl
	   ! hints/hpux.sh
____________________________________________________________________________
[ 16813] By: jhi                                   on 2002/05/27  16:35:47
        Log: We are not that certain about the localising of
             tied aggregates.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16812] By: jhi                                   on 2002/05/27  16:22:45
        Log: Missed from #16811.
     Branch: perl
	   + NetWare/sv_nw.c
	   ! MANIFEST
____________________________________________________________________________
[ 16811] By: jhi                                   on 2002/05/27  16:22:06
        Log: NetWare diff from Ananth Kesari.
     Branch: perl
	   + NetWare/bat/SetNWDef.bat NetWare/bat/Setcw.bat
	   ! NetWare/bat/Setwatcom.bat lib/ExtUtils/MM_NW5.pm
____________________________________________________________________________
[ 16810] By: jhi                                   on 2002/05/27  16:02:10
        Log: Integrate perlio:
             
             [ 16809]
             Add IO::Scalar fail case to the tests.
             
             [ 16808]
             Fix for the IO::Scalar bug (I think).
             At tie time break the loop but in a different place:
             A. Increment REFCNT of the RV involved in the self-tie
             B. Decrement REFCNT of the thing RV points to (e.g. the GV)
             At mg_free time
             Break the connection between the RV and its referent
             so that we do not try and free it (again).
             
             [ 16805]
             **** UNSAFE **** partial fix for IO::Scalar and local ties.
             Only op/local.t fails but it is nasty... try valgrind on other machine.
     Branch: perl
	  !> mg.c sv.c t/op/tie.t
____________________________________________________________________________
[ 16809] By: nick                                  on 2002/05/27  11:02:21
        Log: Add IO::Scalar fail case to the tests.
     Branch: perlio
	   ! t/op/tie.t
____________________________________________________________________________
[ 16808] By: nick                                  on 2002/05/27  09:54:46
        Log: Fix for the IO::Scalar bug (I think).
             At tie time break the loop but in a different place:
             A. Increment REFCNT of the RV involved in the self-tie
             B. Decrement REFCNT of the thing RV points to (e.g. the GV)
             At mg_free time
             Break the connection between the RV and its referent
             so that we do not try and free it (again).
     Branch: perlio
	   ! mg.c sv.c
____________________________________________________________________________
[ 16807] By: jhi                                   on 2002/05/27  02:39:04
        Log: select() portability nit.
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 16806] By: rgs                                   on 2002/05/26  21:01:35
        Log: Fix a remaining B::Lint bug.
     Branch: perl
	   ! ext/B/B/Lint.pm ext/B/t/lint.t
____________________________________________________________________________
[ 16805] By: nick                                  on 2002/05/26  20:51:31
        Log: **** UNSAFE **** partial fix for IO::Scalar and local ties.
             Only op/local.t fails but it is nasty... try valgrind on other machine.
     Branch: perlio
	   ! sv.c
____________________________________________________________________________
[ 16804] By: jhi                                   on 2002/05/26  17:23:26
        Log: Some day I might actually learn to test changes first
             before committing them in.
     Branch: perl
	   ! hints/darwin.sh
____________________________________________________________________________
[ 16803] By: jhi                                   on 2002/05/26  17:16:32
        Log: Until otherwise proven.
     Branch: perl
	   ! hints/darwin.sh
____________________________________________________________________________
[ 16802] By: jhi                                   on 2002/05/26  17:15:12
        Log: Darwin hint tweaks.
     Branch: perl
	   ! hints/darwin.sh
____________________________________________________________________________
[ 16801] By: jhi                                   on 2002/05/26  15:56:15
        Log: FAQ sync.
     Branch: perl
	   ! pod/perlfaq5.pod pod/perlfaq6.pod
____________________________________________________________________________
[ 16800] By: jhi                                   on 2002/05/26  15:27:05
        Log: Subject: [DOC-PATCH] README.cygwin updated
             From: "Gerrit P. Haase" <gp@familiehaase.de>
             Date: Sun, 26 May 2002 14:56:14 +0200
             Message-ID: <1151480833395.20020526145614@familiehaase.de>
     Branch: perl
	   ! README.cygwin
____________________________________________________________________________
[ 16799] By: jhi                                   on 2002/05/26  15:25:35
        Log: I thinkk thinggy has only one g.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16798] By: jhi                                   on 2002/05/26  15:23:32
        Log: Subject: [PATCH] docs for broken local(%tied) behaviour
             From: Dave Mitchell <davem@fdgroup.com>
             Date: Sun, 26 May 2002 14:15:42 +0100
             Message-ID: <20020526141542.B18527@fdgroup.com>
     Branch: perl
	   ! pod/perldelta.pod pod/perlsub.pod
____________________________________________________________________________
[ 16797] By: jhi                                   on 2002/05/26  15:19:34
        Log: Subject: [PATCH] B::Deparse: handle blessed code refs in coderef2text
             From: Stephen McCamant <smcc@CSUA.Berkeley.EDU>
             Date: Sat, 25 May 2002 21:52:16 -0700
             Message-ID: <15600.27136.853114.694744@soda.csua.berkeley.edu>
     Branch: perl
	   ! ext/B/B/Deparse.pm
____________________________________________________________________________
[ 16796] By: jhi                                   on 2002/05/26  15:18:27
        Log: Slight reformatting; tiny tweaks.
     Branch: perl
	   ! pod/perlipc.pod
____________________________________________________________________________
[ 16795] By: jhi                                   on 2002/05/26  15:11:00
        Log: Integrate perlio:
             
             [ 16794]
             Update perlipc.pod for new signals
     Branch: perl
	  !> pod/perlipc.pod
____________________________________________________________________________
[ 16794] By: nick                                  on 2002/05/26  08:07:12
        Log: Update perlipc.pod for new signals
     Branch: perlio
	   ! pod/perlipc.pod
____________________________________________________________________________
[ 16793] By: nick                                  on 2002/05/26  07:10:14
        Log: Integrate mainline
     Branch: perlio
	  !> AUTHORS Changes Configure patchlevel.h
____________________________________________________________________________
[ 16792] By: jhi                                   on 2002/05/25  21:39:58
        Log: Mention that we do Win64.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16791] By: jhi                                   on 2002/05/25  21:39:03
        Log: Document the $Config{byteorder} changes.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16790] By: jhi                                   on 2002/05/25  21:27:52
        Log: Subject: [PATCH] Re: Storable 2.0.0 fails on vendor perl on Mac OS X 10.1
             From: Nicholas Clark <nick@unfortu.net>
             Date: Sat, 25 May 2002 22:37:19 +0100
             Message-ID: <20020525213719.GG299@Bagpuss.unfortu.net> 
             
             Subject: [PATCH] Storable (smaller)
             From: Nicholas Clark <nick@unfortu.net>
             Date: Sat, 25 May 2002 23:13:13 +0100
             Message-ID: <20020525221312.GA3910@Bagpuss.unfortu.net>
     Branch: perl
	   ! ext/Storable/ChangeLog ext/Storable/Storable.pm
	   ! ext/Storable/Storable.xs ext/Storable/t/downgrade.t
____________________________________________________________________________
[ 16789] By: jhi                                   on 2002/05/25  19:00:43
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16788] By: jhi                                   on 2002/05/25  18:55:30
        Log: AUTHORS updates.
     Branch: perl
	   ! AUTHORS
____________________________________________________________________________
[ 16787] By: jhi                                   on 2002/05/25  18:51:49
        Log: metaconfig unit changes for #16786.
     Branch: metaconfig
	   ! U/modified/Getfile.U U/modified/pager.U
____________________________________________________________________________
[ 16786] By: jhi                                   on 2002/05/25  18:51:29
        Log: Pager query tweaks from Andy Dougherty (for OS/2).
     Branch: perl
	   ! Configure
____________________________________________________________________________
[ 16785] By: jhi                                   on 2002/05/25  18:19:56
        Log: Integrate perlio:
             
             [ 16784]
             Fix VMS ungetc fix for platforms like NetBSD.
     Branch: perl
	  !> perlio.c
____________________________________________________________________________
[ 16784] By: nick                                  on 2002/05/25  17:34:48
        Log: Fix VMS ungetc fix for platforms like NetBSD.
     Branch: perlio
	   ! perlio.c
____________________________________________________________________________
[ 16783] By: nick                                  on 2002/05/25  16:33:14
        Log: Integrate mainline for Lupe's perlio.c fix before
             starting on NetBSD issue
     Branch: perlio
	  !> README.beos ext/Storable/t/integer.t lib/ExtUtils/t/basic.t
	  !> perlio.c pod/perlapio.pod pod/perldelta.pod
____________________________________________________________________________
[ 16782] By: jhi                                   on 2002/05/25  16:26:53
        Log: Subject: [PATCH perl@16764/MM 5.96_01] basic.t library problem on VMS
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Sat, 25 May 2002 12:19:36 -0500
             Message-Id: <a0511170cb914b40fc32d@[172.16.52.1]>
     Branch: perl
	   ! lib/ExtUtils/t/basic.t
____________________________________________________________________________
[ 16781] By: jhi                                   on 2002/05/25  16:13:08
        Log: BeOS: update the test status.
     Branch: perl
	   ! README.beos pod/perldelta.pod
____________________________________________________________________________
[ 16780] By: jhi                                   on 2002/05/25  15:30:32
        Log: Subject: Re: [PATCH] Re: [PATCH] Re: [Another bug] Re: about Storable perl module (again)
             From: Nicholas Clark <nick@unfortu.net>
             Date: Sat, 25 May 2002 17:19:21 +0100
             Message-ID: <20020525161921.GD299@Bagpuss.unfortu.net>
     Branch: perl
	   ! ext/Storable/t/integer.t
____________________________________________________________________________
[ 16779] By: jhi                                   on 2002/05/25  14:58:48
        Log: Update the number of tests.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16778] By: jhi                                   on 2002/05/25  13:11:52
        Log: Subject: [Patch] Re: ./perl harness on Cygwin today failures
             From: lupe@lupe-christoph.de (Lupe Christoph)    
             Date: Sat, 25 May 2002 15:45:34 +0200
             Message-ID: <20020525134534.GT6638@lupe-christoph.de>
     Branch: perl
	   ! perlio.c pod/perlapio.pod
____________________________________________________________________________
[ 16777] By: jhi                                   on 2002/05/25  12:51:53
        Log: Subject: [PATCH] Re: [PATCH] Re: [Another bug] Re: about Storable perl module (again)
             From: Nicholas Clark <nick@unfortu.net>
             Date: Sat, 25 May 2002 12:17:44 +0100
             Message-ID: <20020525111743.GC299@Bagpuss.unfortu.net>
     Branch: perl
	   ! ext/Storable/t/integer.t
____________________________________________________________________________
[ 16776] By: nick                                  on 2002/05/25  11:23:28
        Log: Integrate mainline
     Branch: perlio
	  +> ext/Storable/t/integer.t
	  !> (integrate 41 files)
____________________________________________________________________________
[ 16775] By: jhi                                   on 2002/05/25  01:48:37
        Log: perldelta tweaks.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16774] By: jhi                                   on 2002/05/24  22:28:29
        Log: UNICOS: update test status.
     Branch: perl
	   ! ext/Socket/socketpair.t pod/perldelta.pod
____________________________________________________________________________
[ 16773] By: jhi                                   on 2002/05/24  22:25:41
        Log: UNICOS: since $] is really 5.00700299999997,
             testing for equivalence with 5.007003 isn't correct.
             (From Nicholas Clark.)
     Branch: perl
	   ! ext/Storable/t/downgrade.t
____________________________________________________________________________
[ 16772] By: jhi                                   on 2002/05/24  21:44:35
        Log: Knock off one test failure thanks to #16771.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16771] By: jhi                                   on 2002/05/24  21:39:53
        Log: In some (rare) platforms (such as UNICOS) using the native
             atof is still better.
     Branch: perl
	   ! numeric.c perl.h
____________________________________________________________________________
[ 16770] By: jhi                                   on 2002/05/24  21:14:34
        Log: Subject: [PATCH vms/vms.c] logical name translation iteration limits
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Fri, 24 May 2002 16:24:44 -0500
             Message-Id: <a0511170ab9145b5af8f9@[172.16.52.1]>      
     Branch: perl
	   ! pod/perldelta.pod vms/vms.c
____________________________________________________________________________
[ 16769] By: jhi                                   on 2002/05/24  19:25:55
        Log: Subject: [PATCH pod/perllol.pod] small typo
             From: "Geoffrey F. Green" <geoff-public@stuebegreen.com>
             Date: Fri, 24 May 2002 16:05:07 -0400
             Message-ID: <B9141533.8467%geoff-public@stuebegreen.com>
     Branch: perl
	   ! pod/perllol.pod
____________________________________________________________________________
[ 16768] By: jhi                                   on 2002/05/24  17:47:14
        Log: Subject: Re: op/pat.t failure at test 822, Solaris 8, gcc -O -Duse64bitint
             From: Andy Dougherty <doughera@lafayette.edu>
             Date: Fri, 24 May 2002 14:46:49 -0400 (EDT)
             Message-ID: <Pine.SOL.4.10.10205241445520.6195-100000@maxwell.phys.lafayette.edu>
     Branch: perl
	   ! hints/solaris_2.sh
____________________________________________________________________________
[ 16767] By: jhi                                   on 2002/05/24  16:55:48
        Log: Subject: [patch] small change
             From: "Konovalov, Vadim" <vkonovalov@spb.lucent.com>
             Date: Fri, 24 May 2002 19:18:24 +0400
             Message-ID: <845FCFF2D4C0FC468B485E8777C7A00C07D69E@cio-test001.spb.lucent.com>
     Branch: perl
	   ! perl.h win32/makefile.mk
____________________________________________________________________________
[ 16766] By: jhi                                   on 2002/05/24  14:30:25
        Log: Subject: [PATCH] README.aix
             From: John Peacock <jpeacock@rowman.com>    
             Date: Fri, 24 May 2002 10:49:39 -0400
             Message-ID: <3CEE5303.1070201@rowman.com>
     Branch: perl
	   ! README.aix
____________________________________________________________________________
[ 16765] By: jhi                                   on 2002/05/24  14:23:06
        Log: Upgrade to Locale-Codes 2.04.
     Branch: perl
	   ! lib/Locale/Codes/ChangeLog lib/Locale/Codes/t/country.t
	   ! lib/Locale/Country.pm
____________________________________________________________________________
[ 16764] By: jhi                                   on 2002/05/24  12:27:51
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16763] By: jhi                                   on 2002/05/24  12:02:42
        Log: Subject: [PATCH Makefile.SH]  'make distclean' should remove *old files too.
             From: Abigail <abigail@foad.org>
             Date: Fri, 24 May 2002 02:43:37 -0700
             Message-ID: <20020524024337.A28749@ucan.foad.org>
     Branch: perl
	   ! Makefile.SH
____________________________________________________________________________
[ 16762] By: jhi                                   on 2002/05/24  12:01:18
        Log: Subject: [PATCH ext/POSIX/t/posix.t, pod/perldelta.pod] Typos
             From: Abigail <abigail@foad.org>
             Date: Fri, 24 May 2002 02:26:48 -0700
             Message-ID: <20020524022648.A31684@ucan.foad.org>
     Branch: perl
	   ! ext/POSIX/t/posix.t
____________________________________________________________________________
[ 16761] By: jhi                                   on 2002/05/23  23:25:48
        Log: Doc tweaks.
     Branch: perl
	   ! pod/perlunicode.pod pod/perluniintro.pod
____________________________________________________________________________
[ 16760] By: jhi                                   on 2002/05/23  22:44:48
        Log: More portability defines, now mostly type-related
             (based on Storable.xs)
     Branch: perl
	   ! ext/Devel/PPPort/PPPort.pm
____________________________________________________________________________
[ 16759] By: jhi                                   on 2002/05/23  22:11:11
        Log: Subject: [PATCH] Re: [Another bug] Re: about Storable perl module (again)
             From: Nicholas Clark <nick@unfortu.net>
             Date: Thu, 23 May 2002 23:43:16 +0100
             Message-ID: <20020523224316.GB989@Bagpuss.unfortu.net>     
     Branch: perl
	   + ext/Storable/t/integer.t
	   ! MANIFEST ext/Storable/ChangeLog ext/Storable/Storable.pm
	   ! ext/Storable/Storable.xs
____________________________________________________________________________
[ 16758] By: jhi                                   on 2002/05/23  21:25:40
        Log: Subject: [PATCH] configure.com: C switch tweak for VAX
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Thu, 23 May 2002 16:47:34 -0500
             Message-Id: <a05111704b9131291e9f0@[172.16.52.1]>
     Branch: perl
	   ! configure.com
____________________________________________________________________________
[ 16757] By: jhi                                   on 2002/05/23  20:24:57
        Log: One more ppportability thing (from Sarathy).
     Branch: perl
	   ! ext/Devel/PPPort/PPPort.pm
____________________________________________________________________________
[ 16756] By: jhi                                   on 2002/05/23  20:20:41
        Log: Subject: [PATCH] Test::Harness 2.22 -> 2.23
             From: Michael G Schwern <schwern@pobox.com>
             Date: Wed, 22 May 2002 19:21:43 -0400
             Message-id: <20020522232143.GS7147@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   ! lib/Test/Harness.pm lib/Test/Harness/Changes
	   ! lib/Test/Harness/t/strap-analyze.t
	   ! lib/Test/Harness/t/test-harness.t t/lib/sample-tests/die
	   ! t/lib/sample-tests/die_head_end
	   ! t/lib/sample-tests/die_last_minute
____________________________________________________________________________
[ 16755] By: jhi                                   on 2002/05/23  20:17:54
        Log: Subject: [PATCH] ExtUtils::MakeMaker 5.95_01 -> 5.96_01
             From: Michael G Schwern <schwern@pobox.com>
             Date: Wed, 22 May 2002 19:14:35 -0400
             Message-id: <20020522231434.GR7147@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   ! lib/ExtUtils/Changes lib/ExtUtils/Command.pm
	   ! lib/ExtUtils/MakeMaker.pm lib/ExtUtils/t/basic.t
	   ! lib/ExtUtils/t/testlib.t lib/ExtUtils/testlib.pm
____________________________________________________________________________
[ 16754] By: jhi                                   on 2002/05/23  19:02:23
        Log: Subject: [PATCH] dump.c recognizes CvLOCKED
             From: Tim Jenness <t.jenness@jach.hawaii.edu>
             Date: Thu, 23 May 2002 10:00:00 -1000 (HST)
             Message-ID: <Pine.LNX.4.44.0205230959040.3222-100000@lapaki>
     Branch: perl
	   ! dump.c
____________________________________________________________________________
[ 16753] By: jhi                                   on 2002/05/23  17:41:21
        Log: Typo squad.
     Branch: perl
	   ! ext/POSIX/POSIX.pod pod/perldelta.pod
____________________________________________________________________________
[ 16752] By: jhi                                   on 2002/05/23  16:04:15
        Log: Subject: Re: [ID 20020523.001] POSIX::sleep not POSIX compliant
             From: Abigail <abigail@foad.org>
             Date: Thu, 23 May 2002 07:53:33 -0700
             Message-ID: <20020523075333.A14658@ucan.foad.org>
     Branch: perl
	   ! ext/POSIX/POSIX.pm ext/POSIX/POSIX.pod pod/perldelta.pod
____________________________________________________________________________
[ 16751] By: jhi                                   on 2002/05/23  10:21:09
        Log: PPPort dTHX.
     Branch: perl
	   ! ext/Devel/PPPort/PPPort.pm
____________________________________________________________________________
[ 16750] By: nick                                  on 2002/05/23  08:00:24
        Log: Integrate mainline (all ok on MinGW-1.1 Win2k)
     Branch: perlio
	  !> README.aix ext/Encode/t/mime-header.t ext/PerlIO/t/fallback.t
	  !> hints/hpux.sh hints/unicos.sh lib/utf8.t lib/vmsish.t
	  !> pod/perldelta.pod
____________________________________________________________________________
[ 16749] By: jhi                                   on 2002/05/22  22:36:35
        Log: We do not want utf8.t to be compiled under -Mutf8,
             wonky as it sounds.
     Branch: perl
	   ! lib/utf8.t
____________________________________________________________________________
[ 16748] By: jhi                                   on 2002/05/22  22:34:20
        Log: We do not want to see the utf8 hints bit.
     Branch: perl
	   ! lib/vmsish.t
____________________________________________________________________________
[ 16747] By: jhi                                   on 2002/05/22  22:30:57
        Log: More -Mutf8 cleanup.
     Branch: perl
	   ! ext/PerlIO/t/fallback.t
____________________________________________________________________________
[ 16746] By: jhi                                   on 2002/05/22  22:29:08
        Log: -Mutf8 cleanup.
     Branch: perl
	   ! ext/Encode/t/mime-header.t
____________________________________________________________________________
[ 16745] By: jhi                                   on 2002/05/22  21:57:48
        Log: Integrate perlio:
             
             [ 16740]
             #ifdef VMS code was not ported right from sv.c - s/fp/stdio/
             
             [ 16739]
             Fix for ungetc() issues flagged by ext/Encode/t/perlio.t on VMS.
             ungetc() and buffer snooping may not mix. So use buffer snoop
             hooks to avoid ungetc() where available.
             unread() falls back to using :pending layer, and fill has
             VMS specific code (which should not get used) or ungetc()
             which should work.
             
             [ 16737]
             Flag the VMS-problem-causing part of :encoding
             for enhancement. (Problem still needs fixing in perlio.c)
     Branch: perl
	  !> ext/PerlIO/encoding/encoding.xs perlio.c
____________________________________________________________________________
[ 16744] By: jhi                                   on 2002/05/22  21:52:58
        Log: Subject: Re: Additional README.aix changes
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Wed, 22 May 2002 08:37:37 +0200
             Message-Id: <20020522075227.348B.H.M.BRAND@hccnet.nl>
     Branch: perl
	   ! README.aix
____________________________________________________________________________
[ 16743] By: jhi                                   on 2002/05/22  21:52:09
        Log: HP-UX 11.00 io_xs hangup workaround.
     Branch: perl
	   ! hints/hpux.sh
____________________________________________________________________________
[ 16742] By: jhi                                   on 2002/05/22  21:49:59
        Log: Updated UNICOS status from Mark Lutz.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16741] By: jhi                                   on 2002/05/22  21:47:41
        Log: UNICOS: Mark Lutz had a better idea.
     Branch: perl
	   ! hints/unicos.sh
____________________________________________________________________________
[ 16740] By: nick                                  on 2002/05/22  21:13:10
        Log: #ifdef VMS code was not ported right from sv.c - s/fp/stdio/
     Branch: perlio
	   ! perlio.c
____________________________________________________________________________
[ 16739] By: nick                                  on 2002/05/22  20:59:22
        Log: Fix for ungetc() issues flagged by ext/Encode/t/perlio.t on VMS.
             ungetc() and buffer snooping may not mix. So use buffer snoop
             hooks to avoid ungetc() where available.
             unread() falls back to using :pending layer, and fill has
             VMS specific code (which should not get used) or ungetc()
             which should work.
     Branch: perlio
	   ! perlio.c
____________________________________________________________________________
[ 16738] By: nick                                  on 2002/05/22  20:34:55
        Log: Integrate mainline
     Branch: perlio
	  !> (integrate 40 files)
____________________________________________________________________________
[ 16737] By: nick                                  on 2002/05/22  19:04:13
        Log: Flag the VMS-problem-causing part of :encoding
             for enhancement. (Problem still needs fixing in perlio.c)
     Branch: perlio
	   ! ext/PerlIO/encoding/encoding.xs
____________________________________________________________________________
[ 16736] By: jhi                                   on 2002/05/22  16:20:38
        Log: UNICOS: using uname -m is wrong since what matters
             is what CPUs (FPUs) we have.
     Branch: perl
	   ! hints/unicos.sh
____________________________________________________________________________
[ 16735] By: jhi                                   on 2002/05/22  13:07:41
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16734] By: jhi                                   on 2002/05/22  12:39:25
        Log: Subject: [PATCH ext/threads/shared/t/cond.t] Re: where threads cond.t hangs
             From: Dave Mitchell <davem@fdgroup.com>
             Date: Wed, 22 May 2002 12:53:21 +0100
             Message-ID: <20020522125320.E12794@fdgroup.com>
     Branch: perl
	   ! ext/threads/shared/t/cond.t
____________________________________________________________________________
[ 16733] By: jhi                                   on 2002/05/22  12:32:41
        Log: Subject: Documentation Patch to pod/perlunicode.pod pod/perluniintro.pod   
             From: John Borwick <john_borwick@ncsu.edu>
             Date: Wed, 22 May 2002 04:10:37 -0400
             Message-ID: <15595.21117.875874.721450@nada.johnborwick.com>
     Branch: perl
	   ! pod/perlunicode.pod pod/perluniintro.pod
____________________________________________________________________________
[ 16732] By: ams                                   on 2002/05/22  05:47:35
        Log: Integrate #16731 from //depot/macperl.
     Branch: perl
	  !> t/io/crlf.t
____________________________________________________________________________
[ 16731] By: pudge                                 on 2002/05/22  04:18:58
        Log: Be more specific in what we're looking for
     Branch: macperl
	   ! t/io/crlf.t
____________________________________________________________________________
[ 16730] By: pudge                                 on 2002/05/22  03:36:42
        Log: Integrate perl; bump patchlevel; add lib/Unicode/README back
     Branch: macperl
	   + lib/Unicode/README
	  +> ext/B/hints/darwin.pl lib/CPAN/t/mirroredby.t
	  +> t/lib/sample-tests/shbang_misparse t/op/caller.t
	   - t/lib/st-dump.pl
	   ! macos/MPVersion.r macos/config.sh
	  !> (integrate 135 files)
____________________________________________________________________________
[ 16729] By: jhi                                   on 2002/05/22  00:24:29
        Log: FAQ sync.
     Branch: perl
	   ! pod/perlfaq4.pod
____________________________________________________________________________
[ 16728] By: jhi                                   on 2002/05/21  23:02:03
        Log: Getopt::Std clarification from John Borwick.
     Branch: perl
	   ! lib/Getopt/Std.pm
____________________________________________________________________________
[ 16727] By: jhi                                   on 2002/05/21  22:59:58
        Log: Subject: Re: [Patch] for problem with shellwords.pl
             From: "Curtis Poe" <cp@onsitetech.com>
             Date: Tue, 21 May 2002 11:17:40 -0700
             Message-ID: <015c01c200f3$cb691670$1a01a8c0@ot.onsitetech.com>
             
             Subject: [Patch] for security problem with Text::ParseWords
             From: "Curtis Poe" <cp@onsitetech.com>     
             Date: Tue, 21 May 2002 15:10:18 -0700
             Message-ID: <022f01c20114$4b3c4550$1a01a8c0@ot.onsitetech.com>
     Branch: perl
	   ! lib/Text/ParseWords.pm lib/shellwords.pl
____________________________________________________________________________
[ 16726] By: jhi                                   on 2002/05/21  22:57:09
        Log: Subject: [PATCH] SDBM_File.xs warning (was Re: danger! op\fork.t#2 causes core-dump)
             From: Nicholas Clark <nick@unfortu.net>
             Date: Tue, 21 May 2002 23:01:48 +0100
             Message-ID: <20020521220148.GH290@Bagpuss.unfortu.net>
     Branch: perl
	   ! ext/SDBM_File/SDBM_File.xs
____________________________________________________________________________
[ 16725] By: jhi                                   on 2002/05/21  22:16:05
        Log: Subject: [PATCH] Additional README.aix changes
             From: John Peacock <jpeacock@rowman.com>
             Date: Tue, 21 May 2002 12:01:10 -0400
             Message-ID: <3CEA6F46.70902@rowman.com>
     Branch: perl
	   ! README.aix
____________________________________________________________________________
[ 16724] By: jhi                                   on 2002/05/21  17:51:00
        Log: Subject: Win32 crash in fork.t (perl@16694)
             From: "Kevin Chase" <kevincha99@hotmail.com>
             Date: Mon, 20 May 2002 17:02:16 -0700
             Message-ID: <F53z5b6KZmcK8r6beUz000008f7@hotmail.com>
             
             
             It looks that the Poison() found its first target.
             The suggested patch is fine.
     Branch: perl
	   ! cop.h
____________________________________________________________________________
[ 16723] By: jhi                                   on 2002/05/21  14:54:24
        Log: microperl: if DIEing on no-functionality, the has-functionality
             would be unreachable code.
     Branch: perl
	   ! pp.c pp_sys.c
____________________________________________________________________________
[ 16722] By: jhi                                   on 2002/05/21  14:25:44
        Log: microperl: do not regenerate the perly.
     Branch: perl
	   ! Makefile.micro
____________________________________________________________________________
[ 16721] By: jhi                                   on 2002/05/21  13:30:26
        Log: Subject: Re: Argument "1.23_45" isn't numeric in subroutine entry
             From: sthoenna@efn.org (Yitzchak Scott-Thoennes)
             Date: Mon, 20 May 2002 22:55:46 -0700
             Message-ID: <iFe68gzkgCIJ092yn@efn.org>
     Branch: perl
	   ! utils/h2xs.PL
____________________________________________________________________________
[ 16720] By: jhi                                   on 2002/05/21  13:22:51
        Log: Regen uconfig.h.
     Branch: perl
	   ! uconfig.h
____________________________________________________________________________
[ 16719] By: ams                                   on 2002/05/21  05:02:01
        Log: Why quote some keys?
     Branch: perl
	   ! ext/Storable/Makefile.PL
____________________________________________________________________________
[ 16718] By: ams                                   on 2002/05/21  04:08:39
        Log: Suppress warning about $canonical. (Nicholas Clark)
     Branch: perl
	   ! ext/Storable/Storable.pm
____________________________________________________________________________
[ 16717] By: jhi                                   on 2002/05/21  03:18:59
        Log: Subject: [PATCH] VMS iThreads follow-up
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Mon, 20 May 2002 21:34:17 -0500
             Message-Id: <a05111700b90f5f1c3b01@[172.16.52.1]>
     Branch: perl
	   ! configure.com
____________________________________________________________________________
[ 16716] By: ams                                   on 2002/05/21  02:47:18
        Log: 1. Declare correct version for Test::More dependency. (Autrijus Tang)
             2. Install in core library directory. (Tatsuhiko Miyagawa)
     Branch: perl
	   ! ext/Storable/Makefile.PL
____________________________________________________________________________
[ 16715] By: jhi                                   on 2002/05/20  22:13:45
        Log: Subject: [Encode] 1.72 released
             From: Dan Kogai <dankogai@dan.co.jp>
             Date: Tue, 21 May 2002 01:06:19 +0900
             Message-Id: <85BA0AD1-6C0B-11D6-90A1-0003939A104C@dan.co.jp>     
     Branch: perl
	   ! ext/Encode/AUTHORS ext/Encode/Changes ext/Encode/Encode.pm
	   ! ext/Encode/Encode.xs ext/Encode/Makefile.PL
	   ! ext/Encode/Unicode/Unicode.xs
	   ! ext/Encode/lib/Encode/MIME/Header.pm ext/Encode/t/perlio.t
____________________________________________________________________________
[ 16714] By: jhi                                   on 2002/05/20  14:53:31
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16713] By: jhi                                   on 2002/05/20  14:46:15
        Log: A bit of self-promotion from David Wheeler <david@wheeler.net> :-)
     Branch: perl
	   ! pod/perlfaq4.pod
____________________________________________________________________________
[ 16712] By: jhi                                   on 2002/05/20  14:25:03
        Log: metaconfig unit changes for #16711.
     Branch: metaconfig
	   ! U/threads/d_asctime_r.U U/threads/d_crypt_r.U
	   ! U/threads/d_ctermid_r.U U/threads/d_ctime_r.U
	   ! U/threads/d_drand48_r.U U/threads/d_endgrent_r.U
	   ! U/threads/d_endhostent_r.U U/threads/d_endnetent_r.U
	   ! U/threads/d_endprotoent_r.U U/threads/d_endpwent_r.U
	   ! U/threads/d_endservent_r.U U/threads/d_getgrent_r.U
	   ! U/threads/d_getgrgid_r.U U/threads/d_getgrnam_r.U
	   ! U/threads/d_gethostbyaddr_r.U U/threads/d_gethostbyname_r.U
	   ! U/threads/d_gethostent_r.U U/threads/d_getlogin_r.U
	   ! U/threads/d_getnetbyaddr_r.U U/threads/d_getnetbyname_r.U
	   ! U/threads/d_getnetent_r.U U/threads/d_getprotobyname_r.U
	   ! U/threads/d_getprotobynumber_r.U U/threads/d_getprotoent_r.U
	   ! U/threads/d_getpwent_r.U U/threads/d_getpwnam_r.U
	   ! U/threads/d_getpwuid_r.U U/threads/d_getservbyname_r.U
	   ! U/threads/d_getservbyport_r.U U/threads/d_getservent_r.U
	   ! U/threads/d_getspnam_r.U U/threads/d_gmtime_r.U
	   ! U/threads/d_localtime_r.U U/threads/d_random_r.U
	   ! U/threads/d_readdir64_r.U U/threads/d_readdir_r.U
	   ! U/threads/d_setgrent_r.U U/threads/d_sethostent_r.U
	   ! U/threads/d_setlocale_r.U U/threads/d_setnetent_r.U
	   ! U/threads/d_setprotoent_r.U U/threads/d_setpwent_r.U
	   ! U/threads/d_setservent_r.U U/threads/d_srand48_r.U
	   ! U/threads/d_srandom_r.U U/threads/d_strerror_r.U
	   ! U/threads/d_tmpnam_r.U U/threads/d_ttyname_r.U
____________________________________________________________________________
[ 16711] By: jhi                                   on 2002/05/20  14:24:38
        Log: Document better what the foo_r_proto are supposed to be.
     Branch: perl
	   ! Configure Porting/Glossary Porting/config.sh Porting/config_H
	   ! config_h.SH reentr.pl
____________________________________________________________________________
[ 16710] By: jhi                                   on 2002/05/20  14:11:33
        Log: Subject: Re: pod patches.
             From: Jim Cromie <jcromie@divsol.com>
             Date: Mon, 20 May 2002 09:00:10 -0600
             Message-ID: <3CE90F7A.3070309@divsol.com>
             
             (with Philip Newton's tweaks)
     Branch: perl
	   ! pod/perlsub.pod
____________________________________________________________________________
[ 16709] By: jhi                                   on 2002/05/20  12:50:34
        Log: Subject: Re: pod patch - perldelta.pod
             From: Jim Cromie <jcromie@divsol.com>
             Date: Mon, 20 May 2002 07:16:54 -0600
             Message-ID: <3CE8F746.50603@divsol.com>
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16708] By: jhi                                   on 2002/05/20  12:49:20
        Log: Subject: [patch] one more little step for WinCE
             From: "Konovalov, Vadim" <vkonovalov@spb.lucent.com>
             Date: Mon, 20 May 2002 11:47:19 +0400
             Message-ID: <845FCFF2D4C0FC468B485E8777C7A00C0282D3@cio-test001.spb.lucent.com>
     Branch: perl
	   ! wince/Makefile.ce
____________________________________________________________________________
[ 16707] By: jhi                                   on 2002/05/20  12:42:35
        Log: Preemptive doc patch.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16706] By: rgs                                   on 2002/05/20  12:21:14
        Log: The "constant sub redefined" warning can't be disabled.
     Branch: perl
	   ! pod/perldiag.pod
____________________________________________________________________________
[ 16705] By: nick                                  on 2002/05/20  10:18:26
        Log: Integrate mainline
     Branch: perlio
	  +> ext/B/hints/darwin.pl lib/CPAN/t/mirroredby.t
	  !> MANIFEST configure.com ext/Encode/Encode/Makefile_PL.e2x
	  !> ext/Socket/socketpair.t pod/perldelta.pod pod/perlfunc.pod
	  !> pod/perlthrtut.pod vms/vms.c vms/vmsish.h
____________________________________________________________________________
[ 16704] By: jhi                                   on 2002/05/20  02:49:22
        Log: Missed hunk from #16701.
     Branch: perl
	   ! vms/vms.c
____________________________________________________________________________
[ 16703] By: jhi                                   on 2002/05/20  02:37:29
        Log: Subject: Re: [PATCH mirroredby.t] Tests for CPAN::Mirrored::By
             From: andreas.koenig@anima.de (Andreas J. Koenig)
             Date: Mon, 20 May 2002 05:36:14 +0200
             Message-ID: <m34rh37aoh.fsf@anima.de>
     Branch: perl
	   + lib/CPAN/t/mirroredby.t
	   ! MANIFEST
____________________________________________________________________________
[ 16702] By: jhi                                   on 2002/05/20  02:25:40
        Log: Subject: tiny doc tweaks
             From: andreas.koenig@anima.de (Andreas J. Koenig)
             Date: Mon, 20 May 2002 05:07:13 +0200
             Message-ID: <m38z6f7c0u.fsf@anima.de>
     Branch: perl
	   ! pod/perldelta.pod pod/perlfunc.pod
____________________________________________________________________________
[ 16701] By: jhi                                   on 2002/05/20  02:23:03
        Log: Subject: [PATCH @16694] ithreads for VMS
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Sun, 19 May 2002 22:06:43 -0500
             Message-Id: <a05111704b90e14567261@[172.16.52.1]>
     Branch: perl
	   ! configure.com vms/vms.c vms/vmsish.h
____________________________________________________________________________
[ 16700] By: jhi                                   on 2002/05/19  23:52:45
        Log: Subject: [PATCH] Make Makefile_PL.e2x happy on MSWin32
             From: Autrijus Tang <autrijus@autrijus.org>
             Date: Mon, 20 May 2002 04:10:31 +0800
             Message-ID: <20020519201031.GA1603@not.autrijus.org>
     Branch: perl
	   ! ext/Encode/Encode/Makefile_PL.e2x
____________________________________________________________________________
[ 16699] By: jhi                                   on 2002/05/19  22:26:07
        Log: Mac OS X 10.1.4 started to consume 150MB+ virtual memory
             while trying to -O3 optimize B.c.  (A bit weird since
             10.1.4 used to work fine, and nothing has changed in
             ext/B/..., but the overoptimization was repeatable.)
     Branch: perl
	   + ext/B/hints/darwin.pl
	   ! MANIFEST
____________________________________________________________________________
[ 16698] By: jhi                                   on 2002/05/19  21:11:55
        Log: UNICOS/mk seems to still have this problem.
     Branch: perl
	   ! ext/Socket/socketpair.t
____________________________________________________________________________
[ 16697] By: jhi                                   on 2002/05/19  18:53:54
        Log: perldelta tweaks.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16696] By: nick                                  on 2002/05/19  18:26:39
        Log: Integrate mailine
     Branch: perlio
	  !> (integrate 35 files)
____________________________________________________________________________
[ 16695] By: jhi                                   on 2002/05/19  18:02:54
        Log: Document the reentrant_retry(), but from user's viewpoint.
     Branch: perl
	   ! pod/perlthrtut.pod
____________________________________________________________________________
[ 16694] By: jhi                                   on 2002/05/19  14:49:49
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16693] By: jhi                                   on 2002/05/19  14:28:37
        Log: Subject: [PATCH] Benchmark.pm: empty loop too slow
             From: Slaven Rezic <slaven.rezic@berlin.de>
             Date: Sun, 19 May 2002 16:03:12 +0200 (CEST)
             Message-Id: <200205191403.g4JE3ClB025990@vran.herceg.de>
     Branch: perl
	   ! lib/Benchmark.pm
____________________________________________________________________________
[ 16692] By: jhi                                   on 2002/05/19  03:05:41
        Log: Document once more the difference between :utf8
             and :encoding(...).
     Branch: perl
	   ! lib/open.pm pod/perluniintro.pod
____________________________________________________________________________
[ 16691] By: jhi                                   on 2002/05/19  02:24:30
        Log: Third Degree: make the options more portable between
             Tru64 versions.
     Branch: perl
	   ! Makefile.SH
____________________________________________________________________________
[ 16690] By: jhi                                   on 2002/05/19  01:41:54
        Log: IRIX SMP turned up a few hundred "Use of uninitialized
             value in numeric eq" warnings: initialise the $counter2.
     Branch: perl
	   ! ext/threads/shared/t/cond.t
____________________________________________________________________________
[ 16689] By: jhi                                   on 2002/05/19  00:29:36
        Log: Subject: Re: [PATCH threads] revised warnings + more tests + docs
             From: Dave Mitchell <davem@fdgroup.com>
             Date: Sun, 19 May 2002 00:50:43 +0100
             Message-ID: <20020519005043.F7275@fdgroup.com>
     Branch: perl
	   ! ext/threads/shared/t/cond.t
____________________________________________________________________________
[ 16688] By: jhi                                   on 2002/05/19  00:28:51
        Log: Sarathy pointed out that instead of zeroing heap
             it is more prudent to poison it.
     Branch: perl
	   ! handy.h pod/perlapi.pod pod/perlclib.pod pod/perlhack.pod
	   ! scope.c sv.c util.c
____________________________________________________________________________
[ 16687] By: jhi                                   on 2002/05/18  22:03:29
        Log: The thread warnings aren't quite yet working as planned.
     Branch: perl
	   ! ext/threads/shared/t/cond.t
____________________________________________________________________________
[ 16686] By: jhi                                   on 2002/05/18  20:48:03
        Log: Forgotten from #16685.
     Branch: perl
	   ! ext/threads/shared/t/cond.t
____________________________________________________________________________
[ 16685] By: jhi                                   on 2002/05/18  20:46:13
        Log: Subject: [PATCH threads] revised warnings + more tests + docs
             From: Dave Mitchell <davem@fdgroup.com>
             Date: Sat, 18 May 2002 22:24:51 +0100
             Message-ID: <20020518222451.E7275@fdgroup.com>
     Branch: perl
	   ! ext/threads/shared/shared.pm ext/threads/shared/shared.xs
	   ! ext/threads/t/thread.t ext/threads/threads.pm lib/warnings.pm
	   ! pod/perldiag.pod pod/perllexwarn.pod warnings.h warnings.pl
____________________________________________________________________________
[ 16684] By: jhi                                   on 2002/05/18  20:10:53
        Log: Storable status tweak.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16683] By: rgs                                   on 2002/05/18  19:39:42
        Log: perlfunc and perldelta updates about caller().
     Branch: perl
	   ! pod/perldelta.pod pod/perlfunc.pod
____________________________________________________________________________
[ 16682] By: jhi                                   on 2002/05/18  19:33:51
        Log: Subject: [PATCH] RE: perl@16678
             From: "Paul Marquess" <Paul.Marquess@ntlworld.com>
             Date: Sat, 18 May 2002 21:15:43 +0100
             Message-ID: <AIEAJICLCBDNAAOLLOKLCEAPELAA.Paul.Marquess@ntlworld.com>
             
             Making the symbols generated by warnings.pl future-proof.
     Branch: perl
	   ! lib/warnings.pm warnings.h warnings.pl
____________________________________________________________________________
[ 16681] By: jhi                                   on 2002/05/18  18:44:32
        Log: Subject: [PATCH] ExtUtils::MakeMaker 5.94_02 -> 5.95_01
             From: Michael G Schwern <schwern@pobox.com>
             Date: Sat, 18 May 2002 14:53:50 -0400
             Message-ID: <20020518185350.GB2878@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   ! lib/ExtUtils/Changes lib/ExtUtils/MakeMaker.pm
	   ! lib/ExtUtils/t/testlib.t lib/ExtUtils/testlib.pm
____________________________________________________________________________
[ 16680] By: jhi                                   on 2002/05/18  18:43:35
        Log: Prettyprinting.
     Branch: perl
	   ! t/op/recurse.t
____________________________________________________________________________
[ 16679] By: jhi                                   on 2002/05/18  18:42:08
        Log: Companion to #16601: cxinc would create uninitialized
             PERL_CONTEXTs.  The bug was tickled by the test
             lib/Math/BigInt/t/upgrade.t, the new test of recurse.t
             added to check that I got the context stack extension right.
             Also rewrite recurse.t to use test.pl.
     Branch: perl
	   ! scope.c t/op/recurse.t
____________________________________________________________________________
[ 16678] By: jhi                                   on 2002/05/18  16:38:29
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16677] By: jhi                                   on 2002/05/18  15:50:25
        Log: URL and other tiny tweaks.
     Branch: perl
	   ! pod/perluniintro.pod
____________________________________________________________________________
[ 16676] By: jhi                                   on 2002/05/18  15:40:35
        Log: Subject: [Patch] doc patch on Unicode
             From: SADAHIRO Tomoyuki <bqw10602@nifty.com>
             Date: Sun, 19 May 2002 01:01:58 +0900
             Message-Id: <20020519005515.18F0.BQW10602@nifty.com>
     Branch: perl
	   ! pod/perlmodlib.pod pod/perlunicode.pod pod/perluniintro.pod
____________________________________________________________________________
[ 16675] By: ams                                   on 2002/05/18  15:06:35
        Log: s/2.0/2.00/ to be CPAN friendly.
     Branch: perl
	   ! ext/Storable/Storable.pm
____________________________________________________________________________
[ 16674] By: ams                                   on 2002/05/18  14:47:07
        Log: Subject: Re: Change 16621: 1. Not hardcoding \x0A and \x0D seems to help
             EBCDIC, amazing.
             From: Philip Newton <Philip.Newton@gmx.net>
             Date: Sat, 18 May 2002 09:54:13 +0200
             Message-Id: <432ceucrfducg2iitau6uggeb02lu209a2@4ax.com>
     Branch: perl
	   ! lib/Pod/t/eol.t
____________________________________________________________________________
[ 16673] By: ams                                   on 2002/05/18  14:41:00
        Log: Subject: Storable test for 64 bit 5.6.1
             From: Nicholas Clark <nick@unfortu.net>
             Date: Sat, 18 May 2002 15:48:55 +0100
             Message-Id: <20020518144854.GD304@Bagpuss.unfortu.net>
             (Private mail.)
     Branch: perl
	   ! ext/Storable/t/malice.t
____________________________________________________________________________
[ 16672] By: nick                                  on 2002/05/18  09:47:51
        Log: Integrate mainline
     Branch: perlio
	  +> t/lib/sample-tests/shbang_misparse t/op/caller.t
	   - t/lib/st-dump.pl
	  !> (integrate 67 files)
____________________________________________________________________________
[ 16671] By: jhi                                   on 2002/05/18  04:31:00
        Log: No more true.
     Branch: perl
	   ! lib/vars.pm
____________________________________________________________________________
[ 16670] By: jhi                                   on 2002/05/18  04:14:25
        Log: Make use vars grok UTF-8.
     Branch: perl
	   ! lib/vars.pm t/run/fresh_perl.t
____________________________________________________________________________
[ 16669] By: jhi                                   on 2002/05/18  03:53:27
        Log: Subject: [PATCH] Re: t/op/tie.t #19 TODO ENOTWORKING  
             From: Michael G Schwern <schwern@pobox.com>
             Date: Fri, 17 May 2002 23:54:29 -0400  
             Message-ID: <20020518035429.GA704@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   ! t/op/tie.t t/run/fresh_perl.t
____________________________________________________________________________
[ 16668] By: jhi                                   on 2002/05/18  03:44:57
        Log: Subject: [PATCH] Test::Harness 2.21 -> 2.22
             From: Michael G Schwern <schwern@pobox.com>
             Date: Fri, 17 May 2002 20:37:26 -0400  
             Message-ID: <20020518003726.GB358@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   + t/lib/sample-tests/shbang_misparse
	   ! MANIFEST lib/Test/Harness.pm lib/Test/Harness/Changes
	   ! lib/Test/Harness/Straps.pm lib/Test/Harness/t/strap-analyze.t
	   ! lib/Test/Harness/t/test-harness.t
____________________________________________________________________________
[ 16667] By: jhi                                   on 2002/05/18  03:41:34
        Log: Subject: [PATCH] Re: [PATCH] Storable stand alone tests
             From: Nicholas Clark <nick@unfortu.net>
             Date: Sat, 18 May 2002 00:18:39 +0100  
             Message-ID: <20020517231838.GI290@Bagpuss.unfortu.net>
             
             Use Storable's st-dump.pl.
     Branch: perl
	   - t/lib/st-dump.pl
	   ! MANIFEST ext/Storable/t/blessed.t ext/Storable/t/compat06.t
	   ! ext/Storable/t/dclone.t ext/Storable/t/freeze.t
	   ! ext/Storable/t/lock.t ext/Storable/t/overload.t
	   ! ext/Storable/t/recurse.t ext/Storable/t/restrict.t
	   ! ext/Storable/t/retrieve.t ext/Storable/t/store.t
	   ! ext/Storable/t/tied.t ext/Storable/t/tied_hook.t
	   ! ext/Storable/t/tied_items.t ext/Storable/t/utf8.t
____________________________________________________________________________
[ 16666] By: jhi                                   on 2002/05/17  21:46:04
        Log: Forgotten from #16656.
     Branch: perl
	   ! ext/B/B.xs
____________________________________________________________________________
[ 16665] By: jhi                                   on 2002/05/17  21:40:55
        Log: Subject: [PATCH] Storable ChangeLog ready for release 
             From: Nicholas Clark <nick@unfortu.net>
             Date: Fri, 17 May 2002 23:17:34 +0100  
             Message-ID: <20020517221733.GH290@Bagpuss.unfortu.net>
     Branch: perl
	   ! ext/Storable/ChangeLog
____________________________________________________________________________
[ 16664] By: jhi                                   on 2002/05/17  21:39:37
        Log: Subject: [PATCH] Storable stand alone tests
             From: Nicholas Clark <nick@unfortu.net>
             Date: Fri, 17 May 2002 22:43:35 +0100  
             Message-ID: <20020517214334.GG290@Bagpuss.unfortu.net>
     Branch: perl
	   ! ext/Storable/t/blessed.t ext/Storable/t/canonical.t
	   ! ext/Storable/t/compat06.t ext/Storable/t/croak.t
	   ! ext/Storable/t/dclone.t ext/Storable/t/downgrade.t
	   ! ext/Storable/t/forgive.t ext/Storable/t/freeze.t
	   ! ext/Storable/t/lock.t ext/Storable/t/malice.t
	   ! ext/Storable/t/overload.t ext/Storable/t/recurse.t
	   ! ext/Storable/t/restrict.t ext/Storable/t/retrieve.t
	   ! ext/Storable/t/store.t ext/Storable/t/tied.t
	   ! ext/Storable/t/tied_hook.t ext/Storable/t/tied_items.t
	   ! ext/Storable/t/utf8.t ext/Storable/t/utf8hash.t
____________________________________________________________________________
[ 16663] By: jhi                                   on 2002/05/17  21:35:45
        Log: Subject: [PATCH] ExtUtils::MakeMaker 5.92_01 -> 5.94_02
             From: Michael G Schwern <schwern@pobox.com>
             Date: Fri, 17 May 2002 17:17:54 -0400  
             Message-ID: <20020517211754.GK13131@ool-18b93024.dyn.optonline.net>
     Branch: perl
	   ! lib/ExtUtils/Changes lib/ExtUtils/Command.pm
	   ! lib/ExtUtils/Command/MM.pm lib/ExtUtils/Install.pm
	   ! lib/ExtUtils/Installed.pm lib/ExtUtils/Liblist.pm
	   ! lib/ExtUtils/Liblist/Kid.pm lib/ExtUtils/MM_BeOS.pm
	   ! lib/ExtUtils/MM_MacOS.pm lib/ExtUtils/MM_NW5.pm
	   ! lib/ExtUtils/MM_Unix.pm lib/ExtUtils/MM_VMS.pm
	   ! lib/ExtUtils/MakeMaker.pm lib/ExtUtils/Manifest.pm
	   ! lib/ExtUtils/Mksymlists.pm lib/ExtUtils/Packlist.pm
	   ! lib/ExtUtils/t/00setup_dummy.t lib/ExtUtils/t/Command.t
	   ! lib/ExtUtils/t/INST.t lib/ExtUtils/t/Installed.t
	   ! lib/ExtUtils/t/MM_Cygwin.t lib/ExtUtils/t/MM_Unix.t
	   ! lib/ExtUtils/t/Manifest.t lib/ExtUtils/t/Mkbootstrap.t
	   ! lib/ExtUtils/t/Packlist.t lib/ExtUtils/t/VERSION_FROM.t
	   ! lib/ExtUtils/t/basic.t lib/ExtUtils/t/hints.t
____________________________________________________________________________
[ 16662] By: rgs                                   on 2002/05/17  20:07:21
        Log: More regression tests for caller() and fix one bug of #16658.
     Branch: perl
	   ! pp_ctl.c t/op/caller.t
____________________________________________________________________________
[ 16661] By: jhi                                   on 2002/05/17  19:13:18
        Log: Integrate perlio:
             
             [ 16657]
             Fix the crlf.t buffer leak
             - actually a generic PerlIOBuf_xxx derived leak-on-pop, but :crlf
             flagged it because it is more often popped without stream
             being closed.
             - Define non-noop PerlIOBuf_popped(), use it and export it.
     Branch: perl
	  !> makedef.pl perlio.c perliol.h
____________________________________________________________________________
[ 16660] By: rgs                                   on 2002/05/17  19:09:03
        Log: Add a note about Cwd::fastcwd() returning tainted data.
             Sort modules alphabetically.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16659] By: rgs                                   on 2002/05/17  19:05:11
        Log: Remove O from the untested modules list.
     Branch: perl
	   ! t/lib/1_compile.t
____________________________________________________________________________
[ 16658] By: rgs                                   on 2002/05/17  19:03:06
        Log: Fix bug 20020517.003 : segfault with caller().
             Add regression tests for caller.
     Branch: perl
	   + t/op/caller.t
	   ! MANIFEST pp_ctl.c
____________________________________________________________________________
[ 16657] By: nick                                  on 2002/05/17  17:18:18
        Log: Fix the crlf.t buffer leak
             - actually a generic PerlIOBuf_xxx derived leak-on-pop, but :crlf
             flagged it because it is more often popped without stream
             being closed.
             - Define non-noop PerlIOBuf_popped(), use it and export it.
     Branch: perlio
	   ! makedef.pl perlio.c perliol.h
____________________________________________________________________________
[ 16656] By: jhi                                   on 2002/05/17  16:52:15
        Log: PERL_HASH() casting games so that our hashed data is "unsigned
             char" but old code using just a "char" doesn't need changes.
             (The change is using a temporary pointer instead of a direct
             cast to unsigned char* which would blindly cast anything,
             not just char pointers.)  (The problem arose in MacOS Classic,
             as seen by Pudge, the cure by Nicholas Clark.)
     Branch: perl
	   ! hv.c hv.h op.c sv.c vms/vms.c
____________________________________________________________________________
[ 16655] By: nick                                  on 2002/05/17  14:59:20
        Log: Integrate mainline
     Branch: perlio
	  !> (integrate 28 files)
____________________________________________________________________________
[ 16654] By: jhi                                   on 2002/05/17  12:24:07
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16653] By: jhi                                   on 2002/05/17  12:18:54
        Log: FAQ sync.
     Branch: perl
	   ! pod/perlfaq4.pod pod/perlfaq8.pod
____________________________________________________________________________
[ 16652] By: jhi                                   on 2002/05/17  12:14:20
        Log: Forgot from #16628.
     Branch: perl
	   ! ext/Encode/Makefile.PL
____________________________________________________________________________
[ 16651] By: pudge                                 on 2002/05/17  11:40:13
        Log: One Last Time
     Branch: macperl
	   + lib/Unicode/Collate.pm lib/Unicode/Collate/Changes
	   + lib/Unicode/Collate/README lib/Unicode/Collate/keys.txt
	   + lib/Unicode/Collate/t/test.t lib/Unicode/UCD.pm
	   + lib/Unicode/UCD.t
____________________________________________________________________________
[ 16650] By: pudge                                 on 2002/05/17  11:39:14
        Log: Stupid case insensitivity
     Branch: macperl
	   - lib/unicode/Collate.pm lib/unicode/Collate/Changes
	   - lib/unicode/Collate/README lib/unicode/Collate/keys.txt
	   - lib/unicode/Collate/t/test.t lib/unicode/UCD.pm
	   - lib/unicode/UCD.t
____________________________________________________________________________
[ 16649] By: pudge                                 on 2002/05/17  11:30:17
        Log: Move Unicode -> unicode, remove README
     Branch: macperl
	   - lib/Unicode/Collate.pm lib/Unicode/Collate/Changes
	   - lib/Unicode/Collate/README lib/Unicode/Collate/keys.txt
	   - lib/Unicode/Collate/t/test.t lib/Unicode/README
	   - lib/Unicode/UCD.pm lib/Unicode/UCD.t
____________________________________________________________________________
[ 16648] By: pudge                                 on 2002/05/17  11:29:57
        Log: Move Unicode -> unicode, remove README (oops, forgot one)
     Branch: macperl
	  +> lib/unicode/Collate/README
____________________________________________________________________________
[ 16647] By: pudge                                 on 2002/05/17  11:11:50
        Log: Move Unicode -> unicode, remove README
     Branch: macperl
	  +> lib/unicode/Collate.pm lib/unicode/Collate/Changes
	  +> lib/unicode/Collate/keys.txt lib/unicode/Collate/t/test.t
	  +> lib/unicode/UCD.pm lib/unicode/UCD.t
____________________________________________________________________________
[ 16646] By: pudge                                 on 2002/05/17  10:54:03
        Log: Integrate perl
     Branch: macperl
	  +> Porting/thirdclean ext/B/t/o.t ext/PerlIO/t/fail.t
	  +> ext/Storable/t/st-dump.pl lib/Thread/Queue.pm
	  +> lib/Thread/Semaphore.pm
	   - ext/Thread/Thread/Queue.pm ext/Thread/Thread/Semaphore.pm
	   - wince/FindExt.pm wince/include/cectype.h wince/include/errno.h
	   - wince/include/sys/types.h wince/include/sys/utime.h
	   - wince/include/time.h
	   ! macos/MPVersion.r macos/config.sh
	  !> (integrate 173 files)
____________________________________________________________________________
[ 16645] By: nick                                  on 2002/05/17  06:56:40
        Log: Integrate mainline
     Branch: perlio
	  +> ext/Storable/t/st-dump.pl
	   - wince/FindExt.pm
	  !> (integrate 40 files)
____________________________________________________________________________
[ 16644] By: jhi                                   on 2002/05/17  03:10:15
        Log: STDERR noise.
     Branch: perl
	   ! lib/Switch.pm
____________________________________________________________________________
[ 16643] By: jhi                                   on 2002/05/17  03:08:01
        Log: Upgrade to Switch 2.07.
     Branch: perl
	   ! lib/Switch.pm lib/Switch/Changes lib/Switch/README
	   ! lib/Switch/t/given.t lib/Switch/t/nested.t
	   ! lib/Switch/t/switch.t
____________________________________________________________________________
[ 16642] By: jhi                                   on 2002/05/17  02:59:35
        Log: Missed hunk in #16641.
     Branch: perl
	   ! lib/Filter/Simple/Changes
____________________________________________________________________________
[ 16641] By: jhi                                   on 2002/05/17  02:56:14
        Log: Upgrade to Filter::Simple 0.78.
             (Keep #14432, let Damian know of it.)
     Branch: perl
	   ! lib/Filter/Simple.pm lib/Filter/Simple/README
	   ! lib/Filter/Simple/t/data.t lib/Filter/Simple/t/export.t
	   ! lib/Filter/Simple/t/filter.t lib/Filter/Simple/t/filter_only.t
	   ! lib/Filter/Simple/t/import.t
____________________________________________________________________________
[ 16640] By: jhi                                   on 2002/05/17  01:36:12
        Log: More Third Degree.
     Branch: perl
	   ! t/TEST
____________________________________________________________________________
[ 16639] By: jhi                                   on 2002/05/17  01:07:09
        Log: Third Degree tweaks.
     Branch: perl
	   ! pod/perlhack.pod t/TEST
____________________________________________________________________________
[ 16638] By: jhi                                   on 2002/05/16  22:54:36
        Log: Purify: dl_last_error was leaking.
     Branch: perl
	   ! ext/DynaLoader/dlutils.c
____________________________________________________________________________
[ 16637] By: jhi                                   on 2002/05/16  22:42:44
        Log: Subject: [PATCH utils/perldoc.PL] perltoc ref.
             From: Chris Ball <chris@cpan.org>
             Date: 16 May 2002 20:51:34 +0100
             Message-ID: <86lmajvpkp.fsf@void.printf.net>
     Branch: perl
	   ! utils/perldoc.PL
____________________________________________________________________________
[ 16636] By: jhi                                   on 2002/05/16  22:38:35
        Log: Subject: [PATCH @16611] lib/ExtUtils/t/Constant.t on VMS
             From: "Craig A. Berry" <craigberry@mac.com>
             Date: Thu, 16 May 2002 14:13:15 -0500
             Message-Id: <5.1.0.14.2.20020516140747.03562438@exchi01>
     Branch: perl
	   ! lib/ExtUtils/t/Constant.t
____________________________________________________________________________
[ 16635] By: rgs                                   on 2002/05/16  21:09:57
        Log: Make Cwd::fastcwd() return a tainted value.
             Add regression tests for taint-safety of the *cwd()
             functions.
     Branch: perl
	   ! ext/Cwd/Cwd.xs ext/Cwd/t/taint.t lib/Cwd.pm
____________________________________________________________________________
[ 16634] By: jhi                                   on 2002/05/16  15:56:42
        Log: Subject: Re: AIX warning in hints regarding gcc
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Thu, 16 May 2002 18:55:41 +0200
             Message-Id: <20020516185212.667C.H.M.BRAND@hccnet.nl>
     Branch: perl
	   ! hints/aix.sh
____________________________________________________________________________
[ 16633] By: jhi                                   on 2002/05/16  14:18:27
        Log: Update the test statuses.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16632] By: jhi                                   on 2002/05/16  14:17:29
        Log: The UDP sockpair failure seems to have magically
             disappeared from both UNICOSes.
             (One gets "UNEXPECTEDLY SUCCEEDED".)
     Branch: perl
	   ! ext/Socket/socketpair.t
____________________________________________________________________________
[ 16631] By: jhi                                   on 2002/05/16  13:57:08
        Log: Brokenness of restricted hashes with Storable on EBCDIC
             seems to be an artifact of the downgrade.t.
     Branch: perl
	   ! ext/Storable/Storable.pm
____________________________________________________________________________
[ 16630] By: jhi                                   on 2002/05/16  13:51:19
        Log: Document the odd slowdown of ext/Encode/t/Unicode.t under
             memory debuggers.
     Branch: perl
	   ! pod/perlhack.pod
____________________________________________________________________________
[ 16629] By: jhi                                   on 2002/05/16  13:44:03
        Log: Subject: Re: [ PATCH ] AIX 4.3 / gcc / threads
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Thu, 16 May 2002 16:42:34 +0200
             Message-Id: <20020516164139.666A.H.M.BRAND@hccnet.nl>
             
             gcc 3 version parsing proofing.
     Branch: perl
	   ! hints/dec_osf.sh hints/hpux.sh hints/svr5.sh hints/vos.sh
____________________________________________________________________________
[ 16628] By: jhi                                   on 2002/05/16  13:22:57
        Log: Subject: [PATCH] good day for WinCE port of perl.
             From: "Vadim Konovalov" <vkonovalov@peterstar.ru>
             Date: Thu, 16 May 2002 03:33:23 +0400
             Message-ID: <001301c1fc68$e808e560$a95cc3d9@vad>
     Branch: perl
	   - wince/FindExt.pm
	   ! MANIFEST ext/Encode/Byte/Makefile.PL ext/Encode/CN/Makefile.PL
	   ! ext/Encode/EBCDIC/Makefile.PL ext/Encode/JP/Makefile.PL
	   ! ext/Encode/KR/Makefile.PL ext/Encode/Symbol/Makefile.PL
	   ! ext/Encode/TW/Makefile.PL ext/Encode/Unicode/Makefile.PL
	   ! utf8.c win32/buildext.pl wince/Makefile.ce wince/config.ce
	   ! wince/config_H.ce wince/config_h.PL
____________________________________________________________________________
[ 16627] By: jhi                                   on 2002/05/16  13:17:42
        Log: Subject: [PATCH] do not use "udp" on some platforms for Sys::Syslog
             From: slaven.rezic@berlin.de
             Date: Mon, 13 May 2002 16:02:24 +0200
             Message-Id: <20020513140224.JSLM27460.mailoutvl21@herceg.de>
     Branch: perl
	   ! ext/Sys/Syslog/Syslog.pm
____________________________________________________________________________
[ 16626] By: jhi                                   on 2002/05/16  13:16:34
        Log: Subject: Re: [PATCH] allow use threads qw(yield)
             From: Dave Mitchell <davem@fdgroup.com>
             Date: Wed, 15 May 2002 23:26:27 +0100
             Message-ID: <20020515232626.E28924@fdgroup.com>
     Branch: perl
	   ! ext/threads/threads.xs
____________________________________________________________________________
[ 16625] By: jhi                                   on 2002/05/16  13:10:46
        Log: Subject: [ PATCH ] AIX 4.3 / gcc / threads
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Thu, 16 May 2002 14:22:21 +0200
             Message-Id: <20020516141856.6661.H.M.BRAND@hccnet.nl>
     Branch: perl
	   ! hints/aix.sh
____________________________________________________________________________
[ 16624] By: jhi                                   on 2002/05/16  13:05:05
        Log: metaconfig unit change for #16623.
     Branch: metaconfig
	   ! U/ebcdic/trnl.U
____________________________________________________________________________
[ 16623] By: jhi                                   on 2002/05/16  13:04:40
        Log: OS/2 tr (well, GNU textutils 2.0 tr) probing tweak
             from John Poltorak <jp@eyup.org>.
     Branch: perl
	   ! Configure
____________________________________________________________________________
[ 16622] By: jhi                                   on 2002/05/16  12:58:05
        Log: DJGPP doesn't have \r\n delimited files (it has \r).
     Branch: perl
	   ! lib/Tie/File/t/21_win32.t
____________________________________________________________________________
[ 16621] By: jhi                                   on 2002/05/16  12:52:47
        Log: 1. Not hardcoding \x0A and \x0D seems to help EBCDIC, amazing.
             2. Doing a s///g instead of tr/// works better for CR-delimited
             files, like in DJGPP (since <FH> doesn't correctly pull in
             CR-delimited lines).
     Branch: perl
	   ! lib/Pod/Html.pm lib/Pod/t/eol.t
____________________________________________________________________________
[ 16620] By: jhi                                   on 2002/05/16  12:50:29
        Log: Don't test $! with like() since one may have
             a non-English locale, or simply AIX :-)
     Branch: perl
	   ! ext/PerlIO/t/fail.t
____________________________________________________________________________
[ 16619] By: jhi                                   on 2002/05/16  12:16:25
        Log: DJGPP updates from Laszlo Molnar.
     Branch: perl
	   ! README.dos djgpp/djgppsed.sh lib/File/stat.t t/op/alarm.t
____________________________________________________________________________
[ 16618] By: jhi                                   on 2002/05/16  02:57:21
        Log: Integrate perlio:
             
             [ 16613]
             Make open fail when layer string does not parse.
     Branch: perl
	  +> ext/PerlIO/t/fail.t
	  !> MANIFEST perlio.c
____________________________________________________________________________
[ 16617] By: jhi                                   on 2002/05/15  21:07:39
        Log: Subject: [PATCH] avoid 64 bit SEGV for debugging Storable
             From: Nicholas Clark <nick@unfortu.net>
             Date: Wed, 15 May 2002 23:06:20 +0100
             Message-ID: <20020515220619.GF365@Bagpuss.unfortu.net>
     Branch: perl
	   ! ext/Storable/Storable.xs
____________________________________________________________________________
[ 16616] By: jhi                                   on 2002/05/15  21:01:10
        Log: Two down, ten to go.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16615] By: jhi                                   on 2002/05/15  20:31:02
        Log: Fix some of the EBCDIC vs Storable failures, from Nick Clark.
     Branch: perl
	   ! ext/Storable/t/downgrade.t ext/Storable/t/make_downgrade.pl
____________________________________________________________________________
[ 16614] By: jhi                                   on 2002/05/15  20:03:28
        Log: Schizoid MANIFESTs.
     Branch: perl
	   + ext/Storable/t/st-dump.pl
	   ! MANIFEST ext/Storable/MANIFEST t/lib/st-dump.pl
____________________________________________________________________________
[ 16613] By: nick                                  on 2002/05/15  19:26:00
        Log: Make open fail when layer string does not parse.
     Branch: perlio
	   + ext/PerlIO/t/fail.t
	   ! MANIFEST perlio.c
____________________________________________________________________________
[ 16612] By: nick                                  on 2002/05/15  18:11:15
        Log: Integrate mainline
     Branch: perlio
	  !> Changes ext/Storable/Storable.pm patchlevel.h
	  !> pod/perldelta.pod sv.c t/run/fresh_perl.t
____________________________________________________________________________
[ 16611] By: jhi                                   on 2002/05/15  14:06:45
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16610] By: jhi                                   on 2002/05/15  13:47:40
        Log: Make fresh_perl skip the embedded UTF-8 tests on EBCDIC.
     Branch: perl
	   ! pod/perldelta.pod t/run/fresh_perl.t
____________________________________________________________________________
[ 16609] By: jhi                                   on 2002/05/15  13:46:55
        Log: Document some of the known EBCDIC problems with Storable.
             (There is more, but need to do more tests.)
     Branch: perl
	   ! ext/Storable/Storable.pm
____________________________________________________________________________
[ 16608] By: jhi                                   on 2002/05/15  12:44:06
        Log: Purify finding: jperl.t causes a few Array Bounds Reads
             (one byte too far in a malloced buffer) at various spots
             in regcomp.c, all the buffers malloced by SvGROW() in
             sv_recode_to_utf8().
     Branch: perl
	   ! sv.c
____________________________________________________________________________
[ 16607] By: nick                                  on 2002/05/15  06:57:26
        Log: Integrate mainline
     Branch: perlio
	  +> Porting/thirdclean
	  !> (integrate 36 files)
____________________________________________________________________________
[ 16606] By: jhi                                   on 2002/05/15  04:24:45
        Log: Subject: [PATCH] Re: use of lc module names and warnings
             From: Rafael Garcia-Suarez <rgarciasuarez@free.fr>
             Date: Sun, 12 May 2002 23:09:46 +0200
             Message-ID: <20020512230946.E699@rafael>
     Branch: perl
	   ! toke.c
____________________________________________________________________________
[ 16605] By: jhi                                   on 2002/05/15  03:58:24
        Log: More rule tweakage.
     Branch: perl
	   ! Porting/thirdclean
____________________________________________________________________________
[ 16604] By: jhi                                   on 2002/05/15  00:40:46
        Log: Subject: [PATCH] Fix Devel::DProf debugging aid
             From: Sam Tregar <sam@tregar.com>
             Date: Tue, 14 May 2002 21:27:05 -0400 (EDT)
             Message-ID: <Pine.LNX.4.44.0205142123270.24343-100000@localhost.localdomain>
     Branch: perl
	   ! ext/Devel/DProf/DProf.xs
____________________________________________________________________________
[ 16603] By: jhi                                   on 2002/05/15  00:36:22
        Log: $VERSIONize.
     Branch: perl
	   ! lib/ExtUtils/Liblist.pm lib/ExtUtils/MM_MacOS.pm
____________________________________________________________________________
[ 16602] By: jhi                                   on 2002/05/15  00:34:46
        Log: Third Degree: name the op/foo.t as op_foo.
     Branch: perl
	   ! t/TEST
____________________________________________________________________________
[ 16601] By: jhi                                   on 2002/05/15  00:24:28
        Log: Read of uninitialized heap found by Third Degree
             (e.g. in t/op/subst.t)
     Branch: perl
	   ! scope.c
____________________________________________________________________________
[ 16600] By: jhi                                   on 2002/05/14  23:57:10
        Log: Add more rules.
     Branch: perl
	   ! Porting/thirdclean
____________________________________________________________________________
[ 16599] By: jhi                                   on 2002/05/14  22:15:41
        Log: Subject: [PATCH] allow use threads qw(yield)
             From: Dave Mitchell <davem@fdgroup.com>
             Date: Tue, 14 May 2002 22:49:47 +0100
             Message-ID: <20020514224947.F25049@fdgroup.com>
     Branch: perl
	   ! ext/threads/threads.pm ext/threads/threads.xs
____________________________________________________________________________
[ 16598] By: jhi                                   on 2002/05/14  20:35:21
        Log: Micropatch from Olaf Flebbe.
     Branch: perl
	   ! epoc/epoc.c
____________________________________________________________________________
[ 16597] By: rgs                                   on 2002/05/14  20:18:33
        Log: Subject: perlhack.pod typos [PATCH]
             From: "John P. Linderman" <jpl@research.att.com>
             Date: Tue, 14 May 2002 12:31:21 -0400 (EDT)
             Message-ID: <200205141631.MAA79121@raptor.research.att.com>
     Branch: perl
	   ! pod/perlhack.pod
____________________________________________________________________________
[ 16596] By: rgs                                   on 2002/05/14  20:14:14
        Log: Subject: typo in Socket.pm
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Tue, 14 May 2002 12:02:47 +0200
             Message-ID: <20020514120206.B758.H.M.BRAND@hccnet.nl>
     Branch: perl
	   ! ext/IO/lib/IO/Socket.pm
____________________________________________________________________________
[ 16595] By: jhi                                   on 2002/05/14  17:27:26
        Log: The #16592 needs this.
     Branch: perl
	   ! embedvar.h perlapi.h
____________________________________________________________________________
[ 16594] By: sky                                   on 2002/05/14  17:08:01
        Log: Subject: Re: lib/sort.t failure [PATCH]
             From: "John P. Linderman" <jpl@research.att.com>
             Date: mån maj 13, 2002  05:05:45  Europe/Stockholm
             Message-Id: <200205131505.LAA46150@raptor.research.att.com>
     Branch: perl
	   ! pod/perlfunc.pod
____________________________________________________________________________
[ 16593] By: jhi                                   on 2002/05/14  16:09:59
        Log: Add a script for cleaning out the "known noise"
             from Third Degree reports: either noise caused
             by libc itself, or Perl_yyparse leaks.
     Branch: perl
	   + Porting/thirdclean
	   ! MANIFEST
____________________________________________________________________________
[ 16592] By: sky                                   on 2002/05/14  15:21:39
        Log: Turn the sort RealCmp for stable quicksorts into a
             threadsafe per interpreter values.
     Branch: perl
	   ! embedvar.h intrpvar.h perlapi.h pp_sort.c
____________________________________________________________________________
[ 16591] By: jhi                                   on 2002/05/14  13:48:46
        Log: reentr.h affects more C files than just reentr.c
     Branch: perl
	   ! locale.c pp.c pp_sys.c
____________________________________________________________________________
[ 16590] By: jhi                                   on 2002/05/14  13:21:54
        Log: Document reentr.pl a bit better.  Still rather
             convoluted code, but it ain't broken, so...
     Branch: perl
	   ! reentr.h reentr.pl
____________________________________________________________________________
[ 16589] By: jhi                                   on 2002/05/14  03:27:01
        Log: z/OS update: not all Storable was clear yet.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16588] By: jhi                                   on 2002/05/14  03:14:10
        Log: Avoid potentially empty struct.
     Branch: perl
	   ! reentr.h reentr.pl
____________________________________________________________________________
[ 16587] By: jhi                                   on 2002/05/14  01:55:47
        Log: Todo tweaks.
     Branch: perl
	   ! pod/perltodo.pod
____________________________________________________________________________
[ 16586] By: jhi                                   on 2002/05/13  23:09:36
        Log: Subject: [PATCH] various minor fixes in threads.            
             From: Dave Mitchell <davem@fdgroup.com>
             Date: Mon, 13 May 2002 23:48:22 +0100      
             Message-ID: <20020513234822.G21318@fdgroup.com>
     Branch: perl
	   ! dump.c ext/threads/shared/shared.xs
____________________________________________________________________________
[ 16585] By: jhi                                   on 2002/05/13  23:06:31
        Log: Subject: Re: unsigned char hashes (Re: perl@16539)
             From: PPrymmer@factset.com
             Date: Mon, 13 May 2002 17:37:28 -0400
             Message-ID: <OFA6169DE6.9ED4C891-ON85256BB8.00767EB7@55.25.11>
     Branch: perl
	   ! vms/vms.c
____________________________________________________________________________
[ 16584] By: jhi                                   on 2002/05/13  23:05:04
        Log: Subject: Re: FreeBSD mostly OK. [nwc10@colon.colondot.net: Report /export/home/nwc10/Even-Smoke/Smoke]
             From: Nicholas Clark <nick@unfortu.net>    
             Date: Mon, 13 May 2002 21:45:47 +0100
             Message-ID: <20020513204546.GC310@Bagpuss.unfortu.net>
     Branch: perl
	   ! lib/ExtUtils/t/Constant.t
____________________________________________________________________________
[ 16583] By: jhi                                   on 2002/05/13  23:04:00
        Log: Subject: [PATCH] Re: FreeBSD mostly OK. [nwc10@colon.colondot.net: Report /export/home/nwc10/Even-Smoke/Smoke]
             From: Nicholas Clark <nick@unfortu.net>    
             Date: Mon, 13 May 2002 21:47:38 +0100
             Message-ID: <20020513204738.GD310@Bagpuss.unfortu.net>
     Branch: perl
	   ! lib/Benchmark.t
____________________________________________________________________________
[ 16582] By: jhi                                   on 2002/05/13  23:01:05
        Log: Subject: WinCE several touches
             From: "Vadim Konovalov" <vkonovalov@peterstar.ru>
             Date: Tue, 14 May 2002 00:43:11 +0400      
             Message-ID: <007b01c1fabe$cc8cbbf0$785cc3d9@vad>
     Branch: perl
	   ! lib/ExtUtils/MM_Unix.pm utf8.c wince/Makefile.ce
	   ! wince/config_h.PL
____________________________________________________________________________
[ 16581] By: jhi                                   on 2002/05/13  22:57:51
        Log: Subject: Re: perl@16573
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Mon, 13 May 2002 18:30:35 +0200
             Message-Id: <20020513182617.5525.H.M.BRAND@hccnet.nl>
             
             (gcc 3.0 vs 64-bit hpux hints)
     Branch: perl
	   ! hints/hpux.sh
____________________________________________________________________________
[ 16580] By: sky                                   on 2002/05/13  19:38:09
        Log: Make the point a bit clearer after suggestion from Merijin
     Branch: perl
	   ! pod/perltodo.pod
____________________________________________________________________________
[ 16579] By: rgs                                   on 2002/05/13  18:51:54
        Log: perltodo update.
     Branch: perl
	   ! pod/perltodo.pod
____________________________________________________________________________
[ 16578] By: rgs                                   on 2002/05/13  18:49:39
        Log: Subject: README.aix update
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Mon, 13 May 2002 19:02:47 +0200
             Message-ID: <20020513190200.552D.H.M.BRAND@hccnet.nl>
     Branch: perl
	   ! README.aix
____________________________________________________________________________
[ 16577] By: dougm                                 on 2002/05/13  18:45:01
        Log: export PerlIOBuf_get_base for win32 extension linkage
     Branch: perl
	   ! makedef.pl
____________________________________________________________________________
[ 16576] By: nick                                  on 2002/05/13  18:20:22
        Log: Integrate mainline
     Branch: perlio
	  !> Changes README.vos ext/threads/shared/shared.pm
	  !> ext/threads/shared/t/0nothread.t
	  !> ext/threads/shared/t/av_refs.t
	  !> ext/threads/shared/t/av_simple.t ext/threads/shared/t/cond.t
	  !> ext/threads/shared/t/hv_refs.t
	  !> ext/threads/shared/t/hv_simple.t
	  !> ext/threads/shared/t/no_share.t ext/threads/shared/t/queue.t
	  !> ext/threads/shared/t/semaphore.t
	  !> ext/threads/shared/t/shared_attr.t
	  !> ext/threads/shared/t/sv_refs.t
	  !> ext/threads/shared/t/sv_simple.t patchlevel.h
	  !> pod/perldelta.pod vms/vms.c xsutils.c
____________________________________________________________________________
[ 16575] By: ams                                   on 2002/05/13  15:42:50
        Log: Subject: [PATCH] Update README.vos and pod/perlport.pod
             From: Paul_GreenVOS@vos.stratus.com
             Date: Mon, 13 May 02 12:32 edt
             Message-Id: <200205131631.MAA02607@mailhub2.stratus.com>
     Branch: perl
	   ! README.vos pod/perldelta.pod
____________________________________________________________________________
[ 16574] By: ams                                   on 2002/05/13  15:41:14
        Log: Subject: [PATCH: perl@16539++] fix a small comment nit in vms/vms.c
             From: PPrymmer@factset.com
             Date: Mon, 13 May 2002 11:38:15 -0400
             Message-Id: <OF3D3F427C.8365917A-ON85256BB8.0055A1BF@55.25.11>
     Branch: perl
	   ! vms/vms.c
____________________________________________________________________________
[ 16573] By: jhi                                   on 2002/05/13  14:02:50
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16572] By: sky                                   on 2002/05/13  12:30:35
        Log: Subject: [PATCH] Re: 'use threads::shared' noisy with -w
             From: Dave Mitchell <davem@fdgroup.com>
             Date: lör maj 11, 2002  12:52:27  Europe/Stockholm
             Message-Id: <20020510235227.J12298@fdgroup.com>
     Branch: perl
	   ! ext/threads/shared/shared.pm ext/threads/shared/t/0nothread.t
	   ! ext/threads/shared/t/av_refs.t
	   ! ext/threads/shared/t/av_simple.t ext/threads/shared/t/cond.t
	   ! ext/threads/shared/t/hv_refs.t
	   ! ext/threads/shared/t/hv_simple.t
	   ! ext/threads/shared/t/no_share.t ext/threads/shared/t/queue.t
	   ! ext/threads/shared/t/semaphore.t
	   ! ext/threads/shared/t/shared_attr.t
	   ! ext/threads/shared/t/sv_refs.t
	   ! ext/threads/shared/t/sv_simple.t xsutils.c
____________________________________________________________________________
[ 16571] By: nick                                  on 2002/05/13  07:54:10
        Log: Integrate Mainline
     Branch: perlio
	  +> lib/Thread/Queue.pm lib/Thread/Semaphore.pm
	   - ext/Thread/Thread/Queue.pm ext/Thread/Thread/Semaphore.pm
	   - wince/include/cectype.h wince/include/errno.h
	   - wince/include/sys/types.h wince/include/sys/utime.h
	   - wince/include/time.h
	  !> (integrate 51 files)
____________________________________________________________________________
[ 16570] By: jhi                                   on 2002/05/13  00:46:11
        Log: Subject: [PATCH t/TEST] #!/usr/bin/perl-current misparse
             From: Michael G Schwern <schwern@pobox.com>
             Date: Sun, 12 May 2002 19:32:58 -0400
             Message-ID: <20020512233258.GK696@blackrider>
     Branch: perl
	   ! t/TEST
____________________________________________________________________________
[ 16569] By: jhi                                   on 2002/05/12  23:49:00
        Log: Be clean.
     Branch: perl
	   ! Makefile.SH ext/B/t/o.t
____________________________________________________________________________
[ 16568] By: gsar                                  on 2002/05/12  23:34:06
        Log: change#8666 ($Config{perllibs}) apparently never got into
             mainline--merge, and add other missing entries; regen
             config_H.* files
     Branch: perl
	   ! win32/Makefile win32/config.bc win32/config.gc win32/config.vc
	   ! win32/config.vc64 win32/config_H.bc win32/config_H.gc
	   ! win32/config_H.vc win32/config_H.vc64
____________________________________________________________________________
[ 16567] By: jhi                                   on 2002/05/12  23:28:43
        Log: Elaborate on the exit/wait plan a bit.
     Branch: perl
	   ! pod/perltodo.pod
____________________________________________________________________________
[ 16566] By: jhi                                   on 2002/05/12  22:26:17
        Log: Slight doc tweaks.
     Branch: perl
	   ! pod/perlthrtut.pod
____________________________________________________________________________
[ 16565] By: jhi                                   on 2002/05/12  19:56:56
        Log: OS/390: update the test results.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16564] By: jhi                                   on 2002/05/12  19:48:40
        Log: Add threadsafety caveats.
     Branch: perl
	   ! ext/threads/threads.pm pod/perldelta.pod pod/perlthrtut.pod
____________________________________________________________________________
[ 16563] By: jhi                                   on 2002/05/12  19:34:31
        Log: Update the Mac OS X situation.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16562] By: sky                                   on 2002/05/12  19:10:27
        Log: Update todo, removing things done and adding new things.
     Branch: perl
	   ! pod/perltodo.pod
____________________________________________________________________________
[ 16561] By: jhi                                   on 2002/05/12  19:02:24
        Log: Reword the "threads still running" cleanup message.
     Branch: perl
	   ! ext/threads/threads.pm ext/threads/threads.xs pod/perldiag.pod
	   ! pod/perltoc.pod
____________________________________________________________________________
[ 16560] By: jhi                                   on 2002/05/12  18:39:48
        Log: EBCDIC: retract #16557, it ran into a weird tokenizer(?) bug.
             (The manifestation: running pat.t core dumps after test 639.
             Removing everything after 639 makes core go away, as does
             removing everything before 640.  I did say "weird".  Some
             sort of a memory corruption, no doubt, but no time to debug
             in more detail.)
     Branch: perl
	   ! t/op/pat.t
____________________________________________________________________________
[ 16559] By: sky                                   on 2002/05/12  17:59:41
        Log: Add emulation layer for Thread/Semaphore and Thread/Queue
     Branch: perl
	   + lib/Thread/Queue.pm lib/Thread/Semaphore.pm
	   - ext/Thread/Thread/Queue.pm ext/Thread/Thread/Semaphore.pm
	   ! MANIFEST
____________________________________________________________________________
[ 16558] By: sky                                   on 2002/05/12  17:57:51
        Log: Fixed bug where tmpsv would be null after the return of the 
             amagic. Now check for that and allocate the tmpsv afterwards, 
             this is done in all other places that use amagic.
             Fixes bug when threads->unknownfunction() was called and
             we coredumped on the stringification somewhere deep in the
             autoloader/dynaloader something. Far to deep for me to provide
             a test case.
     Branch: perl
	   ! sv.c
____________________________________________________________________________
[ 16557] By: jhi                                   on 2002/05/12  15:37:40
        Log: (retracted by #16560)
             EBCDIC: must protect also compile time so that
             the illegal UTF-EBCDIC is not seen.
     Branch: perl
	   ! t/op/pat.t
____________________________________________________________________________
[ 16556] By: jhi                                   on 2002/05/12  15:29:36
        Log: EBCDIC: make t/op/pat #242 and 243 finally succeed.
     Branch: perl
	   ! pod/perlebcdic.pod regcomp.c
____________________________________________________________________________
[ 16555] By: jhi                                   on 2002/05/12  13:50:20
        Log: As suggested by Dave Mitchell, adding yield()s at
             appropriate spots helps non-preemptive thread
             implementations, like the GNU pth.  Tested at NetBSD
             by Martin Weber <Ephaeton@gmx.net>.
     Branch: perl
	   ! ext/threads/t/basic.t ext/threads/t/list.t
	   ! ext/threads/t/thread.t
____________________________________________________________________________
[ 16554] By: rgs                                   on 2002/05/12  12:14:06
        Log: Subject: RE: VOS bleadperl test failure on 16539
             From: chromatic <chromatic@rmci.net>
             Date: Sat, 11 May 2002 23:23:54 -0700
             Message-ID: <20020512072814.50744.qmail@onion.perl.org>
     Branch: perl
	   ! ext/B/t/o.t
____________________________________________________________________________
[ 16553] By: jhi                                   on 2002/05/12  04:27:16
        Log: There's no rest for the wicked misspellers.
     Branch: perl
	   ! pod/perlthrtut.pod
____________________________________________________________________________
[ 16552] By: jhi                                   on 2002/05/12  01:38:15
        Log: Detypos (and sticking with US spelling since Dan Sugalski
             wrote the original text of perlthrtut)
     Branch: perl
	   ! ext/threads/threads.pm pod/perlthrtut.pod
____________________________________________________________________________
[ 16551] By: jhi                                   on 2002/05/11  22:26:38
        Log: Because of #16550 these tests would now spew
             "Malformed UTF-8" in EBCDIC.
     Branch: perl
	   ! t/op/pat.t
____________________________________________________________________________
[ 16550] By: jhi                                   on 2002/05/11  22:24:31
        Log: EBCDIC: the toke.c wariness about UTF-8 (really, UTF-EBCDIC)
             scripts does not apply any more.  (The utf8.t needed a little
             bit of relaxing to work in EBCDIC, since *both* the bytes in
             subtest #30 are illegal UTF-EBCDIC, and the error message
             matched is slightly different.)  The utf8.t now passes.
     Branch: perl
	   ! lib/utf8.t toke.c
____________________________________________________________________________
[ 16549] By: jhi                                   on 2002/05/11  21:41:11
        Log: Subject: [PATCH] a bit more for WinCE
             From: "Vadim Konovalov" <vkonovalov@peterstar.ru>
             Date: Sun, 12 May 2002 02:34:24 +0400
             Message-ID: <007b01c1f93c$0e03f960$035cc3d9@vad>
     Branch: perl
	   ! wince/wince.c
____________________________________________________________________________
[ 16548] By: jhi                                   on 2002/05/11  19:54:43
        Log: Subject: [PATCH] for WinCE cross-build, another one
             From: "Vadim Konovalov" <vkonovalov@peterstar.ru>     
             Date: Sun, 12 May 2002 00:02:47 +0400
             Message-ID: <004101c1f926$d36ca230$035cc3d9@vad>
     Branch: perl
	   - wince/include/cectype.h wince/include/errno.h
	   - wince/include/sys/types.h wince/include/sys/utime.h
	   - wince/include/time.h
	   ! MANIFEST configpm lib/ExtUtils/MM_Unix.pm wince/Makefile.ce
	   ! wince/cecopy-lib.pl wince/config_H.ce wince/config_h.PL
	   ! wince/wince.c
____________________________________________________________________________
[ 16547] By: jhi                                   on 2002/05/11  19:46:23
        Log: Explicit casts due to #16542.
     Branch: perl
	   ! ext/B/B.xs hv.c op.c sv.c
____________________________________________________________________________
[ 16546] By: jhi                                   on 2002/05/11  19:35:54
        Log: Upgrade to Test::Harness 2.21.
     Branch: perl
	   ! lib/Test/Harness.pm lib/Test/Harness/Changes
	   ! lib/Test/Harness/Straps.pm lib/Test/Harness/t/strap-analyze.t
	   ! lib/Test/Harness/t/test-harness.t
____________________________________________________________________________
[ 16545] By: jhi                                   on 2002/05/11  19:04:39
        Log: Upgrade to Net::Ping 2.18 (no core-relevant changes,
             but keep up with the $VERSION)
     Branch: perl
	   ! lib/Net/Ping.pm lib/Net/Ping/CHANGES lib/Net/Ping/README
____________________________________________________________________________
[ 16544] By: jhi                                   on 2002/05/11  18:45:30
        Log: metaconfig unit change for #16543.
     Branch: metaconfig
	   ! U/threads/usethreads.U
____________________________________________________________________________
[ 16543] By: jhi                                   on 2002/05/11  18:43:58
        Log: Subject: [PATCH] updated threads docs
             From: Dave Mitchell <davem@fdgroup.com>
             Date: Sat, 11 May 2002 20:00:51 +0100
             Message-ID: <20020511200050.D14841@fdgroup.com>
     Branch: perl
	   ! Configure README.threads pod/perlothrtut.pod
	   ! pod/perlthrtut.pod
____________________________________________________________________________
[ 16542] By: jhi                                   on 2002/05/11  17:06:19
        Log: Subject: unsigned char hashes (Re: perl@16539)
             From: Nicholas Clark <nick@unfortu.net>
             Date: Sat, 11 May 2002 17:54:44 +0100
             Message-ID: <20020511165444.GD301@Bagpuss.unfortu.net>
             
             Be explicitly unsigned char in the hash calculation.
     Branch: perl
	   ! hv.h
____________________________________________________________________________
[ 16541] By: nick                                  on 2002/05/11  08:21:00
        Log: Integrate mainline
     Branch: perlio
	  +> ext/B/t/o.t
	  !> Changes MANIFEST Makefile.SH ext/DB_File/t/db-btree.t
	  !> ext/Encode/Encode.xs ext/threads/shared/queue.pm patchlevel.h
	  !> pod/perlhack.pod pod/perltoc.pod t/TEST t/harness
____________________________________________________________________________
[ 16540] By: jhi                                   on 2002/05/10  16:45:53
        Log: Subject: more os x test output cosmetics
             From: Kay Röpke <kroepke@dolphin-services.de>
             Date: Fri, 10 May 2002 14:07:34 +0200
             Message-Id: <831FB904-640E-11D6-AA6F-000393414688@dolphin-services.de>
     Branch: perl
	   ! ext/DB_File/t/db-btree.t
____________________________________________________________________________
[ 16539] By: jhi                                   on 2002/05/10  15:16:44
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16538] By: jhi                                   on 2002/05/10  15:08:51
        Log: Regen toc.
     Branch: perl
	   ! pod/perltoc.pod
____________________________________________________________________________
[ 16537] By: jhi                                   on 2002/05/10  15:06:52
        Log: Move pod, add $VERSION.
     Branch: perl
	   ! ext/threads/shared/queue.pm
____________________________________________________________________________
[ 16536] By: jhi                                   on 2002/05/10  14:42:10
        Log: Unused variables.
     Branch: perl
	   ! ext/Encode/Encode.xs
____________________________________________________________________________
[ 16535] By: jhi                                   on 2002/05/10  13:52:34
        Log: Subject: Re: [REPATCH MANIFEST ext/B/t/o.t] Add tests for O
             From: chromatic <chromatic@rmci.net>
             Date: Fri, 10 May 2002 07:43:25 -0700
             Message-ID: <20020510144325.26245.qmail@firewheel>
     Branch: perl
	   + ext/B/t/o.t
	   ! MANIFEST
____________________________________________________________________________
[ 16534] By: jhi                                   on 2002/05/10  13:48:10
        Log: Don't do JAPHs unless doing "make torturetest".
             Document the less obvious make test targets.
     Branch: perl
	   ! Makefile.SH pod/perlhack.pod t/TEST t/harness
____________________________________________________________________________
[ 16533] By: nick                                  on 2002/05/10  06:02:58
        Log: Integrate mainline
     Branch: perlio
	  !> Configure Porting/pumpkin.pod doio.c ext/Encode/Encode.xs
	  !> ext/Encode/Unicode/Unicode.xs ext/IO/IO.xs ext/Storable/README
	  !> ext/Storable/Storable.pm ext/Storable/Storable.xs
	  !> ext/Time/HiRes/HiRes.xs ext/threads/shared/shared.xs
	  !> ext/threads/shared/t/cond.t ext/threads/threads.xs
	  !> pod/perlfaq3.pod pod/perlfaq4.pod pod/perlhack.pod
	  !> pod/perllocale.pod pp_sys.c reentr.pl t/op/tie.t
	  !> t/run/fresh_perl.t util.c
____________________________________________________________________________
[ 16532] By: jhi                                   on 2002/05/10  03:38:40
        Log: Subject: [PATCH] format and other warnings
             From: Robin Barker <rmb1@cise.npl.co.uk>
             Date: Thu, 9 May 2002 18:27:30 +0100 (BST)
             Message-Id: <200205091727.SAA22792@tempest.npl.co.uk>  
     Branch: perl
	   ! Porting/pumpkin.pod ext/Encode/Encode.xs
	   ! ext/Encode/Unicode/Unicode.xs ext/Storable/Storable.xs
	   ! ext/Time/HiRes/HiRes.xs ext/threads/shared/shared.xs
	   ! ext/threads/threads.xs
____________________________________________________________________________
[ 16531] By: jhi                                   on 2002/05/10  03:26:11
        Log: Move the noisy tie core dump test to fresh_perl from op/tie.
     Branch: perl
	   ! t/op/tie.t t/run/fresh_perl.t
____________________________________________________________________________
[ 16530] By: jhi                                   on 2002/05/10  03:23:17
        Log: Subject: Re: [PATCH] Re: perl@16433
             From: sthoenna@efn.org (Yitzchak Scott-Thoennes)       
             Date: Thu, 09 May 2002 16:24:59 -0700
             Message-ID: <LVw28gzkguhE092yn@efn.org>
     Branch: perl
	   ! t/op/tie.t
____________________________________________________________________________
[ 16529] By: jhi                                   on 2002/05/09  21:39:04
        Log: Subject: [PATCH ext/threads/shared/t/cond.t] Re: where threads cond.t hangs
             From: Dave Mitchell <davem@fdgroup.com>
             Date: Thu, 9 May 2002 17:18:42 +0100
             Message-ID: <20020509171842.C9836@fdgroup.com>
     Branch: perl
	   ! ext/threads/shared/t/cond.t
____________________________________________________________________________
[ 16528] By: nick                                  on 2002/05/09  16:40:39
        Log: Integrate maint branch io (pipe) fixes.
     Branch: perl
	  !> doio.c pp_sys.c util.c
____________________________________________________________________________
[ 16527] By: jhi                                   on 2002/05/09  14:09:00
        Log: FAQ sync.
     Branch: perl
	   ! pod/perlfaq3.pod pod/perlfaq4.pod
____________________________________________________________________________
[ 16526] By: jhi                                   on 2002/05/09  14:06:53
        Log: metaconfig unit changes for #16525, plus extra linting.
     Branch: metaconfig
	   ! U/compline/ptrsize.U U/protos/Protochk.U
	   ! U/threads/d_asctime_r.U U/threads/d_crypt_r.U
	   ! U/threads/d_ctermid_r.U U/threads/d_ctime_r.U
	   ! U/threads/d_drand48_r.U U/threads/d_endgrent_r.U
	   ! U/threads/d_endhostent_r.U U/threads/d_endnetent_r.U
	   ! U/threads/d_endprotoent_r.U U/threads/d_endpwent_r.U
	   ! U/threads/d_endservent_r.U U/threads/d_getgrent_r.U
	   ! U/threads/d_getgrgid_r.U U/threads/d_getgrnam_r.U
	   ! U/threads/d_gethostbyaddr_r.U U/threads/d_gethostbyname_r.U
	   ! U/threads/d_gethostent_r.U U/threads/d_getlogin_r.U
	   ! U/threads/d_getnetbyaddr_r.U U/threads/d_getnetbyname_r.U
	   ! U/threads/d_getnetent_r.U U/threads/d_getprotobyname_r.U
	   ! U/threads/d_getprotobynumber_r.U U/threads/d_getprotoent_r.U
	   ! U/threads/d_getpwent_r.U U/threads/d_getpwnam_r.U
	   ! U/threads/d_getpwuid_r.U U/threads/d_getservbyname_r.U
	   ! U/threads/d_getservbyport_r.U U/threads/d_getservent_r.U
	   ! U/threads/d_getspnam_r.U U/threads/d_gmtime_r.U
	   ! U/threads/d_localtime_r.U U/threads/d_random_r.U
	   ! U/threads/d_readdir64_r.U U/threads/d_readdir_r.U
	   ! U/threads/d_setgrent_r.U U/threads/d_sethostent_r.U
	   ! U/threads/d_setlocale_r.U U/threads/d_setnetent_r.U
	   ! U/threads/d_setprotoent_r.U U/threads/d_setpwent_r.U
	   ! U/threads/d_setservent_r.U U/threads/d_srand48_r.U
	   ! U/threads/d_srandom_r.U U/threads/d_strerror_r.U
	   ! U/threads/d_tmpnam_r.U U/threads/d_ttyname_r.U
____________________________________________________________________________
[ 16525] By: jhi                                   on 2002/05/09  14:06:11
        Log: metaconfig unit linting.
     Branch: perl
	   ! reentr.pl
____________________________________________________________________________
[ 16524] By: jhi                                   on 2002/05/09  13:49:01
        Log: metaconfig unit changes for #16523.
     Branch: metaconfig
	   ! U/compline/ptrsize.U
     Branch: metaconfig/U/perl
	   ! use64bits.U
____________________________________________________________________________
[ 16523] By: jhi                                   on 2002/05/09  13:48:20
        Log: ptrsize should depend on use64bitall, not the other
             way round, noticed by Karl Tomlinson <k.tomlinson@auckland.ac.nz>.
     Branch: perl
	   ! Configure
____________________________________________________________________________
[ 16522] By: jhi                                   on 2002/05/09  13:07:58
        Log: Integrate #16510 from macperl;
             
             Tell IO.xs that MacOS sometimes doesn't need extra help
     Branch: perl
	  !> ext/IO/IO.xs
____________________________________________________________________________
[ 16521] By: ams                                   on 2002/05/09  12:42:12
        Log: Subject: Re: Storable doc patches
             From: "Philip Newton" <Philip.Newton@gmx.net>
             Date: Thu, 9 May 2002 14:32:29 +0200
             Message-Id: 
     Branch: perl
	   ! ext/Storable/Storable.pm
____________________________________________________________________________
[ 16520] By: rgs                                   on 2002/05/09  11:43:12
        Log: cmp() compares chars, not bytes.
     Branch: perl
	   ! pod/perllocale.pod
____________________________________________________________________________
[ 16519] By: rgs                                   on 2002/05/09  10:19:04
        Log: A footnote about PERL_DESTRUCT_LEVEL and mod_perl.
     Branch: perl
	   ! pod/perlhack.pod
____________________________________________________________________________
[ 16518] By: ams                                   on 2002/05/09  09:04:31
        Log: Subject: Storable doc patches
             From: Philip Newton <Philip.Newton@gmx.net>
             Date: Thu, 09 May 2002 12:00:45 +0200
             Message-Id: <vshkdu49hlpqqm6mlre5ilkn8l9dbqdnsg@4ax.com>
     Branch: perl
	   ! ext/Storable/Storable.pm ext/Storable/Storable.xs
____________________________________________________________________________
[ 16517] By: ams                                   on 2002/05/09  08:53:50
        Log: Subject: Re: Change 16457: [PATCH] Re: [PATCH] Storable (Re: perl@16433)
             From: Philip Newton <Philip.Newton@gmx.net>
             Date: Thu, 09 May 2002 11:16:06 +0200
             Message-Id: <6ffkdu422rls6td4okfu243c9vbtnrfntk@4ax.com>
     Branch: perl
	   ! ext/Storable/README
____________________________________________________________________________
[ 16516] By: nick                                  on 2002/05/09  08:13:39
        Log: Integrate mainline
     Branch: perlio
	  !> pod/perlxstut.pod
____________________________________________________________________________
[ 16515] By: nick                                  on 2002/05/09  07:29:53
        Log: Integrate mainline
     Branch: perlio
	  !> (integrate 27 files)
____________________________________________________________________________
[ 16514] By: ams                                   on 2002/05/09  06:50:24
        Log: Subject: [Patch] perlxstut.pod
             From: lupe@lupe-christoph.de (Lupe Christoph)
             Date: Thu, 9 May 2002 09:42:02 +0200
             Message-Id: <20020509074202.GJ1087@lupe-christoph.de>
             (Applied with tweaks.)
     Branch: perl
	   ! pod/perlxstut.pod
____________________________________________________________________________
[ 16513] By: ams                                   on 2002/05/09  06:04:47
        Log: Subject: [Patch] perlapio.pod
             From: lupe@lupe-christoph.de (Lupe Christoph)
             Date: Thu, 9 May 2002 09:01:50 +0200
             Message-Id: <20020509070150.GI1087@lupe-christoph.de>
             (Applied with tweaks.)
     Branch: perl
	   ! pod/perlapio.pod
____________________________________________________________________________
[ 16512] By: pudge                                 on 2002/05/09  03:44:21
        Log: Integrate from macperl
     Branch: maint-5.6/macperl
	  !> macos/macperl/MPConsole.cp
____________________________________________________________________________
[ 16511] By: pudge                                 on 2002/05/09  03:34:14
        Log: Make interrupt act as end of file, MacPerl Bug #542154
     Branch: macperl
	   ! macos/macperl/MPConsole.cp
____________________________________________________________________________
[ 16510] By: pudge                                 on 2002/05/09  03:33:34
        Log: Tell IO.xs that MacOS sometimes doesn't need extra help
     Branch: macperl
	   ! ext/IO/IO.xs
____________________________________________________________________________
[ 16509] By: pudge                                 on 2002/05/09  03:32:47
        Log: Make perlio (!sfio) work on MacOS
     Branch: macperl
	   ! macos/config.h macos/config.sh macos/macish.c
____________________________________________________________________________
[ 16508] By: gsar                                  on 2002/05/09  00:24:00
        Log: integrate maint-5.6/macperl contents
     Branch: maint-5.6/perl
	  !> README.macos cop.h deb.c embed.h ext/File/Glob/Glob.pm
	  !> lib/DB.pm lib/File/Copy.pm lib/File/Spec/Mac.pm lib/perl5db.pl
	  !> perl.c pod/perlport.pod pp_ctl.c proto.h toke.c util.c
____________________________________________________________________________
[ 16507] By: jhi                                   on 2002/05/08  23:48:12
        Log: Rework #16506 some more.
     Branch: perl
	   ! ext/Time/HiRes/HiRes.xs win32/win32.c
____________________________________________________________________________
[ 16506] By: jhi                                   on 2002/05/08  23:20:29
        Log: Rework #16503 a bit to keep all the HiRes implementation
             in one place, assuming we want to re-CPAN Time::HiRes at
             some point.
     Branch: perl
	   ! ext/Time/HiRes/HiRes.xs win32/win32.c
____________________________________________________________________________
[ 16505] By: jhi                                   on 2002/05/08  22:52:17
        Log: metaconfig unit change for #16504.
     Branch: metaconfig
	   ! U/modified/Cppsym.U
____________________________________________________________________________
[ 16504] By: jhi                                   on 2002/05/08  22:51:54
        Log: Subject: [ID 20020508.012] with gcc-3.1, Config.pm's ccsymbols='-Acpu=i386 ...' is bad (esp for _h2ph_pre.ph)
             From: Pixel <pixel@mandrakesoft.com>
             Date: 08 May 2002 18:19:51 +0200
             Message-Id: <ly3cx2wr14.fsf@leia.mandrakesoft.com>   
     Branch: perl
	   ! Configure
____________________________________________________________________________
[ 16503] By: gsar                                  on 2002/05/08  22:49:33
        Log: make the gettimeofday() implementation in Time::HiRes available
             from perl
     Branch: perl
	   ! XSUB.h ext/Time/HiRes/HiRes.xs iperlsys.h makedef.pl pp.c
	   ! win32/config.bc win32/config.gc win32/config.vc
	   ! win32/config.vc64 win32/config_H.bc win32/config_H.gc
	   ! win32/config_H.vc win32/config_H.vc64 win32/perlhost.h
	   ! win32/win32.c win32/win32iop.h
____________________________________________________________________________
[ 16502] By: jhi                                   on 2002/05/08  22:41:42
        Log: Subject: Test output update for OS X 10.1.4
             From: Kay Röpke <kroepke@dolphin-services.de>
             Date: Wed, 8 May 2002 22:23:36 +0200
             Message-Id: <79FC9AC7-62C1-11D6-9BDB-000393414688@dolphin-services.de>
     Branch: perl
	   ! ext/DB_File/t/db-recno.t
____________________________________________________________________________
[ 16501] By: jhi                                   on 2002/05/08  22:39:11
        Log: Subject: [PATCH] Re: perl@16433
             From: sthoenna@efn.org (Yitzchak Scott-Thoennes)
             Date: Tue, 07 May 2002 18:40:44 -0700
             Message-ID: <cII28gzkgaOS092yn@efn.org>
             
             Subject: Re: [PATCH] Re: perl@16433
             From: sthoenna@efn.org (Yitzchak Scott-Thoennes)
             Date: Wed, 08 May 2002 10:16:42 -0700
             Message-ID: <61V28gzkg+jG092yn@efn.org>
     Branch: perl
	   ! pp_sys.c sv.c t/op/tie.t
____________________________________________________________________________
[ 16500] By: jhi                                   on 2002/05/08  22:25:01
        Log: Subject: [DOC PATCH] Minor threads::shared nits
             From: Simon Glover <scog@amnh.org>
             Date: Wed, 8 May 2002 17:23:16 -0400 (EDT)
             Message-ID: <Pine.GSO.4.43.0205081719050.26360-100000@egg.amnh.org>
     Branch: perl
	   ! ext/threads/shared/queue.pm ext/threads/shared/semaphore.pm
	   ! ext/threads/shared/shared.pm
____________________________________________________________________________
[ 16499] By: jhi                                   on 2002/05/08  22:22:30
        Log: Subject: [DOC PATCH] perlthrtut proofreading
             From: Simon Glover <scog@amnh.org>
             Date: Wed, 8 May 2002 14:00:13 -0400 (EDT)
             Message-ID: <Pine.GSO.4.43.0205081351010.23879-100000@egg.amnh.org>
     Branch: perl
	   ! pod/perlthrtut.pod
____________________________________________________________________________
[ 16498] By: jhi                                   on 2002/05/08  22:19:45
        Log: Deprecate 5.005threads.
     Branch: perl
	   ! pod/perldelta.pod
____________________________________________________________________________
[ 16497] By: jhi                                   on 2002/05/08  22:11:21
        Log: Integrate perlio:
             
             [ 16496]
             Portability and doc tweaks to PerlIO/XS stuff.
             We are still "papering over the cracks" a bit,
             but now it is good stiff card held on with epoxy.
             
             [ 16495]
             PerlIO/XS interface routine and doc updates from
             lupe@lupe-christoph.de (Lupe Christoph) in mail
             Subject: [For Review] Patch for perlio.c and pods
             Message-Id: <20020505084315.GA23900@lupe-christoph.de>
             Date: Sun, 5 May 2002 10:43:15 +0200
             (Minor tweaks to follow.)
     Branch: perl
	  !> perlio.c pod/perlapio.pod pod/perlxstut.pod
____________________________________________________________________________
[ 16496] By: nick                                  on 2002/05/08  19:08:43
        Log: Portability and doc tweaks to PerlIO/XS stuff.
             We are still "papering over the cracks" a bit,
             but now it is good stiff card held on with epoxy.
     Branch: perlio
	   ! perlio.c pod/perlapio.pod pod/perlxstut.pod
____________________________________________________________________________
[ 16495] By: nick                                  on 2002/05/08  17:56:43
        Log: PerlIO/XS interface routine and doc updates from
             lupe@lupe-christoph.de (Lupe Christoph) in mail
             Subject: [For Review] Patch for perlio.c and pods
             Message-Id: <20020505084315.GA23900@lupe-christoph.de>
             Date: Sun, 5 May 2002 10:43:15 +0200
             (Minor tweaks to follow.)
     Branch: perlio
	   ! perlio.c pod/perlapio.pod pod/perlxstut.pod
____________________________________________________________________________
[ 16494] By: nick                                  on 2002/05/08  17:40:34
        Log: Integrate mainline
     Branch: perlio
	  !> Changes Porting/p4genpatch ext/File/Glob/bsd_glob.c
	  !> ext/Storable/Storable.pm lib/base.pm lib/diagnostics.t
	  !> lib/fields.t lib/locale.t makedef.pl patchlevel.h
	  !> t/run/fresh_perl.t
____________________________________________________________________________
[ 16493] By: jhi                                   on 2002/05/08  14:25:31
        Log: Update Changes.
     Branch: perl
	   ! Changes patchlevel.h
____________________________________________________________________________
[ 16492] By: gsar                                  on 2002/05/08  14:00:54
        Log: p4genpatch: produce unix-compatible patches on non-MacOS platforms;
             don't unlink /dev/null
     Branch: perl
	   ! Porting/p4genpatch
____________________________________________________________________________
[ 16491] By: jhi                                   on 2002/05/08  13:59:16
        Log: Integrate perlio:
             
             [ 16487]
             Avoid pointless re-encode of data in :encoding's read buffer
             on a close
     Branch: perl
	  !> ext/PerlIO/encoding/encoding.xs
____________________________________________________________________________
[ 16490] By: jhi                                   on 2002/05/08  13:55:05
        Log: The base.pm changes need this, too?
     Branch: perl
	   ! lib/diagnostics.t
____________________________________________________________________________
[ 16489] By: gsar                                  on 2002/05/08  13:33:41
        Log: fix p4genpatch breakage (missing slash in patch headers)
     Branch: perl
	   ! Porting/p4genpatch
____________________________________________________________________________
[ 16488] By: jhi                                   on 2002/05/08  13:24:15
        Log: Integrate #14679 from macperl;
             
             Skip layer symbols for sfio
     Branch: perl
	  !> makedef.pl
____________________________________________________________________________
[ 16487] By: nick                                  on 2002/05/08  13:12:47
        Log: Avoid pointless re-encode of data in :encoding's read buffer
             on a close
     Branch: perlio
	   ! ext/PerlIO/encoding/encoding.xs
____________________________________________________________________________
[ 16486] By: jhi                                   on 2002/05/08  13:09:24
        Log: Integrate #16481 from macperl;
             
             p4genpatch Mac OS fixes (paths, utime)
     Branch: perl
	  !> Porting/p4genpatch
____________________________________________________________________________
[ 16485] By: jhi                                   on 2002/05/08  13:06:30
        Log: Storable doc tweaks.
     Branch: perl
	   ! ext/Storable/Storable.pm
____________________________________________________________________________
[ 16484] By: jhi                                   on 2002/05/08  12:57:32
        Log: Subject: Re: [PATCH] use base Notexists
             From: andreas.koenig@anima.de (Andreas J. Koenig)
             Date: Wed, 08 May 2002 15:57:53 +0200
             Message-ID: <m34rhi91y6.fsf@anima.de>
     Branch: perl
	   ! lib/base.pm lib/fields.t
____________________________________________________________________________
[ 16483] By: jhi                                   on 2002/05/08  12:44:46
        Log: Subject: [ID 20020507.020] PATCH: 5.6.1: t/op/misc.t: locale -a missing 2>/dev/null
             From: Borsenkow Andrej <Andrej.Borsenkow@mow.siemens.ru>
             Date: Wed, 8 May 2002 10:47:51 +0400
             Message-Id: <6134254DE87BD411908B00A0C99B044F035BBFCB@mowd019a.mow.siemens.ru>
     Branch: perl
	   ! t/run/fresh_perl.t
____________________________________________________________________________
[ 16482] By: jhi                                   on 2002/05/08  12:41:51
        Log: Document how even "ASCII" locales can have problems
             if \w includes some of the regex metacharacters.
     Branch: perl
	   ! lib/locale.t
____________________________________________________________________________
[ 16481] By: pudge                                 on 2002/05/08  12:31:12
        Log: p4genpatch Mac OS fixes (paths, utime)
     Branch: macperl
	   ! Porting/p4genpatch
____________________________________________________________________________
[ 16480] By: jhi                                   on 2002/05/08  12:30:53
        Log: Subject: RE: [ID 20020507.001] PATCH: 5.6.1: glob() problem on ReliantUNIX with LFS support
             From: Borsenkow Andrej <Andrej.Borsenkow@mow.siemens.ru>
             Date: Wed, 8 May 2002 10:33:14 +0400
             Message-ID: <6134254DE87BD411908B00A0C99B044F02E89A6A@mowd019a.mow.siemens.ru>
     Branch: perl
	   ! ext/File/Glob/bsd_glob.c
____________________________________________________________________________
[ 16479] By: pudge                                 on 2002/05/08  12:30:41
        Log: Skip layer symbols for sfio
     Branch: macperl
	   ! makedef.pl
____________________________________________________________________________
[ 16478] By: jhi                                   on 2002/05/08  12:25:04
        Log: Bump up the Storable $VERSION to 2.0.
     Branch: perl
	   ! ext/Storable/Storable.pm
____________________________________________________________________________
[ 16477] By: nick                                  on 2002/05/08  06:21:18
        Log: Integrate mainline  - win2k, MinGW all tests pass :-)
     Branch: perlio
	  !> (integrate 36 files)
____________________________________________________________________________
[ 16476] By: pudge                                 on 2002/05/08  04:34:12
        Log: Oops, add back
     Branch: macperl
	   + macos/MacPerlTests.cmd
____________________________________________________________________________
[ 16475] By: pudge                                 on 2002/05/08  04:31:10
        Log: Integrate with perl
     Branch: macperl
	  +> Porting/p4genpatch ext/Digest/MD5/README
	  +> ext/Digest/MD5/t/md5-aaa.t ext/Digest/MD5/t/utf8.t
	  +> ext/threads/shared/semaphore.pm
	  +> ext/threads/shared/t/semaphore.t lib/ExtUtils/MM_MacOS.pm
	  +> t/comp/hints.t vos/compile_full_perl.cm
	  +> vos/configure_full_perl.sh vos/make_full_perl.sh
	  +> wince/compile.bat wince/win32io.c
	   - Porting/p4d2p Porting/p4desc ext/Digest/MD5/t/aaa.t
	   - macos/MacPerlTests.cmd wince/config.h wince/perldll.def
	  !> (integrate 206 files)
____________________________________________________________________________
[ 16474] By: pudge                                 on 2002/05/08  04:00:04
        Log: Update README (integrate from macperl)
     Branch: maint-5.6/macperl
	  !> README.macos
____________________________________________________________________________
[ 16473] By: pudge                                 on 2002/05/08  03:52:28
        Log: Various syncs from macperl/ -> maint-5.6/macperl/
             File::Copy, File::Spec updates
             Test script modifications
             pp_require path bugfixes
     Branch: maint-5.6/macperl
	   ! lib/File/Copy.pm lib/File/Spec/Mac.pm macos/MacPerlTests.plx
	   ! macos/configpm macos/macish.c macos/macish.h pp_ctl.c
____________________________________________________________________________
[ 16472] By: pudge                                 on 2002/05/08  03:51:06
        Log: Add MacPerl.pm to Help menu, MacPerl Bug #533331
     Branch: macperl
	   ! macos/macperl/MacPerl.podhelp
     Branch: maint-5.6/macperl
	   ! macos/macperl/MacPerl.podhelp
____________________________________________________________________________
[ 16471] By: pudge                                 on 2002/05/08  03:50:25
        Log: Reset Mac::err flag in app, MacPerl Bug #546065
     Branch: macperl
	   ! macos/macperl/MPScript.c
     Branch: maint-5.6/macperl
	   ! macos/macperl/MPScript.c
____________________________________________________________________________
[ 16470] By: pudge                                 on 2002/05/08  03:49:32
        Log: Fix for some module install paths, MacPerl Bug #549611
     Branch: macperl
	   ! macos/macperl/Droplets/installme.plx
	   ! macos/macperl/Droplets/untarzipme.plx
     Branch: maint-5.6/macperl
	   ! macos/macperl/Droplets/installme.plx
	   ! macos/macperl/Droplets/untarzipme.plx
____________________________________________________________________________
[ 16469] By: pudge                                 on 2002/05/08  03:48:53
        Log: Stupid Mac::OSA::Simple bugs
     Branch: macperl
	   ! macos/lib/Mac/OSA/Simple.pm macos/macperl/Droplets/p2as.plx
     Branch: maint-5.6/macperl
	   ! macos/lib/Mac/OSA/Simple.pm macos/macperl/Droplets/p2as.plx
____________________________________________________________________________
[ 16468] By: pudge                                 on 2002/05/08  03:48:15
        Log: Various BuildTools fixes, MacPerl Bug #545341
     Branch: macperl
	   ! macos/lib/Mac/BuildTools.pm
     Branch: maint-5.6/macperl
	   ! macos/lib/Mac/BuildTools.pm
____________________________________________________________________________
[ 16467] By: pudge                                 on 2002/05/08  03:47:26
        Log: MM_MacOS has been moved from macos/lib/ to lib/
     Branch: macperl
	   - macos/lib/ExtUtils/MM_MacOS.pm
____________________________________________________________________________
[ 16466] By: pudge                                 on 2002/05/08  03:46:24
        Log: Oops, add Digest::MD5 Makefile.mk back in
     Branch: macperl
	   + macos/bundled_ext/Digest/MD5/Makefile.mk
____________________________________________________________________________
[ 16465] By: pudge                                 on 2002/05/08  03:45:47
        Log: Allow focus of first item, MacPerl Bug #529102
     Branch: macperl
	   ! macos/ext/Mac/Windows/Windows.pm
     Branch: maint-5.6/macperl
	   ! macos/ext/Mac/Windows/Windows.pm
____________________________________________________________________________
[ 16464] By: pudge                                 on 2002/05/08  03:43:39
        Log: Don't open dirs in Mac::Glue, MacPerl Bug #529108
     Branch: macperl
	   ! macos/lib/Mac/Glue.pm
     Branch: maint-5.6/macperl
	   ! macos/lib/Mac/Glue.pm
____________________________________________________________________________
[ 16463] By: gsar                                  on 2002/05/08  01:34:45
        Log: perl_clone_host() n/a when PERL_IMPLICIT_SYS isn't
     Branch: perl
	   ! makedef.pl
____________________________________________________________________________
[ 16462] By: gsar                                  on 2002/05/08  00:46:34
        Log: aTHX may be empty
     Branch: perl
	   ! win32/win32.c
____________________________________________________________________________
[ 16461] By: gsar                                  on 2002/05/08  00:32:47
        Log: 5005threads builds again on windows
     Branch: perl
	   ! win32/win32.c win32/win32.h
____________________________________________________________________________
[ 16460] By: gsar                                  on 2002/05/07  23:42:42
        Log: fixes for various warnings identified by Visual C++
     Branch: perl
	   ! bytecode.pl ext/B/B.xs ext/ByteLoader/bytecode.h
	   ! ext/ByteLoader/byterun.c ext/Data/Dumper/Dumper.xs
	   ! ext/Encode/Encode.xs ext/POSIX/POSIX.xs malloc.c
	   ! win32/config.bc win32/config.gc win32/config.vc
	   ! win32/config_H.bc win32/config_H.gc win32/config_H.vc
	   ! win32/win32.c win32/win32iop.h
____________________________________________________________________________
[ 16459] By: gsar                                  on 2002/05/07  23:42:11
        Log: keep paths consistently slashed on windows
     Branch: perl
	   ! t/harness
____________________________________________________________________________
[ 16458] By: gsar                                  on 2002/05/07  22:33:20
        Log: integrate makefile.mk changes into Makefile
     Branch: perl
	   ! win32/Makefile
____________________________________________________________________________
[ 16457] By: jhi                                   on 2002/05/07  22:26:38
        Log: Subject: [PATCH] Re: [PATCH] Storable (Re: perl@16433)
             From: Nicholas Clark <nick@unfortu.net>
             Date: Tue, 7 May 2002 23:26:01 +0100
             Message-ID: <20020507222600.GC306@Bagpuss.unfortu.net>
     Branch: perl
	   ! ext/Storable/MANIFEST ext/Storable/Makefile.PL
	   ! ext/Storable/README ext/Storable/Storable.pm
	   ! ext/Storable/t/malice.t
____________________________________________________________________________
[ 16456] By: jhi                                   on 2002/05/07  22:24:59
        Log: Subject: Re: [PATCH scope.c] Re: local($tied->{foo}) leaks
             From: Dave Mitchell <davem@fdgroup.com>
             Date: Wed, 8 May 2002 00:11:02 +0100
             Message-ID: <20020508001102.D4118@fdgroup.com>
     Branch: perl
	   ! pp_hot.c scope.c
____________________________________________________________________________
[ 16455] By: jhi                                   on 2002/05/07  22:23:34
        Log: Subject: [PATCH pp_hot.c V.2]  correctly unlocalise exists on tied/%ENV   
             From: Dave Mitchell <davem@fdgroup.com>
             Date: Tue, 7 May 2002 23:13:10 +0100
             Message-ID: <20020507231310.B4118@fdgroup.com>
     Branch: perl
	   ! pp_hot.c
____________________________________________________________________________
[ 16454] By: sky                                   on 2002/05/07  21:18:44
        Log: Documentation of async
     Branch: perl
	   ! ext/threads/threads.pm
____________________________________________________________________________
[ 16453] By: sky                                   on 2002/05/07  21:16:28
        Log: Documentation added.
     Branch: perl
	   ! ext/threads/shared/semaphore.pm
____________________________________________________________________________
[ 16452] By: sky                                   on 2002/05/07  21:15:34
        Log: Add support for async.
     Branch: perl
	   ! ext/threads/threads.pm
____________________________________________________________________________
[ 16451] By: sky                                   on 2002/05/07  21:01:47
        Log: Add documentation.
     Branch: perl
	   ! ext/threads/shared/queue.pm
____________________________________________________________________________
[ 16450] By: sky                                   on 2002/05/07  20:24:08
        Log: Fix bad assumptions in test case.
             a) print "ok $var\n"; $var++ isn't atomic by any stretch of imagination
             b) $var++ is not atomic
             c) the creating of the string to print and the actuall printing 
             could be preempted by another thread
     Branch: perl
	   ! ext/threads/shared/t/queue.t
____________________________________________________________________________
[ 16449] By: jhi                                   on 2002/05/07  19:17:41
        Log: Subject: [ PATCH ] HP-UX 11.00 + 16446 + gcc-3.1/64
             From: "H.Merijn Brand" <h.m.brand@hccnet.nl>
             Date: Tue, 07 May 2002 19:41:03 +0200
             Message-Id: <20020507190423.E22C.H.M.BRAND@hccnet.nl>
     Branch: perl
	   ! makedepend.SH
____________________________________________________________________________
[ 16448] By: jhi                                   on 2002/05/07  19:16:00
        Log: Upgrade to Encode 1.71.
